<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		if(isset($_POST['methodAction'])) {
			switch($_POST['methodAction']) {
				case 'telegram': {
					$pathBots = $_SERVER['DOCUMENT_ROOT'] . '/../configuration/bots.json';
					$dataBots = json_decode(file_get_contents($pathBots));
					
					removeValuesFromArray($_POST, [
						'phpaction', 'csrf_token', 'methodAction'
					]);
					
					$classAdminConfigs = new AdminConfigs;
					$classAdminConfigs->Edit($dataBots->telegram, (object)$_POST);
					
					$oldPath = $_SERVER['DOCUMENT_ROOT'] . '/../configuration/bots.json';
					$newPath = $_SERVER['DOCUMENT_ROOT'] . '/../application/backups/configuration/bots_' . date('Y-m-d') . '.json';
					
					if(copy($oldPath, $newPath)) {
						file_put_contents($oldPath, json_encode($dataBots));
					}
					
					AlertSuccess(getLang('alerts.conf_save'));
					break;
				}
				
				case 'updateWebhookTelegram': {
					$pathBots = $_SERVER['DOCUMENT_ROOT'] . '/../configuration/bots.json';
					$dataBots = json_decode(file_get_contents($pathBots));
					
					$apiTelegram = connectTelegramBot();
					
					if(is_null($apiTelegram)) {
						AlertError(getLang('alerts.telegram.bot_not_settings'));
					}
					
					if($apiTelegram->deleteWebhook() && $apiTelegram->setWebhook()) {
						AlertSuccess(getLang('alerts.telegram.success'));
					}
					
					AlertError(getLang('alerts.telegram.error'));
					break;
				}
			}
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}