<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		/* Создаем раздел */
		if(isset($_POST['addCatalog'])) {
			$fileUploadIcon = uploadImage($_FILES['icon'], $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/icons/');
			$fileUploadCover = uploadImage($_FILES['cover'], $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/cover/');
			
			$classAdminCategory = new AdminCategory;
			$classAdminCategory->Add([
				'name' => htmlspecialchars($_POST['name']),
				'icon' => $fileUploadIcon,
				'cover' => $fileUploadCover,
				'search_link' => $_POST['search_link'],
				'data' => $_POST['data']
			]);
			
			AlertSuccess(getLang('alerts.category.create'));
		}
		
		/* Редактируем раздел */
		if(isset($_POST['editCatalog'])) {
			if(isset($_FILES['icon']) && $_FILES['icon']['error'] == UPLOAD_ERR_OK) {
				$fileUploadIcon = uploadImage($_FILES['icon'], $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/icons/');
			}
			
			if(isset($_FILES['cover']) && $_FILES['cover']['error'] == UPLOAD_ERR_OK) {
				$fileUploadCover = uploadImage($_FILES['cover'], $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/cover/');
			}
			
			$classAdminCategory = new AdminCategory;
			$dataCategory = $classAdminCategory->Get($_POST['id']);

			if(is_null($dataCategory)) {
				AlertError(getLang('alerts.category.not_exists'));
			}

			$classAdminCategory->onEdit([
				'id' => $_POST['id'],
				'name' => htmlspecialchars($_POST['name']),
				'icon' => isset($fileUploadIcon) ? $fileUploadIcon : $dataCategory->icon,
				'cover' => isset($fileUploadCover) ? $fileUploadCover : $dataCategory->cover,
				'search_link' => $_POST['search_link'],
				'data' => $_POST['data']
			]);
			
			AlertSuccess(getLang('alerts.category.edit'));
		}

		/* Добавляем подраздел */
		if(isset($_POST['addSubcategory'])) {
			$classAdminCategory = new AdminCategory;
			$insertId = $classAdminCategory->addSubcategory($_POST['category_id'], $_POST['name']);
			$dataSubcategory = $classAdminCategory->getSubcategory($insertId);
			
			if(empty($dataSubcategory)) {
				AlertError(getLang('alerts.category.not_open'));
			}
			
			tpl()->SetAppearance('admin');
			tpl()->ClearCell('listSubcategory');
			tpl()->AddCell('listSubcategory', tpl()->Set([
				'{item_id}' => $dataSubcategory->id,
				'{item_name}' => get_custom_lang($dataSubcategory->name)
			], tpl()->Get('elements/items/subcategory')));
			
			Result([
				'Alert' => 'Success',
				'categoryId' => $_POST['category_id'],
				'Content' => tpl()->Execute(tpl()->GetCell('listSubcategory'))
			]);
		}
		
		/* Меняем разделы местами */
		if(isset($_POST['changeCategoryPosition'])) {
			$classAdminCategory = new AdminCategory;
			$classAdminCategory->changeCategoryPosition($_POST['selfId'], $_POST['triggerId']);
			
			AlertSuccess(getLang('alerts.position_edit'));
		}
		
		/* Меняем позиции между подразделами */
		if(isset($_POST['changeSubcategoryPosition'])) {
			$classAdminCategory = new AdminCategory;
			$classAdminCategory->changeSubcategoryPosition($_POST['selfId'], $_POST['triggerId']);
			
			AlertSuccess(getLang('alerts.position_edit'));
		}
		
		/* Удаляем раздел */
		if(isset($_POST['removeCategory'])) {
			$classAdminCategory = new AdminCategory;
			$classAdminCategory->removeCategory($_POST['triggerId']);
			
			AlertSuccess(getLang('alerts.category.delete'));
		}
		
		/* Удаляем подраздел */
		if(isset($_POST['removeSubcategory'])) {
			$classAdminCategory = new AdminCategory;
			$classAdminCategory->removeSubcategory($_POST['triggerId']);
			
			AlertSuccess(getLang('alerts.subcategory.delete'));
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}