<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}
	
	try {
		$id = $_POST['merchant'];
		removeValuesFromArray($_POST, ['merchant', 'phpaction', 'csrf_token']);
		
		$dataMerchats = Merchants();
	
		if (empty($dataMerchats[$id])) {
			AlertError(getLang('alerts.merchant.not_exists'));
		}
	
		foreach ($_POST as $key => $data) {
			switch ($key) {
				case 'enable':
					$dataMerchats[$id][$key] = ($data == '1') ? true : false;
					break;
				
				default:
					$dataMerchats[$id][$key] = $data;
			}
		}

		function export_array($array, $indent = "") {
			$output = "[\n";
			$indent .= "    ";

			foreach ($array as $key => $value) {
				$output .= $indent . "'" . $key . "' => ";

				if(is_array($value)) {
					$output .= export_array($value, $indent);
				}
				elseif (is_bool($value)) {
					$output .= $value ? 'true' : 'false';
				}
				elseif (is_numeric($value)) {
					$output .= $value;
				}
				else {
					$output .= "'" . $value . "'";
				}
				$output .= ",\n";
			}

			$indent = substr($indent, 0, -4);
			$output .= $indent . "]";

			return $output;
		}
	
		$output = "<?php\nreturn " . export_array($dataMerchats) . ";\n";
		if (file_put_contents($_SERVER['DOCUMENT_ROOT'] . '/../application/system/merchants.php', $output) == false) {
			AlertError(getLang('alerts.merchant.error'));
		}
	
		AlertSuccess(getLang('alerts.merchant.success'));
	}
	catch (Exception $e) {
		AlertError($e->getMessage());
	}
	