<?PHP
	$Refunds = new Refunds;

	if(!isRights('d')) {
		AlertError(getLang('alerts.not_access'));
	}

	try {
		if(isset($_POST['acceptAgain'])) {
			$Refunds = new Refunds;

			$RefundsMessages = new RefundsMessages;
			$RefundsMessages->SendSystem($_POST['refund_id'], $_POST['message']);
			$Refunds->SetStatus($_POST['refund_id'], 1);
			$data = $Refunds->Get($_POST['refund_id']);

			$UsersBalance = new UsersBalance;
			$getFrozenFromTransId = $UsersBalance->getFrozenFromTransId($data->defendant_id, $data->transaction_id);
			$UsersBalance->removeFrozen($data->defendant_id, $data->transaction_id);
			$UsersBalance->addBalance($data->user_id, $getFrozenFromTransId['price']);

			Noty()->Send($data->user_id, getLang('notifications.refunds.title'), getLang('notifications.refunds.acceptAgain.0', [$getFrozenFromTransId['price'], conf()->currency->html]));
			Noty()->Send($data->defendant_id, getLang('notifications.refunds.title'), getLang('notifications.refunds.acceptAgain.1', [$getFrozenFromTransId['price'], conf()->currency->html]));

			Result(['Alert' => 'Success']);
		}

		if(isset($_POST['onRejection'])) {
			$Refunds = new Refunds;

			$RefundsMessages = new RefundsMessages;
			$RefundsMessages->SendSystem($_POST['refund_id'], $_POST['reason']);
			$Refunds->SetStatus($_POST['refund_id'], 0);
			$data = $Refunds->Get($_POST['refund_id']);
			$Refunds->UnblockBalance($data->defendant_id, $data->transaction_id);
			
			$UsersBalance = new UsersBalance;
			$getFrozenFromTransId = $UsersBalance->getFrozenFromTransId($data->defendant_id, $data->transaction_id);

			$endPrice = $getFrozenFromTransId['price'];
			$systemPercent = conf()->percent->sells_product;

			if($systemPercent > 0) {
				$endSellerPercent = $endPrice / 100 * $systemPercent;
				$endPrice = $endPrice - $endSellerPercent;

				$AdminStats = new AdminStats;
				$AdminStats->addProfit($data->defendant_id, $endSellerPercent, $endPrice, $systemPercent, $data->transaction_id);
			}

			$UsersBalance->removeFrozen($data->defendant_id, $data->transaction_id);
			$UsersBalance->addBalance($data->defendant_id, $endPrice);

			Noty()->Send($data->user_id, getLang('notifications.refunds.title'), getLang('notifications.refunds.onRejection.1', [$getFrozenFromTransId['price'], conf()->currency->html]));
			Noty()->Send($data->defendant_id, getLang('notifications.refunds.title'), getLang('notifications.refunds.onRejection.0', [$getFrozenFromTransId['price'], conf()->currency->html]));

			CallBack()->Call('onProductConfirm', [
				'user_id' => $data->user_id,
				'seller_id' => $data->defendant_id,
				'price' => $endPrice,
				'start_price' => $getFrozenFromTransId['price'],
				'trans_id' => $data->transaction_id,
				'automatic' => true,
				'message' => 'onProductConfirm.message.4'
			]);

			Result(['Alert' => 'Success']);
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}