<?PHP
	if(!isRights('a')) {
		AlertError(getLang('alerts.not_access'));
	}

	if(empty($_POST['name'])) {
		AlertError(getLang('languages.errors.not_data', 'name'));
	}

	$name = $_POST['name'];

	if(empty($_POST['codeLang'])) {
		AlertError(getLang('languages.errors.not_data', 'codeLang'));
	}
	
	$codeLang = $_POST['codeLang'];
	
	if(empty($_POST['data'])) {
		AlertError(getLang('languages.errors.not_data', 'data'));
	}
	
	$data = $_POST['data'];
	$jsonData = json_decode($data, true);
	
	if(json_last_error() !== JSON_ERROR_NONE) {
		AlertError(getLang('languages.errors.invalid_json', json_last_error_msg()));
	}
	
	$pathLanguage = getPath('application/system/languages/' . $codeLang . '.json');

	if(file_put_contents($pathLanguage, $data) == false) {
		AlertError(getLang('languages.errors.file_write', 'data'));
	}

	$dataLanguages = (object)Languages()->getLanguagesForJson();

	$AdminConfigs = new AdminConfigs;
	$AdminConfigs->Edit($dataLanguages, [
		$codeLang => [
			'name' => $name,
			'enable' => isset($_POST['enable']) ? $_POST['enable'] : 0
		]
	]);

	$oldPath = getPath('configuration/system/languages.json');
	$newPath = getPath('application/backups/configuration/languages_' . date('Y-m-d') . '.json');

	if(copy($oldPath, $newPath)) {
		file_put_contents($oldPath, json_encode($dataLanguages));
	}
	
	AlertSuccess(getLang('alerts.edit_save'));