<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	try {
		$classHelp = new Help;
		
		if(!$classHelp->isAccess($_POST['ticket_id'])) {
			AlertError(getLang('alerts.not_access'));
		}
		
		if($classHelp->isClose($_POST['ticket_id'])) {
			AlertWarning(getLang('alerts.help.is_closed'));
		}
		
		$lastMessageId = $classHelp->SendMesage($_POST['ticket_id'], $_POST['message']);
		
		if($classHelp->isRights($_SESSION['id'])) {
			$classHelp->setStatus($_POST['ticket_id'], 3);
		}
		else {
			$classHelp->setStatus($_POST['ticket_id'], 2);
		}
		
		$dataMessage = $classHelp->getMessageFromId($lastMessageId);

		tpl()->ClearCell('Message');
		tpl()->AddCell('Message', tpl()->Set([
			'{is_support}' => $classHelp->isRights($dataMessage->userid) ? '1' : '0',
			'{author_image}' => getAvatar($dataMessage->userid),
			'{author_id}' => $dataMessage->userid,
			'{author_name}' => getName($dataMessage->userid),
			'{message}' => htmlspecialchars_decode($dataMessage->message),
			'{date}' => getLang('getTimeAgo.date', [date('d.m.Y', $dataMessage->date), date('H:i', $dataMessage->date)]),
		], tpl()->Get('elements/help/message')));
		
		Result([
			'Alert' => 'Success',
			'Content' => tpl()->Execute(tpl()->GetCell('Message'))
		]);
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}