<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	try {
		/* Возвращаем позиции обратно */
		if(isset($_POST['back_step'])) {
			switch($_POST['step_id']) {
				case '2': {
					tpl()->Clear('back_step');
					tpl()->AddCell('back_step', tpl()->Set([
						'{cards}' => Market()->getCardCategories()
					], tpl()->Get('elements/market/add/step-2')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('back_step'))]);
					break;
				}

				case '3': {
					$Category = new Category;
					$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);

					if(is_null($dataCategory)) {
						AlertError(getLang('market.add.category.not_found'));
					}
					
					tpl()->ClearCell('goto_step');
					tpl()->AddCell('goto_step', tpl()->Set([
						'{cards}' => Market()->getCardSubcategory($_SESSION['market']['add']['category_id']),
						'{category_image}' => $dataCategory->icon,
						'{category_name}' => get_custom_lang($dataCategory->name)
					], tpl()->Get('elements/market/add/step-3')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}

				case '4': {
					if(isset($_SESSION['market']['add']['auto'])) {
						unset($_SESSION['market']['add']['auto']);
					}

					if(isset($_SESSION['market']['add']['quantity'])) {
						unset($_SESSION['market']['add']['quantity']);
					}

					if(isset($_SESSION['market']['add']['data_auto'])) {
						unset($_SESSION['market']['add']['data_auto']);
					}
					
					$Category = new Category;
					$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);

					if(is_null($dataCategory)) {
						AlertError(getLang('market.add.category.not_found'));
					}

					$SubCategory = new SubCategory;
					$dataSubcategory = $SubCategory->Get($_SESSION['market']['add']['subcategory_id']);

					if(is_null($dataSubcategory)) {
						unset($_SESSION['market']['add']['subcategory_id']);
						AlertError(getLang('market.add.subcategory.not_found'));
					}

					tpl()->ClearCell('goto_step');
					tpl()->AddCell('goto_step', tpl()->Set([
						'{category_id}' => $dataCategory->id,
						'{category_image}' => $dataCategory->icon,
						'{category_name}' => get_custom_lang($dataCategory->name),
						'{subcategory_name}' => get_custom_lang($dataSubcategory->name),
						'{data_auto}' => (isset($dataSubcategory->data_auto) && !is_null($dataSubcategory->data_auto)) ? '1' : '0'
					], tpl()->Get('elements/market/add/step-4')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}
			}
		}

		/* Этапы прохождения */
		if(isset($_POST['goto_step'])) {
			switch($_POST['step_id']) {
				case '2': {
					$dataUser = Users()->Get($_SESSION['id']);

					if(!$dataUser->is_conditions) {
						$sth = pdo()->prepare('UPDATE `users` SET is_conditions=1 WHERE id=:userid LIMIT 1');
						$sth->execute([':userid' => $_SESSION['id']]);
					}

					tpl()->ClearCell('goto_step');
					tpl()->AddCell('goto_step', tpl()->Set(['{cards}' => Market()->getCardCategories()], tpl()->Get('elements/market/add/step-2')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}

				case '3': {
					$_SESSION['market']['add']['category_id'] = $_POST['category_id'];

					$Category = new Category;
					$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);

					if(is_null($dataCategory)) {
						unset($_SESSION['market']['add']['category_id']);
						AlertError(getLang('market.add.category.not_found'));
					}
					
					tpl()->ClearCell('goto_step');
					tpl()->AddCell('goto_step', tpl()->Set([
						'{cards}' => Market()->getCardSubcategory($_SESSION['market']['add']['category_id']),
						'{category_image}' => $dataCategory->icon,
						'{category_name}' => get_custom_lang($dataCategory->name)
					], tpl()->Get('elements/market/add/step-3')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}

				case '4': {
					if(isset($_SESSION['market']['add']['auto'])) {
						unset($_SESSION['market']['add']['auto']);
					}

					if(isset($_SESSION['market']['add']['quantity'])) {
						unset($_SESSION['market']['add']['quantity']);
					}

					if(isset($_SESSION['market']['add']['data_auto'])) {
						unset($_SESSION['market']['add']['data_auto']);
					}

					$_SESSION['market']['add']['subcategory_id'] = $_POST['subcategory_id'];

					$Category = new Category;
					$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);

					if(is_null($dataCategory)) {
						unset($_SESSION['market']['add']['subcategory_id']);
						AlertError(getLang('market.add.category.not_found'));
					}

					$SubCategory = new SubCategory;
					$dataSubcategory = $SubCategory->Get($_SESSION['market']['add']['subcategory_id']);

					if(is_null($dataSubcategory)) {
						AlertError(getLang('market.add.subcategory.not_found'));
					}

					tpl()->ClearCell('goto_step');
					tpl()->AddCell('goto_step', tpl()->Set([
						'{category_id}' => $_SESSION['market']['add']['subcategory_id'],
						'{category_image}' => $dataCategory->icon,
						'{category_name}' => get_custom_lang($dataCategory->name),
						'{subcategory_name}' => get_custom_lang($dataSubcategory->name),
						'{data_auto}' => (isset($dataSubcategory->data_auto) && !is_null($dataSubcategory->data_auto)) ? '1' : '0'
					], tpl()->Get('elements/market/add/step-4')));

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}

				case '5': {
					try {
						$Category = new Category;
						$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);
	
						if(is_null($dataCategory)) {
							AlertError(getLang('market.add.category.not_found'));
						}

						$SubCategory = new SubCategory;
						$dataSubcategory = $SubCategory->Get($_SESSION['market']['add']['subcategory_id']);
	
						if(is_null($dataSubcategory)) {
							AlertError(getLang('market.add.subcategory.not_found'));
						}

						try {
							$forms = Market()->getCardOptions($_SESSION['market']['add']['subcategory_id']);
						}
						catch(Exception $e) {
							$forms = '';
						}

						tpl()->ClearCell('goto_step');
						tpl()->AddCell('goto_step', tpl()->Set([
							'{subcategory_id}' => $_SESSION['market']['add']['subcategory_id'],
							'{category_id}' => $_SESSION['market']['add']['subcategory_id'],
							'{category_image}' => $dataCategory->icon,
							'{category_name}' => get_custom_lang($dataCategory->name),
							'{subcategory_name}' => get_custom_lang($dataSubcategory->name),
							'{forms}' => $forms,
							'{auto}' => isset($_SESSION['market']['add']['auto']) ? '1' : '0'
						], tpl()->Get('elements/market/add/step-5')));
					}
					catch(Exception $e) {
						AlertError($e->getMessage());
						break;
					}

					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;
				}
				
				case 'auto': {
					try {
						$Category = new Category;
						$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);

						if(is_null($dataCategory)) {
							AlertError(getLang('market.add.category.not_found'));
						}

						$SubCategory = new SubCategory;
						$dataSubcategory = $SubCategory->Get($_SESSION['market']['add']['subcategory_id']);

						if(is_null($dataSubcategory)) {
							AlertError(getLang('market.add.subcategory.not_found'));
						}

						try {
							$forms = Market()->getCardOptions($_SESSION['market']['add']['subcategory_id'], null, true);
						}
						catch(Exception $e) {
							$forms = '';
						}

						if(mb_strlen($forms) <= 0) {
							AlertError(getLang('market.add.auto.not_forms'));
						}

						tpl()->ClearCell('goto_step');
						tpl()->AddCell('goto_step', tpl()->Set([
							'{subcategory_id}' => $_SESSION['market']['add']['subcategory_id'],
							'{category_id}' => $_SESSION['market']['add']['subcategory_id'],
							'{category_image}' => $dataCategory->icon,
							'{category_name}' => get_custom_lang($dataCategory->name),
							'{subcategory_name}' => get_custom_lang($dataSubcategory->name),
							'{forms}' => $forms
						], tpl()->Get('elements/market/add/step-auto')));
					}
					catch(Exception $e) {
						AlertError($e->getMessage());
						break;
					}

					$_SESSION['market']['add']['auto'] = true;
					Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
					break;

					break;
				}
			}
		}

		/* Получаем данные для авто-выдачи */
		if(isset($_POST['onSaveAutoData'])) {
			removeValuesFromArray($_POST, ['csrf_token', 'phpaction', 'onSaveAutoData']);

			try {
				$Category = new Category;
				$dataCategory = $Category->Get($_SESSION['market']['add']['category_id']);
		
				if(is_null($dataCategory)) {
					AlertError(getLang('market.add.category.not_found'));
				}
		
				$SubCategory = new SubCategory;
				$dataSubcategory = $SubCategory->Get($_SESSION['market']['add']['subcategory_id']);
		
				if(is_null($dataSubcategory)) {
					AlertError(getLang('market.add.subcategory.not_found'));
				}

				if(is_null($dataSubcategory->data_auto) || empty($dataSubcategory->data_auto)) {
					AlertError(getLang('market.add.json.not_forms'));
				}

				$data_auto = json_decode($dataSubcategory->data_auto, true);
				
				if(json_last_error() !== JSON_ERROR_NONE) {
					AlertError(getLang('market.add.json.error'));
				}

				$received_data = $_POST;
		
				$result = [];
				$count = 0;
		
				foreach($data_auto as $field_data) {
					$field_name = rtrim($field_data['name'], '[]');
					if(isset($received_data[$field_name])) {
						$count = max($count, count($received_data[$field_name]));
					}
				}

				for($i = 0; $i < $count; $i++) {
					$entry = [];
		
					foreach($data_auto as $field_data) {
						$field_name = rtrim($field_data['name'], '[]');
						$entry[$field_name] = isset($received_data[$field_name][$i]) ? $received_data[$field_name][$i] : '';
					}
		
					$result[] = $entry;
				}

				$_SESSION['market']['add']['data_auto'] = $result;
				$_SESSION['market']['add']['quantity'] = count($result);

				try {
					$forms = Market()->getCardOptions($_SESSION['market']['add']['subcategory_id']);
				}
				catch(Exception $e) {
					$forms = '';
				}

				tpl()->ClearCell('goto_step');
				tpl()->AddCell('goto_step', tpl()->Set([
					'{subcategory_id}' => $_SESSION['market']['add']['subcategory_id'],
					'{category_id}' => $_SESSION['market']['add']['subcategory_id'],
					'{category_image}' => $dataCategory->icon,
					'{category_name}' => get_custom_lang($dataCategory->name),
					'{subcategory_name}' => get_custom_lang($dataSubcategory->name),
					'{forms}' => $forms,
					'{auto}' => isset($_SESSION['market']['add']['auto']) ? '1' : '0'
				], tpl()->Get('elements/market/add/step-5')));

				Result(['Content' => tpl()->Execute(tpl()->GetCell('goto_step'))]);
			}
			catch (Exception $e) {
				AlertError($e->getMessage());
			}
		}
		

		/* Отправляем на модерацию */
		if(isset($_POST['onAdd'])) {
			$_POST['subcategories'] = [(int)$_POST['subcategories']];

			uploadImage($_FILES['image'], 'uploads/images/product/', conf()->site_name, function($result) {
				$_POST['image'] = ($result['status'] == 'error') ? 'no_image.jpg' : $result['filename'];
			});

			$_POST['8d777f385d3'] = $_POST;
			removeValuesFromArray($_POST['8d777f385d3'], [
				'subcategories',
				'csrf_token',
				'phpaction',
				'description',
				'onAdd',
				'discount',
				'quantity',
				'price',
				'name',
				'image',
				'images'
			]);
			
			if(isset($_SESSION['market']['add']['auto'])) {
				$_POST['484a3c75'] = $_SESSION['market']['add']['data_auto'];
				$_POST['quantity'] = $_SESSION['market']['add']['quantity'];
			}
			
			$classMarket = new Market;
			$product_id = $classMarket->Add($_POST);
			
			if(isset($_FILES['images'])) {
				Product()->addImages($product_id, $_FILES['images']);
			}
	
			AlertSuccess(getLang('alerts.market.add'));
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}