<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}
	
	if(empty($_POST['productId'])) {
		AlertError(getLang('alerts.invalid_product_id'));
	}

	try {
		$productId = $_POST['productId'];
		$productData = Product()->Get($productId);

		if(is_null($productData)) {
			AlertError(getLang('alerts.product_not_found'));
		}

		if($productData['product']['author_id'] != $_SESSION['id']) {
			AlertError(getLang('alerts.product_absent'));
		}

		if($productData['product']['enable'] != 1) {
			AlertError(getLang('alerts.product_disable'));
		}

		$UsersBoost = new UsersBoost;
		$countBoosts = $UsersBoost->getBoosts($_SESSION['id']);

		if($countBoosts >= 1) {
			if(!$UsersBoost->minBoosts($_SESSION['id'], 1)) {
				AlertError(getLang('alerts.errors.failed_boosts'));
			}

			MarketPremium()->Add($productId);
			AlertSuccess(getLang('alerts.product_boost_success'));
		}
		else {
			$price = conf()->premium->price;

			$UsersBalance = new UsersBalance;
			if(!$UsersBalance->isBalance($_SESSION['id'], $price)) {
				Result([
					'Alert' => 'Error',
					'Message' => getLang('alerts.is_money'),
					'Return' => true
				]);
			}
			
			if(!$UsersBalance->minBalance($_SESSION['id'], $price)) {
				AlertError(getLang('alerts.failed_money'));
			}
			
			$UsersTransactions = new UsersTransactions;
			$trans_id = $UsersTransactions->Add($_SESSION['id'], [
				'amount' => $price,
				'data' => [
					'productId' => $productId
				],
				'type' => $UsersTransactions->getTypeFromCode('boost_product')->id,
				'status' => 1
			]);

			$AdminStats = new AdminStats;
			$AdminStats->addProfit($_SESSION['id'], $price, $price, 0, $trans_id);

			MarketPremium()->Add($productId);
			AlertSuccess(getLang('alerts.product_boost_success'));
		}

		AlertError('error');
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}