<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	try {
		$transId = $_POST['trans_id'];
		$sellerId = $_POST['seller_id'];

		$user = users()->Get($sellerId);

		if(empty($user)) {
			AlertError(getLang('alerts.profile.not_exists'));
		}
		
		if(is_null($user->balance_frozen)) {
			AlertError(getLang('alerts.deals.not_exists'));
		}

		$data = json_decode($user->balance_frozen, true);
		$SellerIncome = new SellerIncome;
		$UsersBalance = new UsersBalance;

		foreach($data as $key => $value) {
			if($value['trans_id'] == $transId) {
				/* Добавляем информацию о заработке */
				$endPrice = $value['price'];
				$systemPercent = conf()->percent->sells_product;

				if($systemPercent > 0) {
					$endSellerPercent = $endPrice / 100 * $systemPercent;
					$endPrice = $endPrice - $endSellerPercent;

					$AdminStats = new AdminStats;
					$AdminStats->addProfit($sellerId, $endSellerPercent, $endPrice, $systemPercent, $transId);
				}

				$SellerIncome->Add($sellerId, $transId, $endPrice);
				$UsersBalance->removeFrozen($sellerId, $transId);
				$UsersBalance->addBalance($sellerId, $endPrice);

				CallBack()->Call('onProductConfirm', [
					'user_id' => $_SESSION['id'],
					'seller_id' => $sellerId,
					'price' => $endPrice,
					'start_price' => $value['price'],
					'trans_id' => $transId
				]);


				$UsersTransactions = new UsersTransactions;
				$product_id = $UsersTransactions->getProduct($transId);

				Result([
					'Alert' => 'Success',
					'Message' => getLang('alerts.deals.confirm'),
					'IsReviews' => Reviews()->hasUserReviewedProduct($_SESSION['id'], $product_id) ? '1' : '0',
					'ProductId' => $product_id
				]);
			}
		}

		AlertError(getLang('alerts.deals.not_valid'));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}