<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	$productId = (int)$_POST['product_id'];

	if(empty($productId)) {
		AlertError(getLang('alerts.product.not_valid'));
	}

	$productData = Product()->Get($productId);
	$productData['category'] = reset($productData['category']);
	$productData['subcategory'] = reset($productData['subcategory']);

	if(empty($productData)) {
		AlertError(getLang('alerts.product.not_valid'));
	}

	if($productData['product']['author_id'] != $_SESSION['id']) {
		AlertError(getLang('alerts.product.edit_not_access'));
	}

	try {
		// Получаем данные для изменения
		if(isset($_POST['edit_product'])) {
			if(isset($_FILES['image']) && $_FILES['image']['error'] == UPLOAD_ERR_OK) {
				$_POST['image'] = uploadImage($_FILES['image'], 'uploads/images/product/', conf()->site_name);
			}
			
			$_POST['8d777f385d3'] = $_POST;
			removeValuesFromArray($_POST['8d777f385d3'], [
				'csrf_token',
				'phpaction',
				'description',
				'discount',
				'price',
				'name',
				'image',
				'images',
				'quantity'
			]);

			if(isset($_SESSION['market']['edit'][$productId]['step_auto'])) {
				$data_auto = json_decode($productData['subcategory']['data_auto'], true);
				
				if(json_last_error() !== JSON_ERROR_NONE) {
					AlertError(getLang('market.add.json.error'));
				}

				$received_data = $_SESSION['market']['edit'][$productId]['step_auto'];

				$result = [];
				$count = 0;
		
				foreach($data_auto as $field_data) {
					$field_name = rtrim($field_data['name'], '[]');
					if(isset($received_data[$field_name])) {
						$count = max($count, count($received_data[$field_name]));
					}
				}

				for($i = 0; $i < $count; $i++) {
					$entry = [];
		
					foreach($data_auto as $field_data) {
						$field_name = rtrim($field_data['name'], '[]');
						$entry[$field_name] = isset($received_data[$field_name][$i]) ? $received_data[$field_name][$i] : '';
					}
		
					$result[] = $entry;
				}

				$_POST['484a3c75'] = $result;
				unset($_SESSION['market']['edit'][$productId]['step_auto']);
			}
			
			$Market = new Market;
			$Market->onEdit($_POST);
			
			if(isset($_FILES['image'])) {
				foreach($_FILES['images']['error'] as $index => $error) {
					if($error == UPLOAD_ERR_OK) {
						$up = true;
						break;
					}
				}
			}
			
			if(isset($up) && $up) {
				Product()->removeImages($_POST['product_id']);
				Product()->addImages($_POST['product_id'], $_FILES['images']);
			}

			if(isset($_SESSION['market']['edit'][$productId]['step_auto'])) {
				unset($_SESSION['market']['edit'][$productId]['step_auto']);
			}
	
			AlertSuccess(getLang('alerts.product.edit_confirm'));
		}

		// Получаем форму для авто-выдачи
		if(isset($_POST['get_step_auto'])) {
			if(is_null($productData['subcategory']['data_auto'])) {
				AlertError(getLang('market.add.auto.not_forms'));
			}

			try {
				$forms = Market()->getCardOptions($productData['subcategory']['id'], $productData['product']['data_auto'], true);
			}
			catch(Exception $e) {
				$forms = '';
			}

			tpl()->ClearCell('get_step');
			tpl()->AddCell('get_step', tpl()->Set([
				'{product_id}' => $productData['product']['id'],
				'{category_name}' => $productData['category']['name'],
				'{category_image}' => $productData['category']['icon'],
				'{subcategory_name}' => $productData['subcategory']['name'],
				'{forms}' => $forms
			], tpl()->Get('market/edit_product/auto')));

			Result(['Content' => tpl()->Execute(tpl()->GetCell('get_step'))]);
		}

		// Получаем последний этап
		if(isset($_POST['get_step_last']) || isset($_POST['save_step_auto'])) {
			if(isset($_POST['save_step_auto'])) {
				removeValuesFromArray($_POST, [
					'save_step_auto',
					'phpaction',
					'csrf_token',
					'product_id'
				]);
	
				$_SESSION['market']['edit'][$productId]['step_auto'] = $_POST;
			}

			try {
				$forms = Market()->getCardOptions($productData['subcategory']['id'], $productData['product']['data']);
			}
			catch(Exception $e) {
				$forms = '';
			}

			tpl()->ClearCell('get_step');
			tpl()->AddCell('get_step', tpl()->Set([
				'{product_id}' => $productData['product']['id'],
				'{category_name}' => $productData['category']['name'],
				'{category_image}' => $productData['category']['icon'],
				'{subcategory_name}' => $productData['subcategory']['name'],
				'{name}' => htmlspecialchars_decode($productData['product']['name']),
				'{description}' => htmlspecialchars_decode($productData['product']['description']),
				'{price}' => $productData['product']['price'],
				'{discount}' => $productData['product']['discount'],
				'{quantity}' => (isset($productData['product']['quantity'])) ? $productData['product']['quantity'] : 0,
				'{product_image}' => $productData['product']['image'],
				'{auto}' => (!is_null($productData['product']['data_auto']) || isset($_SESSION['market']['edit'][$productId]['step_auto'])) ? '1' : '0',
				'{forms}' => $forms
			], tpl()->Get('market/edit_product/last')));

			Result(['Content' => tpl()->Execute(tpl()->GetCell('get_step'))]);
		}
	}
	catch(Exception $e) {
		error_log($e->getMessage());
		AlertError($e->getMessage());
	}