<?PHP
	if(empty($_SESSION['id'])) {
		AlertError(getLang('alerts.not_auth'));
	}

	$productId = (int)$_POST['product_id'];

	if(empty($productId)) {
		AlertError(getLang('alerts.product.not_valid'));
	}

	$productData = Product()->Get($productId);

	if(empty($productData)) {
		AlertError(getLang('alerts.product.not_valid'));
	}

	$productData = $productData['product'];

	if($productData['author_id'] != $_SESSION['id']) {
		AlertError(getLang('alerts.product.edit_not_access'));
	}

	try {
		if($productData['enable'] == 1) {
			$product_enable = 4;
			Product()->Update($productData['id'], [
				'enable' => $product_enable
			]);
		}
		elseif($productData['enable'] == 4) {
			$product_enable = 1;
			Product()->Update($productData['id'], [
				'enable' => $product_enable
			]);
		}
		else {
			$product_enable = $productData['enable'];
		}

		Result([
			'Alert' => 'Success',
			'EnableId' => $product_enable
		]);
	}
	catch(Exception $e) {
		error_log($e->getMessage());
		AlertError($e->getMessage());
	}