<?PHP
	try {
		if(empty($_SESSION['id'])) {
			AlertError(getLang('alerts.not_auth'));
		}
		
		if(empty($_POST['dialog_id'])) {
			$_POST['dialog_id'] = null;
		}
		
		$Messenger = new UsersMessages;
		$resultDialogs = $Messenger->getDialogs($_POST['dialog_id']);
		$hash = md5($resultDialogs);
		
		if(isset($_POST['dialog_id']) && isset($_POST['last_message_id'])) {
			try {
				$lastMessages = $Messenger->getMessagesSince($_POST['dialog_id'], $_POST['last_message_id']);
				$lastId = $Messenger->lastId($_POST['dialog_id']);
			}
			catch(Exception $e) {
				$lastMessages = null;
				$lastId = null;
			}
		}
		else {
			$lastMessages = null;
			$lastId = null;
		}
		
		if(empty($_POST['hash'])) {
			Result([
				'Alert' => 'Success',
				'Content' => $resultDialogs,
				'Hash' => $hash,
				'LastMessages' => $lastMessages,
				'LastMessageId' => $lastId
			]);
		}
		else {
			if($_POST['hash'] != $hash) {
				Result([
					'Alert' => 'Success',
					'Content' => $resultDialogs,
					'Hash' => $hash,
					'LastMessages' => $lastMessages,
					'LastMessageId' => $lastId
				]);
			}
		}
		
		if($lastId != $_POST['last_message_id'] && isset($lastMessages) && isset($lastId)) {
			Result([
				'Alert' => 'Success',
				'LastMessages' => $lastMessages,
				'LastMessageId' => $lastId
			]);
		}
		
		AlertInfo(getLang('alerts.users.dialogs.not_exists'));
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}