<?PHP
	try {
		if(empty($_SESSION['id'])) {
			AlertError(getLang('alerts.not_auth'));
		}
		
		if(empty($_POST['recipient_id'])) {
			AlertError(getLang('alerts.users.messages.not_valid'));
		}

		if($_SESSION['id'] == $_POST['recipient_id']) {
			AlertError(getLang('alerts.users.messages.access_me'));
		}
		
		$UsersMessages = new UsersMessages;
		$resultDialogs = $UsersMessages->getDialogs($_POST['recipient_id']);

		if(isset($_POST['onMessengerSendImage'])) {
			try {
				$_POST['message'] = getLang('alerts.users.messages.image.title');
				$path = 'uploads/images/messages/' . $_SESSION['id'] . '/';
				$_POST['filename'] = $path . uploadImage($_FILES['image'], $path);
				$UsersMessages->SendFile($_POST['recipient_id'], $_POST);

				Result([
					'Alert' => 'Success',
					'Content' => $UsersMessages->getMessagesSince($_POST['recipient_id'], $_POST['last_id']),
					'LastId' => $UsersMessages->lastId($_POST['recipient_id']),
					'Dialogs' => $resultDialogs
				]);
			}
			catch(Exception $e) {
				AlertError($e->getMessage());
			}
		}
		else {
			$_POST['message'] = strip_tags($_POST['message']);
			$_POST['message'] = htmlspecialchars($_POST['message']);
			
			$UsersMessages->Send(['content' => $_POST['message'], 'recipient_id' => $_POST['recipient_id']]);
			
			Result([
				'Alert' => 'Success',
				'Content' => $UsersMessages->getMessagesSince($_POST['recipient_id'], $_POST['last_id']),
				'LastId' => $UsersMessages->lastId($_POST['recipient_id']),
				'Dialogs' => $resultDialogs
			]);
		}
	}
	catch(Exception $e) {
		AlertError($e->getMessage());
	}