{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eCategory">
		<div class="card">
			<div class="card-header">
				<h5><span>{lang('admin.appearance.category.add.title')}</span></h5>
			</div>
			
			<div class="card-body">
				<form data-admin="onAddCatalog">
					<div class="row">
						<div class="col-lg-6 mb-2">
							<label for="name">{lang('admin.appearance.category.add.form.name')}<span class="text-danger">*</span>:</label>
							<input type="text" id="name" name="name" class="form-control" maxlength="128" placeholder="{lang('admin.appearance.category.add.form.placeholder.text')}" autocomplete="off" required>
						</div>

						<div class="col-lg-6 mb-2">
							<label for="search_link">{lang('admin.appearance.category.add.form.search_link')}<span class="text-danger">*</span>:</label>

							<div class="input-group">
								<span class="input-group-text">/market/</span>
								<input type="text" id="search_link" name="search_link" class="form-control" maxlength="128" placeholder="{lang('admin.appearance.category.add.form.placeholder.search_link')}" autocomplete="off" required>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-lg-6 mb-2">
							<label for="icon">{lang('admin.appearance.category.add.form.icon')}<span class="text-danger">*</span>:</label>
							<input type="file" id="icon" name="icon" class="form-control" accept="image/*" required>
						</div>

						<div class="col-lg-6 mb-2">
							<label for="cover">{lang('admin.appearance.category.add.form.cover')}<span class="text-danger">*</span>:</label>
							<input type="file" id="cover" name="cover" class="form-control" accept="image/*" required>
						</div>
					</div>
					
					<div class="mb-2">
						<label for="data">{lang('admin.appearance.category.add.form.data')}:</label>
						<input type="text" id="data" name="data" list="dataList" class="form-control" placeholder="{lang('admin.appearance.category.add.form.placeholder.text')}" autocomplete="off">
						
						<datalist id="dataList">
							{dataList}
						</datalist>
					</div>

					<div class="alert alert-info">
						{lang('admin.appearance.category.edit.docs.0')} <a href="https://docs.unioncms.ru/dlya-razrabotchikov/redaktor-razdelov/dopolnitelnye-svedeniya">{lang('admin.appearance.category.edit.docs.1')}</a>.
					</div>
					
					<button type="submit" class="btn btn-primary btn-sm d-flex ms-auto">{lang('system.add')}</button>
				</form>
			</div>
		</div>
	</div>
</div>

<script>
	function transliterateAndFormat(text) {
		var cyrToLat = {
			'а': 'a', 'б': 'b', 'в': 'v', 'г': 'g', 'д': 'd',
			'е': 'e', 'ё': 'yo', 'ж': 'zh', 'з': 'z', 'и': 'i',
			'й': 'y', 'к': 'k', 'л': 'l', 'м': 'm', 'н': 'n',
			'о': 'o', 'п': 'p', 'р': 'r', 'с': 's', 'т': 't',
			'у': 'u', 'ф': 'f', 'х': 'kh', 'ц': 'ts', 'ч': 'ch',
			'ш': 'sh', 'щ': 'shch', 'ы': 'y', 'э': 'e', 'ю': 'yu',
			'я': 'ya', 'А': 'A', 'Б': 'B', 'В': 'V', 'Г': 'G', 'Д': 'D',
			'Е': 'E', 'Ё': 'Yo', 'Ж': 'Zh', 'З': 'Z', 'И': 'I',
			'Й': 'Y', 'К': 'K', 'Л': 'L', 'М': 'M', 'Н': 'N',
			'О': 'O', 'П': 'P', 'Р': 'R', 'С': 'S', 'Т': 'T',
			'У': 'U', 'Ф': 'F', 'Х': 'Kh', 'Ц': 'Ts', 'Ч': 'Ch',
			'Ш': 'Sh', 'Щ': 'Shch', 'Ы': 'Y', 'Э': 'E', 'Ю': 'Yu',
			'Я': 'Ya'
		};

		text = text.split('').map(function(char) {
			return cyrToLat[char] || char;
		}).join('');

		text = text.replace(/\s+/g, '-');
		text = text.replace(/[^A-Za-z0-9\-]/g, '');
		
		return text;
	}

	$('#name').on('input', function() {
		$('#search_link').val(transliterateAndFormat($(this).val()));
	});
</script>