<div class="mb-2">
	<label for="formLabel">{lang('admin.labels.form_select.name')}<span class="text-danger">*</span>:</label>
	<input type="text" class="form-control" id="formLabel" name="label" placeholder="{lang('admin.labels.placeholder.text')}" autocomplete="off" required>
</div>

<div class="mb-2">
	<label for="formName">{lang('admin.labels.form_select.name_key')}<span class="text-danger">*</span>:</label>
	<input type="text" class="form-control" id="formName" name="name" placeholder="{lang('admin.labels.placeholder.text')}" autocomplete="off" required>
</div>

<div class="mb-2">
	<label for="formClass">{lang('admin.labels.form_select.class')}:</label>
	<input type="text" class="form-control" id="formClass" name="class" placeholder="{lang('admin.labels.placeholder.text')}" autocomplete="off">
</div>

<div class="mb-2">
	<label for="formRequired">{lang('admin.labels.form_select.mandatory')}<span class="text-danger">*</span>:</label>
	<select class="form-select" id="formRequired" name="required">
		<option value="1">{lang('admin.labels.obligatory')}</option>
		<option value="0">{lang('admin.labels.optional')}</option>
	</select>
</div>

<div class="mb-2">
	<button type="button" class="btn btn-primary btn-sm w-100" data-bs-toggle="modal" data-bs-target="#modalOptions">{lang('admin.labels.form_select.title')}</button>

	<div class="modal fade" id="modalOptions" tabindex="-1" aria-labelledby="modalOptionsLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="modalOptionsLabel">{lang('admin.labels.form_select.title')}</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				
				<div class="modal-body">
					<div class="mb-2">
						<label for="optName">{lang('admin.labels.form_select.option_name')}<span class="text-danger">*</span>:</label>
						<input type="text" id="optName" class="form-control" placeholder="{lang('admin.labels.placeholder.text')}">
					</div>
					
					<button type="button" class="btn btn-primary btn-sm" data-add-options>{lang('system.add')}</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="mb-2" id="list_options"></div>

<script>
	$('button[data-add-options]').on('click', function(e) {
		var optName = $('#optName');
		
		if(!optName.val().trim().length) {
			ShowToasty("{lang('labels.fields')}", 'Warning');
			optName.focus();
			return;
		}

		var input = $('<input>').attr({
			type: 'text',
			name: 'options[]',
			maxlength: 20,
			value: optName.val(),
			autocomplete: 'off'
		}).addClass('form-control');

		optName.val('');
		$('#list_options').append(input);
	});

	$('#optName').on('keydown', function(e) {
		if(e.key === 'Enter' || e.keyCode === 13) {
			e.preventDefault();
			$('button[data-add-options]').click();
		}
	});
</script>