{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eIncome">
		<div class="period">
			<span>Выберите период:</span>
			<select class="form-select me-2" id="date-selector">
				<option value="year">{lang('admin.income.date.0')}</option>
				<option value="month">{lang('admin.income.date.1')}</option>
				<option value="day">{lang('admin.income.date.2')}</option>
			</select>
			
			<div id="calendar-container">
				<input type="date" class="form-control" id="date-picker" style="display: none;" value="{date-picker}">
				<input type="month" class="form-control" id="month-selector" style="display: none;" value="{month-picker}">
				<input type="number" class="form-control" id="year-input" style="display: none;" value="{year-input}">
			</div>
			
			<button type="button" class="btn btn-primary ms-2" id="go-button">{lang('admin.income.date.3')}</button>
		
			<script>
				$(document).ready(function() {
					var dateParam = '{date}';
		
					if(dateParam) {
						if(/^\d{4}$/.test(dateParam)) {
							$('#date-selector').val('year');
							$('#year-input').val(dateParam).show();
						}
						else if(/^\d{4}-\d{2}$/.test(dateParam)) {
							$('#date-selector').val('month');
							$('#month-selector').val(dateParam).show();
						}
						else if(/^\d{4}-\d{2}-\d{2}$/.test(dateParam)) {
							$('#date-selector').val('day');
							$('#date-picker').val(dateParam).show();
						}
					}
		
					$('#date-selector').on('change', function() {
						var selectedValue = $(this).val();
		
						$('#calendar-container').show();
						$('#date-picker').hide();
						$('#month-selector').hide();
						$('#year-input').hide();
		
						if(selectedValue === 'year') {
							$('#year-input').show();
						}
						else if(selectedValue === 'month') {
							$('#month-selector').show();
						}
						else if(selectedValue === 'day') {
							$('#date-picker').show();
						}
					});
		
					$('#go-button').on('click', function() {
						var selectedValue = $('#date-selector').val();
						var dateToSend = '';
		
						if(selectedValue === 'year') {
							dateToSend = $('#year-input').val();
						}
						else if(selectedValue === 'month') {
							dateToSend = $('#month-selector').val();
						}
						else if(selectedValue === 'day') {
							dateToSend = $('#date-picker').val();
						}
		
						if(dateToSend) {
							location.href = '?date=' + dateToSend;
						}
						else {
							alert("{lang('admin.income.date.4')");
						}
					});
				});
			</script>
		</div>		
		

		<div class="row">
			<div class="col-lg-4">
				<div class="card stats">
					<div class="card-body">
						<div class="title">{lang('admin.income.stats.0')}</div>
						<div class="value">{profit_total} {currency}</div>
						<div class="desc">{lang('admin.income.stats.3', ['{total_profit_percentage}'])}</div>
					</div>
				</div>
			</div>

			<div class="col-lg-4">
				<div class="card stats">
					<div class="card-body">
						<div class="title">{lang('admin.income.stats.1')}</div>
						<div class="value">{profit_commissions} {currency}</div>
						<div class="desc">{lang('admin.income.stats.3', ['{profit_commissions_percentage}'])}</div>
					</div>
				</div>
			</div>

			<div class="col-lg-4">
				<div class="card stats">
					<div class="card-body">
						<div class="title">{lang('admin.income.stats.2')}</div>
						<div class="value">{profit_boosts} {currency}</div>
						<div class="desc">{lang('admin.income.stats.3', ['{profit_boosts_percentage}'])}</div>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-lg-6">
				<div class="card">
					<div class="card-header"><h5>{lang('admin.income.chars.0')}</h5></div>

					<div class="card-body">
						<canvas id="chart_commissions" width="400" height="200"></canvas>
					</div>
				</div>
			</div>

			<div class="col-lg-6">
				<div class="card">
					<div class="card-header"><h5>{lang('admin.income.chars.1')}</h5></div>

					<div class="card-body">
						<canvas id="chart_boosts" width="400" height="200"></canvas>
					</div>
				</div>
			</div>
		</div>

		<div class="card mt-4">
			<div class="card-header">
				<h5>{lang('admin.income.detail.title')}</h5>
			</div>

			<div class="card-body">
				<div class="table-responsive">
					<table class="table">
						<thead>
							<tr>
								<td>{lang('admin.income.detail.table.0')}</td>
								<td>{lang('admin.income.detail.table.1')}</td>
								<td>{lang('admin.income.detail.table.2')}</td>
								<td>{lang('admin.income.detail.table.3')}</td>
							</tr>
						</thead>

						<tbody>
							{chars_table}
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	$(function() {
		var chart_commissions = new Chart($('#chart_commissions'), {
			type: 'line',
			data: {
				labels: {chars_months},
				datasets: [{
					data: {chars_profit_commissions},
					borderColor: '#4bc0c0',
					backgroundColor: 'rgba(75, 192, 192, 0.2)',
					borderWidth: 1
				}]
			},
			options: {
				plugins: {
					legend: {
						display: false
					}
				},
				scales: {
					y: {
						beginAtZero: true
					}
				},
				responsive: true,
				maintainAspectRatio: false
			}
		});

		var chart_commissions = new Chart($('#chart_boosts'), {
			type: 'bar',
			data: {
				labels: {chars_months},
				datasets: [{
					data: {chars_profit_boost},
					borderColor: '#8500ff',
					backgroundColor: 'rgba(133, 0, 255, 0.2)',
					borderWidth: 1
				}]
			},
			options: {
				plugins: {
					legend: {
						display: false
					}
				},
				scales: {
					y: {
						beginAtZero: true
					}
				},
				responsive: true,
				maintainAspectRatio: false
			}
		});
	});
</script>