{grab('/elements/header.tpl')}

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content">
		<div class="card">
			<div class="card-header">
				<h5><span>{lang('admin.appearance.index.title')}</span></h5>
			</div>
			
			<div class="card-body">
				<form data-admin="onConfigs">
					<div class="form-group">
						<label for="site_name">{lang('admin.appearance.index.form.name')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" placeholder="{lang('admin.labels.placeholder.text')}" id="site_name" autocomplete="off" value="{{conf()->site_name}}" name="site_name" required>
					</div>
					
					<div class="form-group mt-2">
						<label for="description">{lang('admin.appearance.index.form.desc')}<span class="text-danger">*</span>:</label>
						<textarea class="form-control" rows="3" placeholder="{lang('admin.labels.placeholder.text')}" id="description" autocomplete="off" name="description" required>{{conf()->description}}</textarea>
					</div>

					<div class="form-group mt-2">
						<label for="keywords">{lang('admin.appearance.index.form.tags')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" placeholder="{lang('admin.labels.placeholder.text')}" id="keywords" autocomplete="off" value="{{conf()->keywords}}" name="keywords" required>
					</div>
					
					<div class="form-group mt-2">
						<label for="currency_html">{lang('admin.appearance.index.form.currency')}<span class="text-danger">*</span>:</label>
						<input type="text" class="form-control" placeholder="{lang('admin.labels.placeholder.valid')}" id="currency_html" autocomplete="off" value="{echo(htmlspecialchars(conf()->currency->html))}" name="currency[html]" required>
					
						<div class="alert alert-info" role="alert">
							{lang('admin.appearance.index.placeholder.html_currency')}
						</div>
					</div>
					
					<div class="form-group mt-2">
						<label for="caching">{lang('admin.appearance.index.form.caching')}<span class="text-danger">*</span>:</label>
						<select class="form-select" id="caching" name="caching" required>
							<option value="1" {if(conf()->caching == '1')}selected{/if}>{lang('labels.enabled')}</option>
							<option value="0" {if(conf()->caching != '1')}selected{/if}>{lang('labels.disabled')}</option>
						</select>
						
						<div class="alert alert-info" role="alert">
							{lang('admin.appearance.index.placeholder.caching')}
						</div>
					</div>

					<div class="form-group mt-2">
						<label for="language">{lang('admin.appearance.index.form.language')}<span class="text-danger">*</span>:</label>
						<select class="form-select" id="language" name="language" required>
							{languages}
						</select>
					</div>
					
					<div class="mt-2 l-o">
						<div class="form-group">
							<label for="index_count_products">{lang('admin.appearance.index.form.limit_products')}<span class="text-danger">*</span>:</label>
							<input type="number" class="form-control" min="1" placeholder="{lang('admin.labels.placeholder.number')}" id="index_count_products" autocomplete="off" value="{{conf()->index_count_products}}" name="index_count_products" required>
						
							<div class="alert alert-info" role="alert">{lang('admin.appearance.index.placeholder.limit_products')}</div>
						</div>
						
						<div class="form-group">
							<label for="max_remarks">{lang('admin.appearance.index.form.limit_remarks')}<span class="text-danger">*</span>:</label>
							<input type="number" class="form-control" min="3" placeholder="{lang('admin.labels.placeholder.number')}" id="max_remarks" autocomplete="off" value="{{conf()->max_remarks}}" name="max_remarks" required>
							
							<div class="alert alert-info" role="alert">{lang('admin.appearance.index.placeholder.limit_remarks')}</div>
						</div>

						<div class="form-group">
							<label for="sells_product">{lang('admin.appearance.index.form.percent')}<span class="text-danger">*</span>:</label>
							<input type="number" class="form-control" min="1" placeholder="{lang('admin.labels.placeholder.number')}" id="sells_product" autocomplete="off" value="{{conf()->percent->sells_product}}" name="percent[sells_product]" required>
						
							<div class="alert alert-info" role="alert">{lang('admin.appearance.index.placeholder.percent')}</div>
						</div>
					</div>

					<input type="submit" class="btn btn-primary mt-2" value="{lang('system.save')}">
				</form>
			</div>
		</div>
	</div>
</div>