<!DOCTYPE HTML>
<html lang="ru">
	<head>
		<title>{title}</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="{title}">
		<meta name="keywords" content="{meta_keywords}">
		<meta name="description" content="{meta_description}">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/{appearance}/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/{appearance}/css/start.css?v={cache}">
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/{appearance}/js/plugins/jquery-3.7.1.min.js?v={cache}"></script>
		<script src="/assets/{appearance}/js/plugins/bootstrap.bundle.min.js?v={cache}"></script>
		<script src="/assets/{appearance}/js/plugins/swiper-bundle.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-confirm/jquery-confirm.js?v={cache}"></script>
		
		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/{appearance}/js/ajax.js?v={cache}"></script>
	</head>
	
	<body>
		<input type="hidden" id="csrf_token" value="{csrf_token}">
		
		<div id="Page">
			{content}
		</div>

		<button data-page-up>
			<i class="bx bxs-chevron-up"></i>
		</button>
		
		<!--[ Load Secondary JavaScripts ]-->
		{scripts}
		
		<div class="offcanvas offcanvas-start" data-bs-scroll="true" tabindex="-1" id="adminMenu" aria-labelledby="adminMenuLabel">
			<div class="offcanvas-header">
				<h5 class="offcanvas-title" id="offcanvasLabel">{lang('admin.navigation')}</h5>
				<button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
			</div>

			<div class="offcanvas-body">
				{grab('/elements/menu.tpl')}
			</div>
		</div>
		
		<!--[ Load Others ]-->
		{other}
	</body>
</html>