{grab('/elements/header.tpl')}

<script src="https://cdn.jsdelivr.net/npm/jsoneditor@9.7.0/dist/jsoneditor.min.js"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jsoneditor@9.7.0/dist/jsoneditor.min.css">

<div class="Main">
	{grab('/elements/left-menu.tpl')}

	<div class="Content Page-eTranslate">
		<div class="card">
			<div class="card-header"><h5><span>{lang('admin.appearance.translate.index.title')}</span></h5></div>
			<div class="card-body">
				<div class="Items Languages">
					{list_languages}
				</div>

				<div class="Editor Form">
					<div class="Editor Language" id="jsoneditor"></div>

					<div class="Data Language">
						<div class="mb-2">
							<label for="inputName">{lang('languages.form.name.label')}<span class="text-danger">*</span>:</label>
							<input type="text" id="inputName" class="form-control" placeholder="{lang('system.placeholder.text')}" autocomplete="off">
						</div>

						<div class="mb-2">
							<label for="selectEnable">{lang('languages.form.enable.label')}<span class="text-danger">*</span>:</label>
							<select id="selectEnable" class="form-select">
								<option value="0">{lang('labels.disabled')}</option>
								<option value="1">{lang('labels.enabled')}</option>
							</select>
						</div>
					</div>

					<div>
						<button type="button" class="btn btn-primary" id="btnSave">{lang('system.save')}</button>
					</div>
				</div>
			</div>
		</div>

		<input type="hidden" id="codeLang">
	</div>
</div>

<script>
	var selectedLang = '{echo(Languages()->Get())}';
	var container = document.getElementById("jsoneditor");
	var options = { mode: 'tree', language: selectedLang };
	var editor = new JSONEditor(container, options);

	if(typeof saveData === 'undefined') {
		function saveData() {
			var editorData = editor.get();
			
			SendPost('/api/v1/admin/setLanguages', {
				codeLang: $('#codeLang').val(),
				data: JSON.stringify(editorData),
				name: $('#inputName').val(),
				enable: $('#selectEnable').val()
			}, (Result) => {
				ShowToasty(Result.Message, Result.Alert);
			});
		}
	}

	$(function() {
		if(typeof LanguageSelect === 'undefined') {
			function LanguageSelect(code) {
				$('#codeLang').val(code);
				$('.Languages > .Language.Selected').removeClass('Selected');
				$('.Languages > .Language').each(function() {
					var lang = $(this).data('lang');
		
					if(lang == code) {
						$(this).addClass('Selected');
					}
				});

				if(typeof SendPost !== 'undefined') {
					SendPost('/api/v1/languages/get', { type: 'editor', lang: code }, (Result) => {
						editor.set(Result.data);

						$('#inputName').val(Result.name);
						$('#selectEnable').val(Result.enable);
					});
				}
			}
		}

		$('[data-lang]').on('click', function() {
			if(!$(this).hasClass('Selected')) {
				var lang = $(this).data('lang');
				LanguageSelect(lang);
			}
		});

		$('#btnSave').on('click', function() {
			saveData();
		});
	
		LanguageSelect(selectedLang);
	});
</script>