{grab('/elements/header.tpl')}

<div class="Body Body-Account">
	<div class="Page-Account">
		<div class="Container">
			<div class="Main-Info">
				<div class="Avatar">
					<div class="Image">
						<img src="/uploads/images/avatars/{avatar}">

						{if($new_year)}
							<div class="new_year_decoration_2"></div>
						{/if}
					</div>
							
					{if(users()->isOnline('{user_id}'))}
						<span class="LastOnline Online">{lang('system.online')}</span>
					{else}
						<span class="LastOnline">{{userTimeAgo('{user_id}')}}</span>
					{/if}
				</div>
				
				<div class="Profile-Info">
					<span class="Name"><span>{name}</span> <div class="Badge">{profile_role}</div></span>
					<span class="Register">{{timeOnSite('{date_register}')}}</span>
							
					<div class="Special">
						<div class="Rating">
							<span>{rating}</span> {lang('account.home.labels.rating')}
						</div>
								
						<div class="Remarks">
							<span>{remarks}/{{conf()->max_remarks}}</span> {lang('account.home.labels.remarks')}
						</div>
					</div>
						
					<div class="Status">
						<span>{status}</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="Page-Account-Menu">
		<div class="Container">
			<ul class="Navigation">
				<li><a href="/account/wallet" data-target="balance">{lang('account.menu.balance')}</a></li>
				<li><a href="/account/notifications" data-target="notifications">{lang('account.menu.notifications')}</a></li>
				<li><a href="/account/market" data-target="market">{lang('account.menu.market')}</a></li>
				<li><a href="/account/orders" data-target="orders">{lang('account.menu.orders')}</a></li>
				<li><a href="/account/refund" data-target="refund">{lang('account.menu.refund')}</a></li>
				<li><a href="/account/settings" class="Active" data-target="settings">{lang('account.menu.settings')}</a></li>
			</ul>
		</div>
	</div>
	
	<div class="Page-Account-Content">
		<div class="Container">
			<div class="Settings">
				<div class="left_menu">
					<div class="items">
						<div class="item" data-incontent="information">{lang('account.settings.menu.information')}</div>
						<div class="item" data-incontent="safety">{lang('account.settings.menu.safety')}</div>
						<div class="item" data-incontent="confidentiality">{lang('account.settings.menu.confidentiality')}</div>
						<div class="item" data-incontent="settings">{lang('account.settings.menu.settings')}</div>
					</div>
				</div>

				<div class="left_content">
					<!-- [Информация] -->
					<div data-outContent="information">
						<div class="Block">
							<div data-grid data-grid-columns="1">
								<div class="d-set">
									<div class="Info">
										<div class="Value">{lang('account.settings.avatar.label')}</div>
										<div class="Placeholder">{lang('account.settings.avatar.placeholder')}</div>
									</div>
									
									<div class="Buttons" id="changeImage">
										<form><input type="file" name="image" accept="image/*"></form>
										<button type="button" class="btn btn-primary">{lang('account.settings.avatar.button')}</button>
									</div>
								</div>

								<div class="d-set">
									<div class="Info">
										<div class="Value" data-target="email">{profile_email}</div>
										<div class="Placeholder">{lang('account.settings.email.placeholder')}</div>
									</div>
									
									<div class="Buttons">
										<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalSettingsEmail">{lang('account.settings.email.button')}</button>
										
										<div class="modal fade Settings" id="modalSettingsEmail" tabindex="-1" aria-labelledby="modalSettingsEmailLabel" aria-hidden="true">
											<div class="modal-dialog">
												<div class="modal-content">
													<div class="modal-header">
														<h1 class="modal-title" id="modalSettingsEmailLabel">{lang('account.settings.email.modal.title')}</h1>
														<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
													</div>
		
													<div class="modal-body">
														<form data-action="onSettings" data-target="onEmail">
															<div class="DoubleBooble">
																<input type="email" name="email" class="form-control" autocomplete="off" placeholder="{lang('account.settings.email.modal.placeholder')}" required>
																<input type="submit" class="btn btn-primary" value="{lang('account.settings.email.modal.button')}">
															</div>
														</form>
													</div>
												</div>
											</div>
										</div>
										
										<div class="modal fade Settings" id="modalSettingsEmailConfirm" tabindex="-1" aria-labelledby="modalSettingsEmailConfirmLabel" aria-hidden="true">
											<div class="modal-dialog">
												<div class="modal-content">
													<div class="modal-header">
														<h1 class="modal-title" id="modalSettingsEmailConfirmLabel">{lang('account.settings.email.modal_confirm.title')}</h1>
														<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
													</div>
		
													<div class="modal-body">
														<form data-action="onSettings" data-target="onEmailConfirm">
															<div class="Items">
																<input type="text" class="form-control" maxlength="1" name="check_1" autocomplete="off" required><span>-</span>
																<input type="text" class="form-control" maxlength="1" name="check_2" autocomplete="off" required><span>-</span>
																<input type="text" class="form-control" maxlength="1" name="check_3" autocomplete="off" required><span>-</span>
																<input type="text" class="form-control" maxlength="1" name="check_4" autocomplete="off" required>
															</div>
															
															<input type="submit" class="btn btn-primary" value="{lang('account.settings.email.modal_confirm.button')}">
														</form>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

					<!-- [Безопасность] -->
					<div data-outcontent="safety">
						<div class="Block">
							<div data-grid data-grid-columns="1">
								<div class="d-set">
									<div class="Info">
										<div class="Value">{lang('account.settings.change_password.value')}</div>
									</div>

									<div class="Buttons">
										<form data-action="changePassword">
											<div class="mb-2">
												<label for="old_password">{lang('account.settings.change_password.old_password')}</label>
												<input type="password" name="old_password" id="old_password" class="form-control" placeholder="Введите текст..." autocomplete="off" required>
											</div>

											<div class="mb-2">
												<label for="new_password">{lang('account.settings.change_password.new_password')}</label>
												<input type="password" name="new_password" id="new_password" class="form-control" placeholder="Введите текст..." autocomplete="off" required>
											</div>

											<div class="mb-2">
												<label for="confirm_password">{lang('account.settings.change_password.confirm_password')}</label>
												<input type="password" name="confirm_password" id="confirm_password" class="form-control" placeholder="Введите текст..." autocomplete="off" required>
											</div>

											<input type="submit" class="btn btn-primary" value="{lang('system.edit')}">
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>

					<!-- [Конфиденциальность] -->
					<div data-outcontent="confidentiality">
						<div class="Block">
							<div data-grid data-grid-columns="1">
								<div class="d-set">
									<div class="Info">
										<div class="Value">{lang('account.settings.confidentiality.view_orders.value')}</div>
										<div class="Placeholder">{lang('account.settings.confidentiality.view_orders.placeholder')}</div>
									</div>
									
									<div class="Buttons">
										<select class="form-select" data-action="settings_view_orders">
											<option value="0" {if('{view_orders}' == '0')}selected{/if}>{lang('account.settings.confidentiality.view_orders.options.0')}</option>
											<option value="1" {if('{view_orders}' == '1')}selected{/if}>{lang('account.settings.confidentiality.view_orders.options.1')}</option>
											<option value="2" {if('{view_orders}' == '2')}selected{/if}>{lang('account.settings.confidentiality.view_orders.options.2')}</option>
										</select>
									</div>
								</div>

								<div class="d-set">
									<div class="Info">
										<div class="Value">{lang('account.settings.confidentiality.messages.value')}</div>
										<div class="Placeholder">{lang('account.settings.confidentiality.messages.placeholder')}</div>										
									</div>
									
									<div class="Buttons">
										<select class="form-select" data-action="settings_messages">
											<option value="0" {if('{messages}' == '0')}selected{/if}>{lang('account.settings.confidentiality.messages.options.0')}</option>
											<option value="1" {if('{messages}' == '1')}selected{/if}>{lang('account.settings.confidentiality.messages.options.1')}</option>
										</select>
									</div>
								</div>
							</div>
						</div>
					</div>

					<!-- [Настройки] -->
					<div data-outcontent="settings">
						<div class="Block">
							<div data-grid data-grid-columns="1">
								<div class="d-set">
									<div class="Info">
										<div class="Value" id="ApiToken">{profile_api_token}</div>
										<div class="Placeholder">{lang('account.settings.api.placeholder')}</div>
									</div>
									
									<div class="Buttons">
										<button type="button" class="btn btn-primary" data-action="UpdateToken">{lang('account.settings.api.button')}</button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	$(function() {
		$('[data-incontent]').on('click', function() {
			$('[data-incontent].selected').removeClass('selected');
			$('[data-outcontent]').each(function() {
				if ($(this).is(':visible')) {
					$(this).stop(true, true).fadeOut(1);
				}
			});

			$(this).addClass('selected');
			
			var incontent = $(this).data('incontent');
			$('[data-outcontent="' + incontent + '"]').stop(true, true).fadeIn(300);
		});

		$('[data-incontent="information"]').click();
	});
</script>

{grab('/elements/footer.tpl')}