<div class="Header">
	{if($new_year)}
		<div class="new_year_decoration_1"></div>
	{/if}
	
	<div class="Container">
		<div class="Navigation">
			<div class="Start">
				<div class="Brand"><a href="/"><img src="/assets/{appearance}/img/favicon.png"> <span class="Text">{site_name}</span></a></div>
				<div class="changeDarkMode" data-target="sun">
					<input type="checkbox" id="changeMode" class="toggle--checkbox">
					<label for="changeMode" class="toggle--label"><span class="toggle--label-background"></span></label>
					<div class="background"></div>
				</div>

				<div class="Languages">
					<button type="button" data-bs-toggle="modal" data-bs-target="#changeLanguages"><i class="bi bi-translate"></i></button>
				</div>
			</div>

			<div class="End">
				{if(isset($_SESSION['id']))}
					<div class="Balance HideMobile" data-bs-toggle="modal" data-bs-target="#modalPay">
						<span>{lang('system.balance')}: {profile_balance}</span>
						<span>{currency}</span>
					</div>
				{/if}

				<button class="OnlyMobile MobileMenu" data-bs-toggle="offcanvas" data-bs-target="#mobileMenu" aria-controls="mobileMenu"></button>

				<div class="offcanvas offcanvas-bottom OnlyMobile" data-bs-scroll="true" tabindex="-1" id="mobileMenu" aria-labelledby="mobileMenuLabel">
					<div class="offcanvas-body">
						{if(isset($_SESSION['id']))}
							<div class="Profile">
								<div class="Avatar">
									<a href="/account/home?id={{$_SESSION['id']}}">
										<img src="/uploads/images/avatars/{profile_image}">
										
										{if($new_year)}
											<div class="new_year_decoration_2"></div>
										{/if}
									</a>
								</div>
								
								<div class="Name">{profile_name}</div>
								<div class="Email">{profile_email}</div>
							</div>
							
							<ul>
								{if(isRights('a') || isRights('c') || isRole('2'))}
									{if(isRights('a'))}
										<li><a href="/admin/index">{lang('menu.mobile.login.0')}</a></li>
									{/if}

									{if(isRights('c') || isRole('2'))}
										{if($verifyRow = MarketVerify()->rowCount())}
											<li><a href="/market/staff/verify">{lang('menu.mobile.login.1')} <span class="badge rounded-pill bg-danger">+{{$verifyRow}}</span></a></li>
										{else}
											<li><a href="/market/staff/verify">{lang('menu.mobile.login.1')}</a></li>
										{/if}
									{/if}
								{/if}

								<li><a href="/market/add">{lang('menu.mobile.login.2')}</a></li>
								<li><a href="/market/my_product">{lang('menu.mobile.login.3')}</a></li>
								
								<li>
									<a href="/account/messages">
										{lang('menu.mobile.login.4')}

										{if(($rowNotReadyMessages = getRowNotReadyMessages()) >= 1)}
											<span class="badge bg-primary">
												+{{$rowNotReadyMessages}}
												<span class="visually-hidden">{lang('menu.mobile.login.5')}</span>
											</span>
										{/if}
									</a>
								</li>
								<li><a href="/account/settings">{lang('menu.mobile.login.6')}</a></li>
								<li><a href="/help">{lang('menu.mobile.login.7')}</a></li>
								<li><a href="/account/logout">{lang('menu.mobile.login.8')}</a></li>
							</ul>
						{else}
							<ul class="NotAuth">
								<li><a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalAuth">{lang('menu.mobile.not_login.0')}</a></li>
								<li><a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalRegister">{lang('menu.mobile.not_login.1')}</a></li>
							</ul>
						{/if}
					</div>
				</div>
				
				<ul>
					{if(empty($_SESSION['id']))}
						<li><a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalAuth">{lang('menu.pc.not_login.0')}</a></li>
						<li><a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#modalRegister">{lang('menu.pc.not_login.1')}</a></li>
					{else}
						<li class="Profile" data-target="open-menu">
							<span>{profile_name}</span>
							<img src="/uploads/images/avatars/{profile_image}">

							{if($new_year)}
								<div class="new_year_decoration_2"></div>
							{/if}
						</li>
					{/if}
				</ul>
			</div>
		</div>
	</div>

	<!-- Навигационное меню -->
	<div class="Menu" data-toggle="open-menu">
		<div class="Content">
			<div class="Items">
				<!-- Главная -->
				<div class="Item">
					<a href="/">
						<div class="Icon"><i class="bi bi-house"></i></div>
						<div class="Label">{lang('menu.pc.login.0')}</div>
					</a>
				</div>

				<!-- Профиль -->
				{if(isset($_SESSION['id']))}
					<div class="Item">
						<a href="/account/home">
							<div class="Icon"><i class="bi bi-person"></i></div>
							<div class="Label">{lang('menu.pc.login.1')}</div>
						</a>
					</div>

					<!-- Уведомления -->
					<div class="Item">
						<a href="/account/notifications">
							<div class="Icon">
								<i class="bi bi-bell"></i>

								{if($UsersNotyRowCount = Noty()->rowCount())}
									<span class="badge">
										{{$UsersNotyRowCount}} <span class="visually-hidden">{lang('menu.pc.login.3')}</span>
									</span>
								{/if}
							</div>
							<div class="Label">{lang('menu.pc.login.2')}</div>
						</a>
					</div>

					<!-- Сообщения -->
					<div class="Item">
						<a href="/account/messages">
							<div class="Icon">
								<i class="bi bi-chat"></i>

								{if(($rowNotReadyMessages = getRowNotReadyMessages()) >= 1)}
									<span class="badge">
										+{{$rowNotReadyMessages}}
										<span class="visually-hidden">{lang('menu.pc.login.8')}</span>
									</span>
								{/if}
							</div>
							<div class="Label">{lang('menu.pc.login.7')}</div>
						</a>
					</div>

					<!-- Для продавцов -->
					<div class="Item">
						<a href="/market/my_product">
							<div class="Icon">
								<i class="bi bi-database"></i>

								{if($ProductRowUserCount = Product()->rowUserCount($_SESSION['id']))}
									<span class="badge">
										{{$ProductRowUserCount}}
										<span class="visually-hidden">{lang('menu.pc.login.6')}</span>
									</span>
								{/if}
							</div>
							<div class="Label">{lang('menu.pc.login.5')}</div>
						</a>
					</div>

					<div class="Item">
						<a href="/market/income">
							<div class="Icon">
								<i class="bi bi-piggy-bank"></i>
							</div>
							<div class="Label">{lang('menu.pc.login.15')}</div>
						</a>
					</div>

					<div class="Item">
						<a href="/market/add">
							<div class="Icon"><i class="bi bi-database-add"></i></div>
							<div class="Label">{lang('menu.pc.login.4')}</div>
						</a>
					</div>

					<!-- Споры и возвраты -->
					<div class="Item">
						<a href="/refunds">
							<div class="Icon"><i class="bi bi-cash-coin"></i></div>
							<div class="Label">{lang('menu.pc.login.14')}</div>
						</a>
					</div>
				{/if}
				
				{if(isset($_SESSION['id']))}
					<!-- Помощь -->
					<div class="Item">
						{if(Help()->isRights($_SESSION['id']))}
							<a href="/help">
								<div class="Icon">
									<i class="bi bi-question-circle"></i>

									{if($HelpRowCount = Help()->rowCount())}
										<span class="badge">
											{{$HelpRowCount}}
											<span class="visually-hidden">{lang('menu.pc.login.10')}</span>
										</span>
									{/if}
								</div>
								<div class="Label">{lang('menu.pc.login.9')}</div>
							</a>
						{else}
							<a href="/help">
								<div class="Icon"><i class="bi bi-question-circle"></i></div>
								<div class="Label">
									{lang('menu.pc.login.9')}
								</div>
							</a>
						{/if}
					</div>
				{/if}
				
				{if(isRights('a') || isRights('c') || isRole('2'))}
					{if(isRights('c') || isRole('2'))}
						{if($verifyRow = MarketVerify()->rowCount())}
							<div class="Item">
								<a href="/market/staff/verify">
									<div class="Icon">
										<i class="bi bi-check-circle"></i>
										<span class="badge">
											{{$verifyRow}}
											<span class="visually-hidden">{lang('menu.pc.login.6')}</span>
										</span>
									</div>
									<div class="Label">
										{lang('menu.pc.login.11')}
									</div>
								</a>
							</div>
						{else}
							<div class="Item">
								<a href="/market/staff/verify">
									<div class="Icon"><i class="bi bi-check-circle"></i></div>
									<div class="Label">
										{lang('menu.pc.login.11')}
									</div>
								</a>
							</div>
						{/if}
					{/if}

					{if(isRights('a'))}
						<div class="Item">
							<a href="/admin/index">
								<div class="Icon"><i class="bi bi-shield"></i></div>
								<div class="Label">
									{lang('menu.pc.login.12')}
								</div>
							</a>
						</div>
					{/if}
				{/if}

				<!-- Выход -->
				<div class="Item">
					<a href="/account/logout">
						<div class="Icon"><i class="bi bi-door-closed"></i></div>
						<div class="Label">
							{lang('menu.pc.login.13')}
						</div>
					</a>
				</div>
			</div>
		</div>
	</div>
</div>