<div id="step-2">
	<h5>{lang('elements.market.add.step_2.title')}</h5>
	<div class="Search">
		<input type="text" class="form-control" id="search-input" placeholder="{lang('elements.market.add.step_2.search.placeholder')}">
	</div>
	
	<div class="Items">{cards}</div>
	<div class="NoData">{lang('system.no_data')}</div>

	<script>
		$('button[data-action]').off('click').on('click', function(e) {
			var action = $(this).data('action');
	
			switch(action) {
				case 'goToStep2': {
					var step_id = $(this).data('step_id');
					var category_id = $(this).data('id');

					SendPost('/api/v1/market/add', {goto_step: 1, step_id: step_id, category_id: category_id}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});

					break;
				}
			}
		});

		$('#search-input').off('keydown').on('keydown', function(event) {
			if (event.key === "Enter") {
				event.preventDefault();
			}
		});
		
		$('#search-input').off('input').on('input', function() {
			var searchValue = $(this).val().toLowerCase();
			var hasVisibleItems = false;
			
			$('#step-2 > .Items > .Item').each(function() {
				var itemName = $(this).data('name').toLowerCase();
				if(itemName.includes(searchValue)) {
					$(this).show();
					hasVisibleItems = true;
				}
				else {
					$(this).hide();
				}
			});

			if(!hasVisibleItems) {
				$('#step-2 > .NoData').show();
			}
			else {
				$('#step-2 > .NoData').hide();
			}
		});
	</script>
</div>