<div id="step-4">
	<h5>{lang('elements.market.add.step_4.title')}</h5>
	
	<div class="info_category">
		<button type="button" data-target="back" data-step_id="3"><i class="bi bi-chevron-left"></i></button>

		<div class="info_category_image"><img src="/uploads/images/icons/{category_image}"></div>
		<div class="info_category_data">
			<div class="info_category_name">{category_name}</div>
			<div class="info_subcategory_name">{subcategory_name}</div>
		</div>
	</div>

	<div class="Items">
		<button type="button" class="Item" data-action="goToStepFinish" data-step_id="5">
			<div class="Icon">
				<i class="bi bi-send"></i>
			</div>

			<div class="Info">
				<div class="Name">{lang('elements.market.add.step_4.form.0')}</div>
				<div class="Desc">{lang('elements.market.add.step_4.form.1')}</div>
			</div>
		</button>

		{if('{data_auto}' == '1')}
			<button type="button" class="Item" data-action="goToStepAuto" data-step_id="auto">
				<div class="Icon">
					<i class="bi bi-robot"></i>
				</div>

				<div class="Info">
					<div class="Name">{lang('elements.market.add.step_4.form.2')}</div>
					<div class="Desc">{lang('elements.market.add.step_4.form.3')}</div>
				</div>
			</button>
		{/if}
	</div>

	<script>
		$('[data-target="back"]').off('click').on('click', function(e) {
			var step_id = $(this).data('step_id');

			SendPost('/api/v1/market/add', {
				back_step: 1, step_id: step_id
			}, (Result) => {
				if(Result.Content) {
					$('#step-content').html(Result.Content);
				}
				else {
					ShowToasty(Result.Message, Result.Alert);
				}
			});
		});

		$('button[data-action]').off('click').on('click', function(e) {
			var action = $(this).data('action');
			
			switch(action) {
				case 'goToStepFinish': {
					var step_id = $(this).data('step_id');
					
					SendPost('/api/v1/market/add', {
						goto_step: 1,
						step_id: step_id
					}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
	
					break;
				}

				{if('{data_auto}' == '1')}
				case 'goToStepAuto': {
					var step_id = $(this).data('step_id');
					
					SendPost('/api/v1/market/add', {
						goto_step: 1, step_id: 'auto'
					}, (Result) => {
						if(Result.Content) {
							$('#step-content').html(Result.Content);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
	
					break;
				}
				{/if}
			}
		});
	</script>
</div>