<div id="step-5">
	<h5>{lang('elements.market.add.step_5.title')}</h5>
	
	<div class="info_category">
		<button type="button" data-target="back" data-step_id="4"><i class="bi bi-chevron-left"></i></button>

		<div class="info_category_image"><img src="/uploads/images/icons/{category_image}"></div>
		<div class="info_category_data">
			<div class="info_category_name">{category_name}</div>
			<div class="info_subcategory_name">{subcategory_name}</div>
		</div>
	</div>

	<form data-action="onAddMarket">
		<input type="hidden" name="subcategories" value="{subcategory_id}">

		<div class="row">
			<div class="col-lg-6">
				<div class="mb-2">
					<label for="inputName">{lang('elements.market.add.step_5.form.name.title')}<span class="text-danger">*</span>:</label>
					<input type="text" name="name" class="form-control" id="inputName" placeholder="{lang('elements.market.add.step_5.form.name.placeholder')}" autocomplete="off" maxlength="127" required>
				</div>
		
				<div class="mb-2">
					<label for="textareaDesc">{lang('elements.market.add.step_5.form.desc')}<span class="text-danger">*</span>:</label>
					<textarea id="textareaDesc"></textarea>
		
					<script>
						inEditor('textarea#textareaDesc', '{echo(Languages()->Get())}');
					</script>
				</div>
				
				<div class="mb-2">
					<label for="inputPrice">{lang('elements.market.add.step_5.form.price')}<span class="text-danger">*</span>:</label>
					<input type="number" class="form-control" step="0.01" name="price" min="10" value="10" id="inputPrice" autocomplete="off" required>
				</div>
		
				<div class="mb-2">
					<label for="inputDiscount">{lang('elements.market.add.step_5.form.discount')}<span class="text-danger">*</span>:</label>
					<input type="number" step="0.01" class="form-control" name="discount" min="0" max="90" value="0" id="inputDiscount" autocomplete="off">
				</div>

				{if('{auto}' != '1')}
					<div class="mb-2">
						<label for="input_quantity">{lang('elements.market.add.step_5.form.quantity')}<span class="text-danger">*</span>:</label>
						<input type="number" class="form-control" name="quantity" min="1" value="1" id="input_quantity" autocomplete="off">
					</div>
				{/if}

				{forms}
			</div>

			<div class="col-lg-6">
				<div class="mb-2">
					<label for="inputImage">{lang('elements.market.add.step_5.form.cover')}<span class="text-danger">*</span>:</label>

					<div id="cover_image_preview">
						<img src="/uploads/images/product/no_image738x200.jpg">
					</div>

					<input type="file" id="inputImage" class="form-control" name="image" accept="image/*">
				</div>
		
				<div class="mb-2">
					<label for="inputImages">{lang('elements.market.add.step_5.form.screens')}:</label>
					<input type="file" id="inputImages" class="form-control" name="images[]" accept="image/*" multiple>
				</div>

				<input type="submit" class="btn btn-primary" value="{lang('elements.market.add.step_5.form.submit')}">
			</div>
		</div>
	</form>
</div>

<script>
	$('#cover_image_preview').off('click').on('click', function() {
		$('#inputImage').click();
	});

	$('#inputImage').off('change').on('change', function(e) {
		var file = event.target.files[0];

        if(file) {
            var reader = new FileReader();
            reader.onload = function(e) {
                $('#cover_image_preview > img').attr('src', e.target.result);
                $('#cover_image_preview > img').show();
            };
            reader.readAsDataURL(file);
        }
	});

	$('[data-target="back"]').off('click').on('click', function(e) {
		var step_id = $(this).data('step_id');

		SendPost('/api/v1/market/add', {
			back_step: 1, step_id: step_id
		}, (Result) => {
			if(Result.Content) {
				$('#step-content').html(Result.Content);
			}
			else {
				ShowToasty(Result.Message, Result.Alert);
			}
		});
	});
	
	$('form[data-action]').off('submit').submit(function(Event) {
		Event.preventDefault();
		
		switch($(this).data('action')) {
			case 'onAddMarket': {
				const fileInput = $('#inputImage');
            
				if(!fileInput.val()) {
					$.alert({
						title: Languages('elements.market.add.step_5.noty.title'),
						content: Languages('elements.market.add.step_5.noty.not_image'),
					});
					return;
				}

				SendPost('/api/v1/market/add', {
					onAdd: 1,
					this: this, 
					description: tinymce.get("textareaDesc").getContent()
				}, (Result) => {
					if(Result.Alert == 'Success') {
						$('form[data-action="onAddMarket"]').trigger('reset');
						$('#cover_image_preview > img').attr('src', '/uploads/images/product/no_image738x200.jpg');
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
		}
	});
</script>