<div class="modal fade Pay" id="modalPay" tabindex="-1" aria-labelledby="modalPay" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">{lang('pay.modal.title')}</h5>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>

			<form data-action="onPay">
				<div class="modal-body">
					<input type="hidden" name="merchant" id="merchant">
					<input type="hidden" id="step_id" value="1">

					<div data-step="1">
						<h5>{lang('pay.modal.step.one.title')}</h5>

						<div class="payments">
							<div class="items">
								{items}
							</div>
						</div>
					</div>

					<div data-step="2">
						<h5>{lang('pay.modal.step.two.title')}</h5>

						<div class="payments-amount">
							<label for="amount">{lang('elements.modals.pay.form.amount')}<span class="text-danger">*</span></label>
							<input type="number" id="amount" name="amount" class="form-control" min="1" value="50" autocomplete="off" placeholder="{lang('elements.modals.pay.form.amount')}" required>
						</div>
					</div>

					<div data-step="3">
						<h5>{lang('pay.modal.step.three.title')}</h5>

						<div class="payments-finish">
							<div><span>{lang('pay.modal.step.three.amount')}</span> <span id="info_amount"></span></div>
							<div><span>{lang('pay.modal.step.three.merchant')}</span> <span id="info_payments"></span></div>

							<div class="info_message">{lang('pay.modal.step.three.info')}</div>
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<button type="button" class="btn btn-primary" data-toggle="back" disabled>{lang('system.back')}</button>
					<button type="button" class="btn btn-primary" data-toggle="next" disabled>{lang('system.next')}</button>
					<button type="submit" id="ajax_payments" class="btn btn-primary" disabled>{lang('elements.modals.pay.form.submit')}</button>
				</div>
			</form>
		</div>
	</div>
</div>

<script>
	function btnToggle(next, back) {
		$('[data-toggle="back"]').prop('disabled', back);
		$('[data-toggle="next"]').prop('disabled', next);
	}

	function displayToggle(step_id) {
		$('#step_id').val(step_id);

		$('[data-step]').each(function() {
			const step = $(this).data('step');
			$(this).toggle(step == step_id);
		});
	}

	function btnGoPayments(type) {
		const displayStyle = type ? 'block' : 'none';
		const disabledStatus = type ? false : true;

		$('#ajax_payments').css('display', displayStyle).prop('disabled', disabledStatus);
		$('[data-toggle="next"]').prop('disabled', type).toggle(!type);
	}

	function getPayInfo() {
		const merchant = $('#merchant').val();
		const obj_merchant = $('[data-step="1"]').find(`[data-key="${merchant}"]`);

		const merchant_name = obj_merchant.data('name');
		const currency = obj_merchant.data('currency') || 'rub';
		const amount = $('[data-step="2"]').find('#amount').val();

		$('#info_payments').text(merchant_name);
		$('#info_amount').text(amount + " " + currency);
	}

	$(function() {
		$('[data-click="selectPayments"]').on('click', function() {
			$('#merchant').val($(this).data('key'));
			$('[data-click="selectPayments"].selected').removeClass('selected');
			$(this).addClass('selected');
			$('#step_id').val('1');

			$('[data-toggle="next"]').prop('disabled', false);
		});

		$('#modalPay').on('hidden.bs.modal', function () {
			$('[data-action="onPay"]').trigger('reset');
			$('[data-action="onPay"] input[type="hidden"]').val('');
			$('[data-click="selectPayments"].selected').removeClass('selected');

			displayToggle(1);
			btnGoPayments(false);
			btnToggle(true, true);
		});

		$('[data-toggle="next"]').on('click', function() {
			switch($('#step_id').val()) {
				case '1': {
					displayToggle(2);
					btnToggle(false, false);

					break;
				}

				case '2': {
					displayToggle(3);
					btnToggle(false, false);
					btnGoPayments(true);
					getPayInfo();

					break;
				}
			}
		});

		$('[data-toggle="back"]').on('click', function() {
			switch($('#step_id').val()) {
				case '2': {
					displayToggle(1);
					btnToggle(false, true);
					
					break;
				}

				case '3': {
					displayToggle(2);
					btnGoPayments(false);
					btnToggle(false, false);

					break;
				}
			}
		});
	});
</script>