{grab('/elements/header.tpl')}

<div class="Body">
	{if($showLastSales && Market()->rowLastSales() > 7)}
		<div class="Container"><h2>{lang('home.index.labels.last_sells')}</h2></div>
		
		<div class="swiper" id="lastSales">
			<div class="swiper-wrapper">
				{func Market:getLastSales()}
			</div>
		</div>
		
		<script>
			new Swiper("#lastSales", {
				speed: 400,
				slidesPerView: 7,
				spaceBetween: 10,
				autoplay: {
					delay: 2000
				}
			});
		</script>
	{/if}

	<div class="Container">
		{if($sliderEnable)}
			<div class="swiper" id="homeSlider">
				<div class="swiper-wrapper">
					{foreach($sliderList as $dataSlider)}
						<div class="swiper-slide">
							{if(isset($dataSlider['link']))}
								{if(isset($dataSlider['linkButton']))}
									<img src="{{$dataSlider['image']}}">
									
									{if(isset($dataSlider['linkButtonCss']))}
										<div style="{{$dataSlider['linkButtonCss']}}">
											<a class="btn btn-primary" href="{{$dataSlider['link']}}" {if(isset($dataSlider['blink']) && $dataSlider['blink'])}target="_blank"{/if}>
												{{$dataSlider['linkButtonText']}}
											</a>
										</div>
									{else}
										<a class="btn btn-primary" href="{{$dataSlider['link']}}" {if(isset($dataSlider['blink']) && $dataSlider['blink'])}target="_blank"{/if}>
											{{$dataSlider['linkButtonText']}}
										</a>
									{/if}
								{else}
									{if(isset($dataSlider['linkButtonCss']))}
										<div style="{{$dataSlider['linkButtonCss']}}">
											<a href="{{$dataSlider['link']}}" {if(isset($dataSlider['blink']) && $dataSlider['blink'])}target="_blank"{/if}>
												<img src="{{$dataSlider['image']}}">
											</a>
										</div>
									{else}
										<a href="{{$dataSlider['link']}}" {if(isset($dataSlider['blink']) && $dataSlider['blink'])}target="_blank"{/if}>
											<img src="{{$dataSlider['image']}}">
										</a>
									{/if}
								{/if}
							{else}
								<img src="{{$dataSlider['image']}}">
							{/if}
						</div>
					{/foreach}
				</div>
				
				<div class="swiper-pagination"></div>
			</div>
			
			<script>
				new Swiper("#homeSlider", { speed: 400, autoplay: { delay: 5000 }, pagination: { el: '.swiper-pagination', clickable: true }});
			</script>
		{/if}
		
		<!-- Подкатегории (список) -->
		<div class="Subcategories-List">
			<button type="button" data-bs-toggle="modal" data-bs-target="#modalCatalog"><i class="bi bi-columns-gap"></i></button>
			{grab('/elements/modals/catalog.tpl')}
			
			<div class="Items swiper">
				<div class="swiper-wrapper">{list-subcategories}</div>
			</div>
			
			<script>
				$(function() {
					new Swiper('.Subcategories-List > .swiper', {
						slidesPerView: 2,
						spaceBetween: 10,
						loop: false,
						autoplay: {
							delay: 2000
						},
						breakpoints: {
							768: {
								slidesPerView: 4,
								spaceBetween: 10,
							},
							1024: {
								slidesPerView: 6,
								spaceBetween: 10,
							}
						}
					});
				});
			</script>
		</div>

		<!-- Разделы -->
		<div class="Categories">
			<h2>{lang('home.index.labels.categories')}</h2>
			<div class="row">
				{category_all}
			</div>
			
			{if(empty($_SESSION['id']))}
				<h2>{lang('home.index.earn.title', ['{site_name}'])}</h2>
				<div class="row earnMoney">
					<div class="col-lg-3">
						<div class="Item">
							<div class="Icon">
								<i class="bi bi-globe2"></i>
							</div>
							
							<div class="Data">
								<div class="Title">{lang('home.index.earn.elements.first.title')}</div>
								<div class="Message">{lang('home.index.earn.elements.first.message')}</div>
							</div>
						</div>
					</div>
					
					<div class="col-lg-3">
						<div class="Item">
							<div class="Icon">
								<i class="bi bi-shop"></i>
							</div>
							
							<div class="Data">
								<div class="Title">{lang('home.index.earn.elements.two.title')}</div>
								<div class="Message">{lang('home.index.earn.elements.two.message')}</div>
							</div>
						</div>
					</div>
					
					<div class="col-lg-3">
						<div class="Item">
							<div class="Icon">
								<i class="bi bi-gem"></i>
							</div>
							
							<div class="Data">
								<div class="Title">{lang('home.index.earn.elements.three.title')}</div>
								<div class="Message">{lang('home.index.earn.elements.three.message', '{site_name}')}</div>
							</div>
						</div>
					</div>
					
					<div class="col-lg-3">
						<div class="Item">
							<div class="Icon">
								<i class="bi bi-clock-history"></i>
							</div>
							
							<div class="Data">
								<div class="Title">{lang('home.index.earn.elements.four.title')}</div>
								<div class="Message">{lang('home.index.earn.elements.four.message')}</div>
							</div>
						</div>
					</div>
					
					<div class="col-lg-12">
						<div class="Start">
							<button type="button" data-bs-toggle="modal" data-bs-target="#modalAuth" class="btn btn-success btn-lg">{lang('home.index.transactions.button')}</button>
						</div>
						<div class="End">
							<p>{lang('home.index.transactions.message.0')}</p>
							<p>{lang('home.index.transactions.message.1')}</p>
						</div>
					</div>
				</div>
			{/if}
		</div>

		<!-- Премиум товары -->
		<div class="Premium-Product">
			<h2>{lang('home.index.premium.title')}</h2>
			<div class="Items" id="Premium-Products">{premium-products}</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}