<div id="step-auto">
	<h5>{lang('elements.market.add.step_auto.title')}</h5>
	
	<div class="info_category">
		<div class="info_category_image"><img src="/uploads/images/icons/{category_image}"></div>
		<div class="info_category_data">
			<div class="info_category_name">{category_name}</div>
			<div class="info_subcategory_name">{subcategory_name}</div>
		</div>
	</div>

	<form id="auto_delivery">
		<div class="items">
			<div class="card" id="auto_delivery_forms">
				<div class="card-body">
					{forms}
	
					<button type="button" class="btn btn-danger" data-action="onDeleteDelivery">{lang('elements.market.add.step_auto.delete')}</button>
				</div>
			</div>
		</div>

		<div class="actions mt-4">
			<button type="button" class="btn btn-primary" id="add_more">{lang('elements.market.add.step_auto.add_more')}</button>
			<button type="submit" class="btn btn-primary" id="save_data">{lang('elements.market.add.step_auto.save_data')}</button>
		</div>
	</form>

	<script>
		var base_forms = $('#auto_delivery .card').first().clone();

		base_forms.find('input, select, textarea').each(function() {
			if($(this).is('input, textarea')) {
				$(this).val('');
			}
			else if ($(this).is('select')) {
				$(this).prop('selectedIndex', 0);
			}
		});

		var counter = 1;

		$('#add_more').on('click', function () {
			var new_forms = base_forms.clone();

			new_forms.find('[id]').each(function () {
				var oldId = $(this).attr('id');
				if (oldId) {
					var newId = oldId.replace(/_\d+$/, '') + '_' + counter;
					$(this).attr('id', newId);

					new_forms.find(`[for="${oldId}"]`).attr('for', newId);
				}
			});

			var oldCardId = new_forms.attr('id');
			if(oldCardId) {
				new_forms.attr('id', oldCardId.replace(/_\d+$/, '') + '_' + counter);
			}

			counter++;
			$('#auto_delivery > .items').append(new_forms);
			
			new_forms.find('[data-action="onDeleteDelivery"]').on('click', function () {
				var card = $(this).closest('.card');
				var totalCards = $('.card').length;

				if(totalCards <= 1) {
					$.alert({
						title: Languages('elements.market.add.step_auto.noty.title'),
						content: Languages('elements.market.add.step_auto.noty.last_card'),
					});
					return;
				}

				card.remove();
			});
		});

		$('[data-action="onDeleteDelivery"]').on('click', function () {
			var card = $(this).closest('.card');
			var totalCards = $('.card').length;

			if(totalCards <= 1) {
				$.alert({
					title: Languages('elements.market.add.step_auto.noty.title'),
					content: Languages('elements.market.add.step_auto.noty.last_card'),
				});
				return;
			}

			card.remove();
		});

		$('#auto_delivery').off('submit').submit(function(Event) {
			Event.preventDefault();
			
			SendPost('/api/v1/market/edit_product', {
				save_step_auto: 1,
				product_id: {product_id},
				this: this
			}, (Result) => {
				if(Result.Content) {
					$('#step-content').html(Result.Content);
					return;
				}
						
				ShowToasty(Result.Message, Result.Alert);
			});
		});
	</script>
</div>