{grab('/elements/header.tpl')}

<div class="Body">
	<div class="Container">
		<!--[ Main ]-->
		<div class="Page-My-Product Page-My-Income">
			<div class="Title">
				<div class="Start">
					<h2>{lang('market.income.title')}</h2>
				</div>

				<div class="End">
					<button type="button" class="btn btn-confirm" data-bs-toggle="modal" data-bs-target="#modalOutput">{lang('market.income.output.button')}</button>
				</div>
			</div>

			<div class="Stats">
				<section class="Date">
					<div class="Icon"><i class="bx bx-calendar"></i></div>
					<div class="Value">{date}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.income.sells')}</div>
					<div class="Value">{sells_rows}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.income.sells_today')}</div>
					<div class="Value">{sells_rows_today}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.income.refunds')}</div>
					<div class="Value">{sells_rows_refunds}</div>
				</section>

				<section>
					<div class="Placeholder">{lang('market.income.refunds_success')}</div>
					<div class="Value">{sells_rows_refunds_success}</div>
				</section>
			</div>

			<div class="pre-table">
				<table class="table">
					<thead>
						<tr>
							<td>{lang('market.income.table.date')}</td>
							<td>{lang('market.income.table.product')}</td>
							<td>{lang('market.income.table.price')}</td>
							<td>{lang('market.income.table.buyer')}</td>
							<td>{lang('market.income.table.status')}</td>
							<td>{lang('market.income.table.autoclosed')}</td>
							<td></td>
						</tr>
					</thead>

					<tbody>
						{list_trans}
					</tbody>
				</table>
			</div>

			<nav class="inPaginate">
				<ul class="pagination"></ul>
			</nav>

			<script>
				inPaginate('.Page-My-Product .pre-table table tbody tr', 10);
			</script>
		</div>
	</div>
</div>

<div class="modal fade" id="modalOutput" tabindex="-1">
	<div class="modal-dialog modal-dialog-centered">
		<div class="modal-content">
			<div class="modal-body">
				<div class="Header">
					<div class="Svg-Media" id="output_icon">
						<script>
							var animation = lottie.loadAnimation({
								container: document.getElementById('output_icon'),
								renderer: 'svg',
								loop: true,
								autoplay: true,
								path: '/assets/{appearance}/img/lottie/output_money.json'
							});
						</script>
					</div>
				</div>

				<div class="Info">
					<div class="Items">
						<div class="Item">
							<div class="Placeholder">{lang('market.income.modal.frozen')}</div>
							<div class="Value">{balance_frozen} {currency}</div>
						</div>

						<div class="Item">
							<div class="Placeholder">{lang('market.income.modal.available')}</div>
							<div class="Value">{balance_available} {currency}</div>
						</div>

						<div class="Item">
							<div class="Placeholder">{lang('market.income.modal.requests')}</div>
							<div class="Value">{request_rows}</div>
						</div>
					</div>
				</div>

				<hr>
				<div class="Request">
					<form data-action="onSendOutput">
						<select class="form-select" name="merchant" required>{option_output}</select>
						<input class="form-control" type="text" name="requisites" placeholder="{lang('market.income.modal.form.requisites')}" required>
						<input class="form-control" type="number" step="0.01" name="price" min="{{conf()->output_min}}" max="{balance_available}" placeholder="{lang('market.income.modal.form.price')}" required>
						<input type="submit" class="btn btn-primary" value="{lang('market.income.modal.form.submit')}">
					</form>
				</div>

				<div class="History">
					<div class="Title">{lang('market.income.modal.history.title')}</div>

					<div class="pre-table border-0">
						<table class="table">
							<thead>
								<tr>
									<td>{lang('market.income.modal.history.table.date')}</td>
									<td>{lang('market.income.modal.history.table.price')}</td>
									<td>{lang('market.income.modal.history.table.status')}</td>
								</tr>
							</thead>
		
							<tbody>
								{list_output}
							</tbody>
						</table>
					</div>

					<nav class="inPaginate">
						<ul class="pagination"></ul>
					</nav>
		
					<script>
						inPaginate('.modal#modalOutput .modal-body > .History > .pre-table table tbody tr', 5);
					</script>
				</div>
			</div>
		</div>
	</div>
</div>

{grab('/elements/footer.tpl')}