{grab('/elements/header.tpl')}

<div class="Body">
	<div class="Container">
		<!--[ Main ]-->
		<div class="Main">
			<div class="Back-Page-Product">
				<div class="Button">
					<a href="/market/{back_search_link}/{back_id}"><i class="bi bi-chevron-left"></i></a>
				</div>

				<div class="Icon">
					<img src="/uploads/images/icons/{back_icon}">
				</div>

				<div class="Info">
					<div class="Name">{back_name}</div>
					<div class="SubName">{back_subname}</div>
				</div>
			</div>

			<div class="Page-Product">
				<div class="Start">
					<!-- Продавец -->
					<div class="block_seller">
						<div class="date_start">{lang('product.labels.10', '{seller_date_register}')}</div>
						<div class="title">
							<h5>{lang('product.labels.0')}</h5>
						</div>

						<div class="seller_info">
							<div class="image">
								<img src="/uploads/images/avatars/{seller_avatar}">
							</div>

							<div class="data">
								<div class="name">
									<div class="status {if(users()->isOnline('{seller_id}'))}online{else}offline{/if}"></div>
									<a href="/account/home?id={seller_id}">{seller_name}</a>
								</div>

								<div class="rating">
									<div class="icon"><i class='bx bxs-star'></i></div>
									<p><span>{seller_reviews_stars}</span> <span>({seller_reviews_count})</span></p>
								</div>
							</div>
						</div>

						{if(isset($_SESSION['id']) && $_SESSION['id'] != '{seller_id}')}
							<a class="btn" href="/account/messages?id={seller_id}">{lang('product.labels.1')}</a>
						{/if}
					</div>

					<div class="block_seller_stats">
						<div class="title">
							<h5>{lang('product.labels.9')}</h5>
						</div>

						<div class="items">
							<div class="item">
								<div class="value">{product_sells}</div>
								<div class="desc">{lang('product.labels.2')}</div>
							</div>

							<div class="item">
								<div class="value">{product_refunds}</div>
								<div class="desc">{lang('product.labels.3')}</div>
							</div>

							<div class="item">
								<div class="value">{product_reviews}</div>
								<div class="desc">{lang('product.labels.4')}</div>
							</div>
						</div>
					</div>

					{if('{is_rights}' == '1')}
						<section class="admin-panel">
							<div class="title">
								<h5>{lang('market.index.moderation.title')}</h5>
							</div>

							<div class="actions">
								{if('{product_enable}' == '1')}
									<button type="button" class="btn btn-danger" data-staff="onDisable" data-id="{product_id}">{lang('market.index.moderation.buttons.disable')}</button>
								{else}
									<button type="button" class="btn btn-success" data-staff="onSuccess" data-id="{product_id}">{lang('market.index.moderation.buttons.success')}</button>
									<button type="button" class="btn btn-danger" data-staff="onRejection" data-id="{product_id}">{lang('market.index.moderation.buttons.rejection')}</button>
								{/if}
							</div>
						</section>
					{/if}
				</div>

				<div class="End">
					<div class="Screenshots">
						<div class="swiper">
							<div class="swiper-wrapper">
								{screenshots}
							</div>
							
							<div class="swiper-pagination"></div>
							<div class="autoplay-progress">
								<svg viewBox="0 0 48 48"><circle cx="24" cy="24" r="20"></circle></svg><span></span>
							</div>

							<div class="swiper-actions">
								<div class="swiper-button-next"></div>
								<div class="swiper-button-prev"></div>
							</div>
						</div>
					
						<script>
							const progressCircle = document.querySelector(".autoplay-progress svg");
							const progressContent = document.querySelector(".autoplay-progress span");
							const slidesCount = document.querySelectorAll(".swiper-wrapper .swiper-slide").length;
					
							if(slidesCount > 1) {
								document.querySelector(".autoplay-progress").style.display = "flex";
								
								new Swiper(".Screenshots > .swiper", {
									speed: 400,
									spaceBetween: 0,
									autoplay: {
										delay: 5000,
										disableOnInteraction: false
									},
									pagination: {
										el: ".swiper-pagination",
										type: "fraction",
									},
									navigation: {
										nextEl: ".swiper-button-next",
										prevEl: ".swiper-button-prev",
									},
									on: {
										autoplayTimeLeft(s, time, progress) {
											progressCircle.style.setProperty("--progress", 1 - progress);
											progressContent.textContent = `${Math.ceil(time / 1000)}s`;
										}
									}
								});
							}
							else {
								document.querySelector(".autoplay-progress").style.display = "none";
								document.querySelector(".swiper-pagination").style.display = "none";
								document.querySelector(".swiper-actions").style.display = "none";
							}
						</script>
					</div>

					<div class="product_stats">
						<div class="views">
							<i class="bi bi-eye"></i>
							<span>{lang('product.labels.5', ['{product_views}'])}</span>
						</div>

						<div class="date">
							<i class="bi bi-clock"></i>
							<span>{lang('product.labels.6', ['{product_date}'])}</span>
						</div>

						<div class="quantity">
							<i class="bi bi-box-seam"></i>
							<span>{lang('product.labels.11', ['{quantity}'])}</span>
						</div>

						{if('{IsGetSpecifications}' == '1')}
							{specifications}
						{/if}
					</div>

					<div class="product_name">
						<h5>{product_name}</h5>
					</div>

					<div class="product_desc">
						<div class="content">{description}</div>
						<span data-target="open-full">{lang('market.index.desc.more')}</span>
					</div>

					<div class="product_price">
						<p>{price}</p> <span>{currency}</span>
					</div>

					<div class="product_buy">
						{if(empty($_SESSION['id']))}
							<button type="button" class="btn btn-confirm" data-bs-toggle="modal" data-bs-target="#modalAuth">{lang('market.index.buttons.buy')}</button>
						{else}
							{if('{seller_id}' != $_SESSION['id'])}
								{if('{quantity}' > 0)}
									<button type="button" class="btn btn-confirm" data-bs-toggle="modal" data-bs-target="#modalMarketBuy">{lang('market.index.buttons.buy')}</button>
								{else}
									<button type="button" class="btn btn-dark" disabled>{lang('market.index.buttons.no_count')}</button>
								{/if}
								
							{/if}
						{/if}

						<button type="button" class="btn-garantion" data-bs-toggle="modal" data-bs-target="#siteGaranty">{lang('market.index.garantion.title')} {site_name} <i class="bi bi-chevron-right"></i></button>
					</div>

					<div class="info_system">
						{lang('market.index.info')}
					</div>

					<div class="product_reviews">
						<div class="title">
							<h5>{lang('product.labels.7')}</h5> <span>({product_reviews})</span>
						</div>

						<div class="items">
							{if('{reviews_len}' != '0')}
								{reviews}
							{else}
								<center>{lang('product.labels.12')}</center>
							{/if}
						</div>
						
						<div class="actions">
							{if('{user_is_reviews}' == '1')}
								<button type="button" class="btn btn-sm" data-bs-toggle="modal" data-bs-target="#modalReviews">{lang('reviews.modals.3')}</button>
							{/if}

							{if('{product_reviews}' >= 4)}
								<button type="button" class="btn btn-sm">{lang('product.labels.8')}</button>
							{/if}
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="siteGaranty" tabindex="-1">
	<div class="modal-dialog modal-dialog-centered">
		<div class="modal-content">
			<div class="modal-body">
				<img src="/assets/{appearance}/img/coin.png">

				<div class="Name"><h5>{lang('market.index.garantion.title')} {site_name}</h5></div>
				<div class="Desc"><span>{lang('market.index.garantion.info')}</span></div>

				<div class="Buttons">
					<button type="button" class="btn btn-confirm w-100" data-bs-dismiss="modal" aria-label="Close">{lang('market.index.garantion.button')}</button>
				</div>
			</div>
		</div>
	</div>
</div>

{if('{user_is_reviews}' == '1')}
	<div class="modal fade" id="modalReviews" tabindex="-1">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h5>{lang('reviews.modals.0')}</h5>
				</div>

				<div class="modal-body">
					<form data-action="product_review">
						<input type="hidden" name="product_id" value="{product_id}">

						<div class="rating mb-4">
							<input type="radio" id="star5" name="rating" value="5">
							<label for="star5"><i class="bi bi-star-fill"></i></label>
							
							<input type="radio" id="star4" name="rating" value="4">
							<label for="star4"><i class="bi bi-star-fill"></i></label>
							
							<input type="radio" id="star3" name="rating" value="3">
							<label for="star3"><i class="bi bi-star-fill"></i></label>
							
							<input type="radio" id="star2" name="rating" value="2">
							<label for="star2"><i class="bi bi-star-fill"></i></label>
							
							<input type="radio" id="star1" name="rating" value="1">
							<label for="star1"><i class="bi bi-star-fill"></i></label>
						</div>

						<label for="review_message">{lang('reviews.modals.1')}<span class="text-danger">*</span>:</label>
						<textarea name="message" id="review_message" rows="4" class="form-control" placeholder="{lang('system.placeholder.text')}" required></textarea>
						
						<button type="submit" class="btn btn-primary mt-2">{lang('reviews.modals.2')}</button>
					</form>
				</div>
			</div>
		</div>
	</div>
{/if}

{if(isset($_SESSION['id']) && '{quantity}' > 0)}
	<div class="modal fade" id="modalMarketBuy" tabindex="-1">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<div class="Title">{lang('market.index.buy.title')}</div>

					<div class="Data">
						<div class="Info">
							<div class="Title">{lang('market.index.buy.data.title')}</div>
							<div class="Content">{name}</div>
						</div>

						<ul class="Calc">
							<li><i class="bx bxs-info-circle"></i> <span>{lang('market.index.buy.data.calc.0')}</span></li>
							<li><i class="bx bx-chat"></i> <span>{lang('market.index.buy.data.calc.1')}</span></li>
						</ul>
					</div>

					<form data-action="onBuy">
						<input type="hidden" name="product_id" value="{product_id}">
						<input type="hidden" name="merchant" value="local">
						<input type="hidden" value="{price}" id="product_price_count">
						<input type="hidden" value="{min_price}" id="product_price_min">

						<div class="Actions" data-int="{if('{quantity}' >= '1')}true{else}false{/if}">
							<div class="info">
								<div class="price">
									<div class="info">
										<p id="result_price">{price}</p>
										<p>{currency}</p>
									</div>

									<div class="label">
										<i class="bi bi-cart4"></i> {lang('market.index.buy.actions.placeholder')}
									</div>
								</div>

								<div class="input_count">
									<button type="button" class="btn" data-minus="#product_count">-</button>
									<input type="text" class="form-control" name="count" id="product_count" value="1" required>
									<button type="button" class="btn" data-plus="#product_count">+</button>
								</div>
							</div>

							<button type="submit" class="btn btn-confirm">{lang('market.index.buy.actions.button')}</button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
{/if}

{grab('/elements/footer.tpl')}