<!DOCTYPE HTML>
<html lang="ru">
	<head>
		<title>{title}</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="{meta_name}">
		<meta name="keywords" content="{meta_keywords}">
		<meta name="description" content="{meta_description}">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<meta property="og:title" content="{meta_name}">
		<meta property="og:description" content="{meta_description}">
		<meta property="og:image" content="{meta_image}">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/{appearance}/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/{appearance}/css/start.css?v={cache}">
		<link rel="stylesheet" href="/system/plugins/smartphoto/css/smartphoto.min.css?v={cache}">

		{if($new_year)}
			<link rel="stylesheet" href="/assets/{appearance}/css/holidays/new-year.css?v={cache}">
		{/if}
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/{appearance}/js/plugins/jquery-3.7.1.min.js"></script>
		<script src="/assets/{appearance}/js/plugins/bootstrap.bundle.min.js"></script>
		<script src="/assets/{appearance}/js/plugins/swiper-bundle.min.js"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js"></script>
		<script src="/system/plugins/messenger/messenger.js?v={cache}"></script>
		<script src="/system/plugins/smartphoto/js/jquery-smartphoto.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-confirm/jquery-confirm.js?v={cache}"></script>

		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/{appearance}/js/ajax.js?v={cache}"></script>
		<script src="/system/plugins/lottie/lottie.min.js"></script>
	</head>
	
	<body>
		<div class="preLoader"></div>
		<input type="hidden" id="csrf_token" value="{csrf_token}">
		
		<div id="Page">
			{if($banners['left']['enable'])}
				<div data-poop="Left">
					{if(isset($banners['left']['link']))}
						<a href="{{$banners['left']['link']}}" target="_blank">
							<img src="{{$banners['left']['image']}}">
						</a>
					{else}
						<img src="{{$banners['left']['image']}}">
					{/if}
				</div>
			{/if}
			
			{if($banners['right']['enable'])}
				<div data-poop="Right">
					{if(isset($banners['right']['link']))}
						<a href="{{$banners['right']['link']}}" target="_blank">
							<img src="{{$banners['right']['image']}}">
						</a>
					{else}
						<img src="{{$banners['right']['image']}}">
					{/if}
				</div>
			{/if}
			
			{content}
		</div>
		
		<!--[ Modals ]-->
		<div id="Modals">
			{if(empty($_SESSION['id']))}
				{grab('/elements/modals/not_auth.tpl')}
			{/if}
			
			{if(isset($_SESSION['id']))}
				{func Pays:getModal()}
			{/if}

			<div class="modal fade" id="changeLanguages" tabindex="-1">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content">
						<div class="modal-body">
							<div class="Header">
								<span>{lang('system.translate')}</span>
								<button type="button" data-bs-dismiss="modal" aria-label="Close"><i class="bi bi-x"></i></button>
							</div>

							<div class="Items">
								{foreach(Languages()->getLanguagesForJson() as $key => $data)}
									{if($data['enable'] == '1')}
										<a href="/languages/set/{{$key}}" class="Item {if(Languages()->Get() == $key)}Active{/if}">{{$data['name']}}</a>
									{/if}
								{/foreach}
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--[ Load Secondary JavaScripts ]-->
		{scripts}
		
		<!--[ Load Others ]-->
		{other}
	</body>
</html>