<!DOCTYPE HTML>
<html lang="de">
	<head>
		<title>UnionCMS Installer</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="UnionCMS">
		<meta name="keywords" content="Marktplatz, IT-Produkte, Software, Cloud-Lösungen, Datensicherheit, Entwicklungstools, Versionskontrollsysteme, Testautomatisierung, Virtuelle Maschinen, Datenspeicher, Antivirus-Software, Zugriffskontrolle, Datenschutz, Büroanwendungen, Cloud-Computing-Dienste, Softwareentwicklung, IT-Beratung, Beste Preise für IT-Produkte, IT-Plattform">
		<meta name="description" content="Die führende Handelsplattform für Fachleute und Enthusiasten im Bereich der Informationstechnologie. Wir bieten eine Vielzahl von Produkten und Dienstleistungen an, die Ihnen helfen, Ihre Projekte umzusetzen und Ihre Arbeitsprozesse zu optimieren.">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/admin/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/admin/css/install/start.css?v={cache}">
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/admin/js/plugins/jquery-3.7.1.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/bootstrap.bundle.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/swiper-bundle.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js?v={cache}"></script>
		
		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/admin/js/install/ajax.js?v={cache}"></script>
	</head>
	
	<body>
		<div class="Main">
			<div class="Caption">
				<h4>UnionCMS</h4>
			</div>
			
			<div class="Block">
				<div class="Header">
					{if(empty($_GET['step']) || $_GET['step'] > 5 || 0 >= $_GET['step'])}
						<h5>Lizenzvereinbarung</h5>
					{else}
						{if($_GET['step'] == '5')}
							<h5>Finale</h5>
						{else}
							<h5>Schritt {{$_GET['step']}}</h5>
						{/if}
					{/if}
					
					<div class="End">
						Build: {version}
					</div>
				</div>
				
				<div class="Body">
					{if(isset($_GET['step']))}
						{if($_GET['step'] == '1')}
							{grab('/install/de/step/database.tpl')}
						{/if}
						
						{if($_GET['step'] == '2')}
							{grab('/install/de/step/configs.tpl')}
						{/if}

						{if($_GET['step'] == '3')}
							{grab('/install/de/step/smtp.tpl')}
						{/if}
						
						{if($_GET['step'] == '4')}
							{grab('/install/de/step/license_key.tpl')}
						{/if}
						
						{if($_GET['step'] == '5')}
							{grab('/install/de/step/install_end.tpl')}
						{/if}
						
						{if($_GET['step'] > 5 || 0 >= $_GET['step'])}
							{grab('/install/de/step/license.tpl')}
						{/if}
					{else}
						{grab('/install/de/step/license.tpl')}
					{/if}
				</div>
			</div>
			
			<div class="Copyright">
				&copy; 2020-{currencyDate} <a href="https://osip.kz">OSIP Group</a>. Alle Rechte vorbehalten.
			</div>
		</div>
	</body>
</html>
