<!DOCTYPE HTML>
<html lang="en">
	<head>
		<title>Installer UnionCMS</title>
		
		<!--[ Meta ]-->
		<meta charset="UTF-8">
		<meta name="title" content="UnionCMS">
		<meta name="keywords" content="trading platform, IT products, software, cloud solutions, data security, development tools, version control systems, testing automation, virtual machines, data warehouses, antivirus programs, access control, data privacy, office applications, cloud computing services, software development, IT consulting, the best prices for IT products, IT platform">
		<meta name="description" content="The leading trading platform created for professionals and enthusiasts in the field of information technology. We provide a wide range of products and services that will help you bring your projects to life and optimize your work processes.">
		<meta name="author" content="OSIP Group">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		
		<!--[ Attributes ]-->
		<link rel="shortcut icon" href="/assets/admin/img/favicon.png" type="image/x-icon">
		
		<!--[ Load Primary Styles ]-->
		<link rel="stylesheet" href="/assets/admin/css/install/start.css?v={cache}">
		
		<!--[ Load Secondary Styles ]-->
		{styles}
		
		<!--[ Load Primary JavaScripts ]-->
		<script src="/assets/admin/js/plugins/jquery-3.7.1.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/bootstrap.bundle.min.js?v={cache}"></script>
		<script src="/assets/admin/js/plugins/swiper-bundle.min.js?v={cache}"></script>
		<script src="/system/plugins/jquery-toast/jquery.toast.min.js?v={cache}"></script>
		
		<!--[ Load System JavaScripts ]-->
		<script src="/system/functions.js?v={cache}"></script>
		<script src="/system/start.js?v={cache}"></script>
		
		<!--[ Load Appearance JavaScripts ]-->
		<script src="/assets/admin/js/install/ajax.js?v={cache}"></script>
	</head>
	
	<body>
		<div class="Main">
			<div class="Caption">
				<h4>UnionCMS</h4>
			</div>
			
			<div class="Block">
				<div class="Header">
					{if(empty($_GET['step']) || $_GET['step'] > 5 || 0 >= $_GET['step'])}
						<h5>License Agreement</h5>
					{else}
						{if($_GET['step'] == '5')}
							<h5>Final</h5>
						{else}
							<h5>Step {{$_GET['step']}}</h5>
						{/if}
					{/if}
					
					<div class="End">
						Build: {version}
					</div>
				</div>
				
				<div class="Body">
					{if(isset($_GET['step']))}
						{if($_GET['step'] == '1')}
							{grab('/install/en/step/database.tpl')}
						{/if}
						
						{if($_GET['step'] == '2')}
							{grab('/install/en/step/configs.tpl')}
						{/if}

						{if($_GET['step'] == '3')}
							{grab('/install/en/step/smtp.tpl')}
						{/if}
						
						{if($_GET['step'] == '4')}
							{grab('/install/en/step/license_key.tpl')}
						{/if}
						
						{if($_GET['step'] == '5')}
							{grab('/install/en/step/install_end.tpl')}
						{/if}
						
						{if($_GET['step'] > 5 || 0 >= $_GET['step'])}
							{grab('/install/en/step/license.tpl')}
						{/if}
					{else}
						{grab('/install/en/step/license.tpl')}
					{/if}
				</div>
			</div>
			
			<div class="Copyright">
				&copy; 2020-{currencyDate} <a href="https://osip.kz">OSIP Group</a>. All rights reserved.
			</div>
		</div>
	</body>
</html>