<?PHP
	CallBack()->Add('onBuy', function($data) {
		$dataProduct = Product()->Get($data['product_id']);
		
		if(empty($dataProduct)) {
			return;
		}
		
		Languages()->Change($dataProduct['product']['author_id']);
		$content = getLang('onBuy.message.0', [
			$data['user_id'],
			getName($data['user_id']),
			$data['product_id'],
			htmlspecialchars_decode($dataProduct['product']['name']),
			$data['user_id']
		]);

		Noty()->Send($dataProduct['product']['author_id'], getLang('onBuy.title'), $content);

		$Messenger = new UsersMessages;
		$Messenger->InfoBuy($dataProduct['product']['author_id'], $data['product_id'], $data['count'], $data['price']);

		if($data['delivery'] !== null) {
			$dataAuto = reset($dataProduct['subcategory'])['data_auto'];
		
			if(!is_null($dataAuto)) {
				$dataAuto = json_decode($dataAuto, true);
				$labels = [];
				$allLabelParts = []; // Массив для хранения всех строк
		
				foreach($data['delivery'] as $row) {
					$labelParts = [];
		
					foreach($row as $key => $value) {
						if(!isset($labels[$key])) {
							foreach($dataAuto as $field) {
								if(isset($field['name']) && $field['name'] === $key . '[]') {
									$labels[$key] = get_custom_lang($field['label']);
									break;
								}
							}
						}
		
						$labelParts[] = $labels[$key] . ": " . $value;
					}
		
					$allLabelParts[] = implode(", ", $labelParts);
				}
		
				// Объединяем все строки и отправляем сообщение
				$Messenger->InfoAutoBuy($dataProduct['product']['author_id'], "<br>" . implode("<br>", $allLabelParts));
			}
		}
		

		/* Отправляем уведомление в Телеграм */
		$apiTelegram = connectTelegramBot();
		
		if(!is_null($apiTelegram)) {
			$dataUser = users()->Get($dataProduct['product']['author_id']);
			
			if(!is_null($dataUser->telegram_id)) {
				$message = "ℹ️ Системное уведомление!";
				$message .= "\nУ вас новая покупка на сумму " . $data['price'];
				
				$apiTelegram->onSend($dataUser->telegram_id, $message, ['inline_keyboard' => $apiTelegram->createInlineKeyboard([
					['text' => '💬 Открыть чат', 'url' => 'https://' . $_SERVER['SERVER_NAME'] . '/account/messages?id=' . $_SESSION['id']],
					['text' => '🕓 История продаж', 'callback_data' => json_encode(['action' => 'onHistorySells'])]
				])]);
			}
		}
	});