<?PHP
	CallBack()->Add('onProductConfirm', function($data) {
		/*
			Событие выполняет после подтверждения Клиентом о получение товара и передает следующие значения:
			*user_id - индекс покупателя в системе
			*seller_id - индекс продавца в системе
			*price - полученная сумма
			*start_price - первоначальная сумма
			*trans_id - индекс транзакции в системе
			*automatic - отправка автоматического письма, в случае (к примеру) автоматического завершения
			*message - сообщение, которое требуется отправить пользователю
		*/

		if(isset($data['automatic']) && $data['automatic']) {
			Languages()->Change($data['seller_id']);

			/* Отправляем уведомление в чат */
			$message = empty($data['message']) ? getLang('onProductConfirm.message.3') : getLang($data['message']);
			
			$UsersMessages = new UsersMessages;
			$UsersMessages->Send([
				'user_id' => $data['user_id'],
				'recipient_id' => $data['seller_id'],
				'content' => $message,
				'system' => 1
			]);
		}
		else {
			/* Отправляем уведомление продавцу */
			$message = getLang('onProductConfirm.message.0', [
				$data['user_id'],
				getName($data['user_id']),
				$data['price'],
				conf()->currency->html
			]);

			Languages()->Change($data['seller_id']);
			Noty()->Send($data['seller_id'], getLang('onProductConfirm.title.0'), $message);

			Languages()->Change($data['user_id']);
			/* Отправляем уведомление клиенту */
			$UsersTransactions = new UsersTransactions;
			$transaction = $UsersTransactions->Get($data['trans_id']);

			if(!is_null($transaction->data)) {
				$jsonTrans = json_decode($transaction->data, true);
				$dataProduct = Product()->Get($jsonTrans['product_id']);
				$product = $dataProduct['product'];

				$message = getLang('onProductConfirm.message.1', [
					$product['id'],
					htmlspecialchars_decode($product['name'])
				]);

				Noty()->Send($data['user_id'], getLang('onProductConfirm.title.0'), $message);
			}

			/* Отправляем уведомление в чат */
			$message = getLang('onProductConfirm.message.2', [$data['trans_id'], $data['start_price'], conf()->currency->html]);

			$UsersMessages = new UsersMessages;
			$UsersMessages->Send(['recipient_id' => $data['seller_id'], 'content' => $message, 'system' => 1]);
		}
	});