<?PHP
	if(!isRights('a')) {
		Pages()->pageNotFound();
	}
	
	$date = isset($_GET['date']) ? $_GET['date'] : date('Y-m');
	$AdminIncome = new AdminIncome;

	$profit = [
		3 => $AdminIncome->getProfit($date, 3),
		5 => $AdminIncome->getProfit($date, 5)
	];

	$profit['total'] = $profit[3] + $profit[5];
	$profit_commissions_percentage = $AdminIncome->getProfitPercentageChange($date, 3);
	$profit_boosts_percentage = $AdminIncome->getProfitPercentageChange($date, 5);
	$total_profit_percentage = $AdminIncome->getTotalProfitPercentageChange($date);

	tpl()
	->AddTitle(getLang('admin.income.title'))
	->AddScripts('/system/plugins/chart/chart.js')
	->SetAppearance('admin')
	->Start('sample')
	->Content(tpl()->Get('income/index'))
	->Set([
		'{chars_months}' => $AdminIncome->getMonths(),
		'{chars_profit_commissions}' => $AdminIncome->getProfitJson(date('Y', strtotime($date . '-01-01')), 3),
		'{chars_profit_boost}' => $AdminIncome->getProfitJson(date('Y', strtotime($date . '-01-01')), 5),
		'{chars_table}' => $AdminIncome->getTable($date),
		'{profit_total}' => $profit['total'],
		'{profit_commissions}' => $profit[3],
		'{profit_boosts}' => $profit[5],
		'{total_profit_percentage}' => $total_profit_percentage,
		'{profit_commissions_percentage}' => $profit_commissions_percentage,
        '{profit_boosts_percentage}' => $profit_boosts_percentage,
		'{date-picker}' => date('Y-m-d', strtotime($date . '-01-01')),
		'{month-picker}' => date('Y-m', strtotime($date . '-01-01')),
		'{year-input}' => date('Y', strtotime($date . '-01-01')),
		'{date}' => $date
	])
	->Show();