<?PHP
	if(!isRights('a')) {
		Pages()->pageNotFound();
	}

	if(empty($_GET['act'])) {
		if(empty($_GET['id'])) {
			Redirect('/admin/category');
		}

		$AdminSubcategoryData = new AdminSubcategoryData;
		$data = $AdminSubcategoryData->Get($_GET['id']);

		tpl()
		->AddTitle(getLang('admin.pages.subcategory.index', $data->name))
		->SetAppearance('admin')
		->Start('sample')
		->Content(tpl()->Get('subcategory/index'))
		->Set([
			'{name}' => $data->name,
			'{list}' => $AdminSubcategoryData->getList($data->id),
			'{list_auto}' => $AdminSubcategoryData->getListAuto($data->id)
		])
		->Show();
	}
	
	switch($_GET['act']) {
		/* Добавление формы */
		case 'add': {
			if(empty($_GET['id']) || empty($_GET['method'])) {
				Redirect('/admin/category');
			}

			tpl()
			->AddTitle(getLang('admin.pages.subcategory.add'))
			->SetAppearance('admin')
			->Start('sample')
			->Content(tpl()->Get('subcategory/add'))
			->Set(['{method}' => $_GET['method']])
			->Show();
			
			break;
		}

		/* Редактирование формы */
		case 'edit': {
			if(empty($_GET['id']) || empty($_GET['uniqid']) || empty($_GET['method'])) {
				historyBack();
			}

			$AdminSubcategoryData = new AdminSubcategoryData;
			$data = $AdminSubcategoryData->Get($_GET['id']);
			
			switch($_GET['method']) {
				case 'data': {
					if(is_null($data) || is_null($data->data)) {
						historyBack();
					}
		
					$jsonData = json_decode($data->data, true);

					break;
				}

				default: {
					if(is_null($data) || is_null($data->data_auto)) {
						historyBack();
					}
		
					$jsonData = json_decode($data->data_auto, true);
				}
			}

			if(empty($jsonData[$_GET['uniqid']])) {
				historyBack();
			}

			$jsonData = $jsonData[$_GET['uniqid']];
			
			tpl()->SetAppearance('admin');
			
			switch($jsonData['type']) {
				case 'text': {
					$forms = tpl()->AddCell('forms', tpl()->Get('elements/forms/edit_text'));
					break;
				}

				case 'number': {
					$forms = tpl()->AddCell('forms', tpl()->Get('elements/forms/edit_number'));
					break;
				}

				case 'select': {
					$forms = tpl()->AddCell('forms', tpl()->Get('elements/forms/edit_select'));
					break;
				}
			}

			$arrReplace = [
				'{id}' => $data->id,
				'{uniqid}' => $_GET['uniqid'],
				'{forms}' => tpl()->GetCell('forms'),
				'{method}' => $_GET['method']
			];

			foreach($jsonData as $key => $value) {
				if(!is_array($value)) {
					$arrReplace['{' . $key . '}'] = $value;
				}
				else {
					$opts = '';

					foreach($value as $key2 => $value2) {
						$opts .= '<input type="text" class="form-control" name="options[]" value="' . $value2 . '" autocomplete="off">';
					}

					$arrReplace['{options}'] = $opts;
				}
			}

			tpl()
			->AddTitle(getLang('admin.pages.subcategory.edit', $data->name))
			->Start('sample')
			->Content(tpl()->Get('subcategory/edit'))
			->Set($arrReplace)
			->Show();

			break;
		}

		default: {
			if(empty($_GET['id'])) {
				Redirect('/admin/category');
			}
	
			$AdminSubcategoryData = new AdminSubcategoryData;
			$data = $AdminSubcategoryData->Get($_GET['id']);
			
			tpl()
			->AddTitle(getLang('admin.pages.subcategory.index'))
			->SetAppearance('admin')
			->Start('sample')
			->Content(tpl()->Get('subcategory/index'))
			->Set([
				'{name}' => $data->name,
				'{list}' => $AdminSubcategoryData->getList($data->id),
				'{list_auto}' => $AdminSubcategoryData->getListAuto($data->id)
			])
			->Show();
		}
	}