<?PHP
	// Защита от несанкционированных доступов
	if (empty($params[0])) {
		http_response_code(404);
		die('Not Found');
	}

	// Проверка корректности параметра
	$expectedHash = md5($_SERVER['SERVER_NAME']);
	if($params[0] !== $expectedHash) {
		http_response_code(404);
		die('Not Found');
	}

	try {
		// Проверка директории и включение PHP файлов
		$cronDir = realpath(__DIR__ . '/../../system/cron');
		if($cronDir === false || !is_dir($cronDir)) {
			throw new Exception('Cron directory not found.');
		}

		include_php_files($cronDir);
	}
	catch (Exception $e) {
		// Логирование ошибки и возврат общего сообщения
		error_log('Error: ' . $e->getMessage());
		http_response_code(500);
		echo 'An internal error occurred. Please try again later.';
		die;
	}