<?PHP
	if(empty($_GET['id'])) {
		Pages()->pageNotFound();
	}
	
	$id = $_GET['id'];

	if(!Product()->IsValid($id)) {
		Pages()->pageNotFound();
	}
	
	/* Получаем сведения по продукту */
	$data = Product()->Get($id);
	$product = $data['product'];

	/* Проверяем, включен ли товар или нет */
	switch($product['enable']) {
		case 0: {
			if(!isRights('c') && !isRole('2')) {
				Pages()->loadPage('errors/product_not_enable');
			}

			break;
		}

		case 1: {
			Product()->addViews($id);
			break;
		}

		default: {
			Pages()->loadPage('errors/product_not_enable');
		}
	}

	if(isRights('c') || isRole('2')) {
		tpl()->AddScripts('/system/plugins/staff/staff.js');
	}

	$SellerProduct = new SellerProduct;
	$metaName = formatMetaTags($product['name']);
	$category = getDataCategory($id);
	$subcategory = getDataSubcategory($id);
	$price = formatPrice($id);

	try {
		$getSpecifications = Market()->getSpecifications($id);
		$IsGetSpecifications = mb_strlen($getSpecifications) ? '1' : '0';
	}
	catch(Exception $e) {
		$IsGetSpecifications = '0';
	}
	
	$images = Product()->getImages($id);
	$seller_data = users()->Get($product['author_id']);
	$reviews = Reviews()->getListProduct($product['id'], 3);

	tpl()
	->Start('sample')
	->SetTitle(getLang('pages.market.index.title', [$metaName, conf()->site_name]))
	->AddReplace([
		'{meta_name}' => getLang('pages.market.index.title', [$metaName, conf()->site_name]),
		'{meta_description}' => formatMetaTags($product['description']),
		'{meta_keywords}' => formatMetaTags(splitSentenceIntoWords($product['description']))
	])
	->Content(tpl()->Get('market/index'))
	->Set([
		'{name}' => $metaName,
		'{product_name}' => $metaName,
		'{description}' => htmlspecialchars_decode($product['description']),
		'{price}' => $price->total,
		'{discount}' => $price->discount,
		'{oldprice}' => $price->oldprice,
		'{date}' => date('d.m.Y', $product['date']),
		'{views}' => isset($product['views']) ? $product['views'] : 0,
		'{seller_id}' => $product['author_id'],
		'{product_id}' => $id,
		'{row_sells}' => $SellerProduct->rowSells($product['author_id']),
		'{screenshots}' => $images,
		'{IsGetSpecifications}' => $IsGetSpecifications,
		'{specifications}' => $getSpecifications,
		'{seller_avatar}' => getAvatar($product['author_id']),
		'{seller_name}' => getName($product['author_id']),
		'{seller_date_register}' => date('d.m.Y', $seller_data->date_register),
		'{back_id}' => $subcategory['id'],
		'{back_search_link}' => $category['search_link'],
		'{back_icon}' => $category['icon'],
		'{back_name}' => get_custom_lang($category['name']),
		'{back_subname}' => get_custom_lang($subcategory['name']),
		'{product_enable}' => $product['enable'],
		'{is_rights}' => (isRights('c') || isRole('2')) ? 1 : 0,
		'{product_views}' => isset($product['views']) ? $product['views'] : 0,
		'{product_date}' => date('d.m.Y', $product['date']),
		'{product_reviews}' => Reviews()->rowProduct($product['id']),
		'{product_sells}' => Product()->rowSells($product['id']),
		'{product_refunds}' => Refunds()->rowCount($product['id']),
		'{reviews}' => $reviews,
		'{reviews_len}' => isset($reviews) ? mb_strlen($reviews) : '0',
		'{quantity}' => Product()->getQuantity($product['id']),
		'{min_price}' => conf()->min_price,
		'{seller_reviews_stars}' => Reviews()->getStarsProduct($product['id']),
		'{seller_reviews_count}' => Reviews()->rowProduct($product['id']),
		'{user_is_reviews}' => isset($_SESSION['id']) ? (Reviews()->hasUserReviewedProduct($_SESSION['id'], $product['id']) ? '1' : '0') : '0'
	])->Show();