<?PHP
	if(empty($_GET['type'])) {
		Redirect('/');
	}
	
	switch($_GET['type']) {
		case 'success': {
			Pages()->loadPage('pay/success');
			break;
		}
		
		case 'confirm': {
			$Merchants = Merchants()[$_GET['merchant']];
			
			if(empty($Merchants['enable'])) {
				die('Ошибка: [Платежное решение отключено]');
			}
			
			switch($_GET['merchant']) {
				case 'fk': {
					try {
						/* Проверяем абонента */
						if(!in_array(users()->getRemote(), ['168.119.157.136', '168.119.60.227', '138.201.88.124', '178.154.197.79'])) {
							die('Ошибка: [Попытка прямого вызова]');
						}
						
						/* Проверяем запрос */
						$hash = md5(sprintf('%s:%s:%s:%s', $Merchants['merchant_id'], $_POST['AMOUNT'], $Merchants['private_key'], $_POST['MERCHANT_ORDER_ID']));
						
						if($hash != $_POST['SIGN']) {
							die('Ошибка: [Неверная подпись]');
						}
						
						$orderId = (int)$_POST['MERCHANT_ORDER_ID'];
						
						/* Проверяем на существование заказа */
						$classPays = new Pays;
						
						/* Защищаемся от повторного платежа */
						$isPayed = $classPays->IsPayed($orderId);
						
						if(is_null($isPayed)) {
							die('Ошибка: [Заказ не найден]');
						}
						
						if($isPayed) {
							die('Ошибка: [Платеж уже был выполнен]');
						}
						
						$dataOrder = $classPays->Get($orderId);
						
						if(is_null($dataOrder)) {
							die('Ошибка: [Платёж не найден]');
						}
						
						$dataOrder = json_decode($dataOrder->data);
						$amount = intval($_POST['AMOUNT']);
						
						/* Чтобы не наебали с суммой */
						if($dataOrder->amount > $amount) {
							die('Ошибка: [Сумма не соответствует заявке]');
						}
						
						$classUsersBalance = new UsersBalance;
						$classUsersTransactions = new UsersTransactions;
						
						if($classUsersBalance->addBalance($dataOrder->userid, $amount)) {
							$classUsersTransactions->Add($dataOrder->userid, [
								'amount' => $amount, 'type' => 1, 'status' => 1
							]);
							
							$classPays->UpdateStatus($orderId, 1);
						}
						else {
							$classUsersTransactions->Add($dataOrder->userid, [
								'amount' => $amount, 'type' => 1, 'status' => 3
							]);
							
							$classPays->UpdateStatus($orderId, 3);
						}
						
						http_response_code(200);
						die('YES');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}
				
				case 'ym': {
					try {
						if(!validValuesFromArray($_POST, ['amount', 'operation_id', 'label', 'sha1_hash', 'unaccepted'])) {
							die('Ошибка: [Неверные параметры]');
						}
						
						$amount = $_POST['withdraw_amount'];
						$payNumber = $_POST["label"];
						$orderId = (int)substr($payNumber, 0, 7);
						
						if(sha1(sprintf('%s&%s&%s&%s&%s&%s&%s&%s&%s', $_POST['notification_type'], $_POST['operation_id'], $_POST['amount'], $_POST['currency'], $_POST['datetime'], $_POST['sender'], $_POST['codepro'], $Merchants['private_key'], $_POST['label'])) != $_POST['sha1_hash']) {
							die('Ошибка: [Неверная подпись]');
						}
						
						$classPays = new Pays;
						$isPayed = $classPays->IsPayed($orderId);
						
						if(is_null($isPayed)) {
							http_response_code(404);
							die('Ошибка: [Заказ не найден]');
						}
						
						if($isPayed) {
							http_response_code(404);
							die('Ошибка: [Платеж уже был выполнен]');
						}
						
						$dataOrder = $classPays->Get($orderId);
						
						if(is_null($dataOrder)) {
							http_response_code(404);
							die('Ошибка: [Платёж не найден]');
						}
						
						$amount = intval($amount);
						$dataOrder = json_decode($dataOrder->data);
						
						/* Чтобы не наебали с суммой */
						if($dataOrder->amount > $amount) {
							die('Ошибка: [Сумма не соответствует заявке]');
						}
						
						$classUsersBalance = new UsersBalance;
						$classUsersTransactions = new UsersTransactions;
						
						if($classUsersBalance->addBalance($dataOrder->userid, $amount)) {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 1]);
							$classPays->UpdateStatus($orderId, 1);
						}
						else {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 3]);
							$classPays->UpdateStatus($orderId, 3);
						}

						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}
				
				case 'merchant001': {
					try {
						$Merchant001 = new Merchant001($Merchants['apiKey']);
						header('Content-Type: application/json');
						
						$requestBody = file_get_contents('php://input');
						$data = json_decode($requestBody, true);
						
						if(json_last_error() !== JSON_ERROR_NONE) {
							$Merchant001->sendResult(400, 'Invalid JSON payload');
						}
						
						$signature = $data['signature'] ?? '';
						$transaction = $data['transaction'] ?? [];
						
						if(!$signature || !$transaction) {
							$Merchant001->sendResult(400, 'Missing required fields');
						}
						
						if(!$Merchant001->isSignature($data)) {
							$Merchant001->sendResult(401, 'Invalid signature');
						}
						
						$amount = $transaction['pricing']['local']['amount'] ?? '';
						$payNumber = $transaction['invoiceId'];
						$orderId = (int)substr($payNumber, 0, 7);
						
						$classPays = new Pays;
						$isPayed = $classPays->IsPayed($orderId);
						
						if(is_null($isPayed)) {
							$Merchant001->sendResult(401, 'Ошибка: [Заказ не найден]');
						}
						
						if($isPayed) {
							$Merchant001->sendResult(401, 'Ошибка: [Платеж уже был выполнен]');
						}
						
						$dataOrder = $classPays->Get($orderId);
						
						if(is_null($dataOrder)) {
							$Merchant001->sendResult(401, 'Ошибка: [Платёж не найден]');
						}
						
						$amount = intval($amount);
						$dataOrder = json_decode($dataOrder->data);
						
						/* Чтобы не наебали с суммой */
						if($dataOrder->amount > $amount) {
							$Merchant001->sendResult(401, 'Ошибка: [Сумма не соответствует заявке]');
						}
						
						$classUsersBalance = new UsersBalance;
						$classUsersTransactions = new UsersTransactions;
						
						if($classUsersBalance->addBalance($dataOrder->userid, $amount)) {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 1]);
							$classPays->UpdateStatus($orderId, 1);
						}
						else {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 3]);
							$classPays->UpdateStatus($orderId, 3);
						}
						
						$Merchant001->sendResult(200, 'Webhook received successfully');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}

				/* Nicepay.io */
				case 'nicepay': {
					try {
						$classNicepay = new Nicepay;
						$classNicepay->onExecute($_GET);
						
						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						Result(['error' => ['message' => $e->getMessage()]]);
					}

					break;
				}

				/* LinePay */
				case 'linepay': {
					try {
						$classLinePay = new LinePay;
						$classLinePay->onExecute($_POST);

						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}

				/* Skinify */
				case 'skinify': {
					try {
						$classSkinify = new Skinify;
						$classSkinify->onExecute($_POST);

						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}

				/* Payeer */
				case 'payeer': {
					try {
						$allowedIps = ['185.71.65.92', '185.71.65.189', '149.202.17.210'];
						if(!in_array($_SERVER['REMOTE_ADDR'], $allowedIps)) {
							http_response_code(403);
							die('Ошибка: [Попытка прямого вызова]');
						}
					
						if(isset($_POST['m_operation_id'], $_POST['m_sign'])) {
							$m_key = $Merchants['secret_key'];
					
							$arHash = [
								$_POST['m_operation_id'],
								$_POST['m_operation_ps'],
								$_POST['m_operation_date'],
								$_POST['m_operation_pay_date'],
								$_POST['m_shop'],
								$_POST['m_orderid'],
								$_POST['m_amount'],
								$_POST['m_curr'],
								$_POST['m_desc'],
								$_POST['m_status']
							];
					
							if(isset($_POST['m_params'])) {
								$arHash[] = $_POST['m_params'];
							}
					
							$arHash[] = $m_key;
							$sign_hash = strtoupper(hash('sha256', implode(':', $arHash)));
					
							if($_POST['m_sign'] === $sign_hash && $_POST['m_status'] === 'success') {
								$orderId = $_POST['m_orderid'];
					
								$classPays = new Pays;
								$isPayed = $classPays->IsPayed($orderId);
					
								if(is_null($isPayed)) {
									http_response_code(404);
									die('Ошибка: [Заказ не найден]');
								}
					
								if($isPayed) {
									http_response_code(409);
									die('Ошибка: [Платеж уже был выполнен]');
								}
					
								$dataOrder = $classPays->Get($orderId);
					
								if(is_null($dataOrder)) {
									http_response_code(404);
									die('Ошибка: [Платёж не найден]');
								}
					
								$amount = floatval($_POST['m_amount']);
								$dataOrder = json_decode($dataOrder->data);
					
								if(empty($dataOrder->amount) || $dataOrder->amount > $amount) {
									http_response_code(400);
									die('Ошибка: [Сумма не соответствует заявке]');
								}
					
								$classUsersBalance = new UsersBalance;
								$classUsersTransactions = new UsersTransactions;
					
								if($classUsersBalance->addBalance($dataOrder->userid, $amount)) {
									$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 1]);
									$classPays->UpdateStatus($orderId, 1);
								}
								else {
									$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 3]);
									$classPays->UpdateStatus($orderId, 3);
								}
					
								http_response_code(200);
								die('ok');
							}
						}
					
						http_response_code(400);
						die('Ошибка: [Неверные параметры]');
					}
					catch (Exception $e) {
						http_response_code(500);
						die('Ошибка сервера: ' . $e->getMessage());
					}
				}

				/* NowPayments */
				case 'nowpayments': {
					try {
						$nowPayments = new NowPayments($Merchants['publicKey'], $Merchants['apiKey']);
						$ipnData = $nowPayments->handleIPN();
						
						if(!$ipnData) {
							http_response_code(400);
							die('Ошибка: [Попытка прямого вызова]');
						}
	
						$orderId = $ipnData['order_id'] ?? null;
						
						if(!$orderId) {
							http_response_code(400);
							die('Ошибка: [ID заказа отсутствует]');
						}
						
						$classPays = new Pays;
						$isPayed = $classPays->IsPayed($orderId);
						
						if(is_null($isPayed)) {
							http_response_code(404);
							die('Ошибка: [Заказ не найден]');
						}
						
						if($isPayed) {
							http_response_code(409);
							die('Ошибка: [Платеж уже был выполнен]');
						}
						
						$dataOrder = $classPays->Get($orderId);
						
						if(is_null($dataOrder)) {
							http_response_code(404);
							die('Ошибка: [Платёж не найден]');
						}
	
						$amount = intval($ipnData['price_amount'] ?? 0);
						$dataOrder = json_decode($dataOrder->data);
						
						if(empty($dataOrder->amount) || $dataOrder->amount > $amount) {
							http_response_code(400);
							die('Ошибка: [Сумма не соответствует заявке]');
						}
						
						$classUsersBalance = new UsersBalance;
						$classUsersTransactions = new UsersTransactions;
						
						if($classUsersBalance->addBalance($dataOrder->userid, $amount)) {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 1]);
							$classPays->UpdateStatus($orderId, 1);
						}
						else {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $amount, 'type' => 1, 'status' => 3]);
							$classPays->UpdateStatus($orderId, 3);
						}
	
						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}

				/* Cryptomus */
				case 'cryptomus': {
					try {
						$allowedIps = ['91.227.144.54'];

						if(!in_array(users()->getRemote(), $allowedIps)) {
							http_response_code(403);
							die('Ошибка: [Попытка прямого вызова]');
						}
	
						$data = file_get_contents('php://input');
						$data = json_decode($data, true);
						
						if(!$data) {
							http_response_code(400);
							die('Ошибка: [Некорректный формат данных]');
						}
	
						$sign = $data['sign'] ?? null;
						unset($data['sign']);
						
						$hash = md5(base64_encode(json_encode($data, JSON_UNESCAPED_UNICODE)) . $Merchants['apiKey']);
						if(!hash_equals($hash, $sign)) {
							http_response_code(403);
							die('Ошибка: [Сигнатура нарушена]');
						}
						
						if(empty($data['status']) || $data['status'] !== 'paid') {
							http_response_code(400);
							die('Ошибка: [Счёт не оплачен]');
						}
						
						$orderId = $data['order_id'] ?? null;
						
						if(!$orderId) {
							http_response_code(400);
							die('Ошибка: [ID заказа отсутствует]');
						}
						
						$classPays = new Pays;
						$isPayed = $classPays->IsPayed($orderId);
						
						if(is_null($isPayed)) {
							http_response_code(404);
							die('Ошибка: [Заказ не найден]');
						}
						
						if($isPayed) {
							http_response_code(409);
							die('Ошибка: [Платеж уже был выполнен]');
						}
						
						$dataOrder = $classPays->Get($orderId);
						$classUsersBalance = new UsersBalance;
						$classUsersTransactions = new UsersTransactions;
	
						if($classUsersBalance->addBalance($dataOrder->userid, $dataOrder->amount)) {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $dataOrder->amount, 'type' => 1, 'status' => 1]);
							$classPays->UpdateStatus($orderId, 1);
						}
						else {
							$classUsersTransactions->Add($dataOrder->userid, ['amount' => $dataOrder->amount, 'type' => 1, 'status' => 3]);
							$classPays->UpdateStatus($orderId, 3);
						}
	
						http_response_code(200);
						die('ok');
					}
					catch(Exception $e) {
						http_response_code(500);
						die($e->getMessage());
					}

					break;
				}
			}
			
			break;
		}
		
		default: {
			Pages()->loadPage('pay/fail');
		}
	}