<?PHP
	if(isset($_SESSION['id'])) {
		Redirect('/');
	}

	if(empty($params[0])) {
		Pages()->pageNotFound();
	}

	try {
		$sth = pdo()->prepare('SELECT * FROM `users__recovery` WHERE `code`=:code AND `init` = 0 LIMIT 1');
		$sth->execute([':code' => $params[0]]);

		if($sth->rowCount() === 0) {
			Pages()->pageNotFound();
		}

		$row = $sth->fetch(PDO::FETCH_OBJ);

		$generatePassword = users()->generatePassword(12);
		users()->Update($row->user_id, [
			'password' => password_hash($generatePassword, PASSWORD_DEFAULT)
		]);

		$UsersRecovery = new UsersRecovery;
		if($UsersRecovery->IsSMTP()) {
			$dataUser = users()->Get($row->user_id);

			$mail = PHPMailer();
			$mail->addAddress($dataUser->email);

			$tpl = new Template('system');
			$body = $tpl->Execute($tpl->Set([
				'{password}' => $generatePassword
			], $tpl->Get('mailer/password_new')));

			$mail->setContent(getLang('recovery.new.mail.title'), $body);
			$mail->Send();
		}

		$sth = pdo()->prepare('UPDATE `users__recovery` SET `init`=:init WHERE `code`=:code LIMIT 1');
		$sth->execute([':code' => $params[0], ':init' => 1]);

		tpl()
		->SetTitle(getLang('recovery.new.meta.title'))
		->Start('sample')
		->Content(tpl()->Get('errors/blank'))
		->Set([
			'{meta_name}' => getLang('recovery.new.meta.title'),
			'{meta_description}' => getLang('recovery.new.meta.desc'),
			'{meta_keywords}' => getLang('recovery.new.meta.keywords'),
			'{content}' => getLang('recovery.new.content')
		])
		->Show();
	}
	catch(Exception $e) {
		error_log('New Password: ' . $e->getMessage());
		Pages()->pageNotFound();
	}