<?PHP
	/*
		Открытие Сессий
	*/
	if(empty(session_id())) {
		session_start();
	}
	
	/*
		Различные Функции
	*/
	require_once(__DIR__ . '/system/functions.php');

	/*
		Загрузка Библиотек
	*/
	require_once(__DIR__ . '/system/bootstrap.php');

	/*
		Пользовательские
	*/
	require_once(__DIR__ . '/system/custom.php');

	/*
		Создание переменных
	*/
	/* База данных */
	if(file_exists(__DIR__ . '/../configuration/database.php')) {
		$pdo = CreatePDO(include(__DIR__ . '/../configuration/database.php'));
	}

	/* Конфигурации */
	if(empty($conf) && file_exists(__DIR__ . '/../configuration/system.json')) {
		$conf = file_get_contents(__DIR__ . '/../configuration/system.json');
		$conf = json_decode($conf);
	}

	/* Класс CSRF защита */
	$csrf = new CSRF;

	/* Класс пользователи */
	$usr = new Users;
	
	/*
		Пользовательские функции
	*/
	if(isset($_SESSION['id'])) {
		if(!$usr->IsValid($_SESSION['id'])) {
			$usr->onLogout();
			Redirect('/', 1);
		}
		else {
			if(empty($_SESSION['NextSetOnline'])) {
				$_SESSION['NextSetOnline'] = strtotime('+5 minute');
				$usr->updateOnline($_SESSION['id']);
			}
			else {
				if($_SESSION['NextSetOnline'] < time()) {
					$_SESSION['NextSetOnline'] = strtotime('+5 minute');
					$usr->updateOnline($_SESSION['id']);
				}
			}
		}

		$dataUser = $usr->Get($_SESSION['id']);
		if($dataUser->roleid == 5) {
			unset($_SESSION['id']);
			unset($_SESSION['NextSetOnline']);
		}
		elseif($dataUser->remarks >= $conf->max_remarks) {
			$usr->setBanned($_SESSION['id']);
			unset($_SESSION['id']);
			unset($_SESSION['NextSetOnline']);
		}
	}
	
	/* Загружаем Callback функции */
	$CallBack = new CallBack;
	
	$CallBack->Register([
		__DIR__ . '/callbacks/market/',
		__DIR__ . '/callbacks/output/',
	]);
	
	$CallBack->Execute();
	
	/* Товары */
	$product = new Product;
	
	/* Загружаем языковую модель */
	$Languages = new Languages;
	$Languages->loadFromDir(__DIR__ . '/system/languages/');

	if(isset($_SESSION['id'])) {
		$user = $usr->Get($_SESSION['id']);
		$_SESSION['language'] = $user->language;
	}
	else {
		if(empty($_SESSION['language'])) {
			$_SESSION['language'] = isset($conf) ? $conf->language : 'ru';
		}
		
	}

	try {
		$Languages->Set($_SESSION['language']);
	}
	catch(Exception $e) {
		$Languages->Set(conf()->language);
	}

	/* Класс шаблонизатора */
	$tpl = new Template;
	
	/* Платежные системы */
	$Merchants = include_once(__DIR__ . '/system/merchants.php');
	
	/* Инициализация сервера */
	global $server;
	$server = new Server;

	/* Если почтовая система активна */
	if($conf->mailer->enabled) {
		global $PHPMailer;
		$PHPMailer = new Mailer($conf->mailer);
	}