<?PHP
	// Подключаем Bootstrap
	require_once(__DIR__ . '/library/system/class.bootstrap.php');

	// Создаем экземпляр Bootstrap
	$Bootstrap = new Bootstrap;

	// Определяем дополнительный путь в зависимости от версии PHP
	$currentPhpVersion = PHP_MAJOR_VERSION . '.' . PHP_MINOR_VERSION;
	$phpSpecificPath = null;

	if($currentPhpVersion === '8.2') {
		$phpSpecificPath = realpath(__DIR__ . '/library/system/php-8.2/');
	}
	elseif($currentPhpVersion === '8.1') {
		$phpSpecificPath = realpath(__DIR__ . '/library/system/php-8.1/');
	}

	// Default namespaces для автозагрузки
	$namespaces = [
		realpath(__DIR__ . '/library/'),
		realpath(__DIR__ . '/library/system/'),
		realpath(__DIR__ . '/library/system/admin/'),
		realpath(__DIR__ . '/library/system/merchants/'),
		realpath(__DIR__ . '/library/system/bots/'),
		realpath(__DIR__ . '/library/users/'),
		realpath(__DIR__ . '/library/market/'),
		realpath(__DIR__ . '/library/market/seller/'),
		realpath(__DIR__ . '/library/safety/')
	];

	// Добавляем путь, если он определён
	if($phpSpecificPath) {
		$namespaces[] = $phpSpecificPath;
	}

	$Bootstrap->addNamespace(Bootstrap::CORE_NAMESPACE, $namespaces);

	// Регистрируем автозагрузчик
	$Bootstrap->Register();