<?PHP
    $sth = pdo()->query("
        SELECT id, balance_frozen
        FROM users
        WHERE JSON_UNQUOTE(JSON_EXTRACT(balance_frozen, '$[0].date_end')) <= UNIX_TIMESTAMP();
    ");
		
    if($sth->rowCount()) {
        $SellerIncome = new SellerIncome;
        $UsersBalance = new UsersBalance;
        $Product = new Product;

        while($row = $sth->fetch(PDO::FETCH_OBJ)) {
            if(is_null($row->balance_frozen)) {
                continue;
            }
            
            $trans_data = json_decode($row->balance_frozen, true);
            foreach($trans_data as $data) {
                // Пропускаем записи с disputed или отсутствующим trans_id
                if(isset($data['dispute']) && $data['dispute'] === true || !isset($data['trans_id'])) {
                    continue;
                }

                // Получаем данные о транзакции и продукте
                $transData = $Product->getTransFromId($data['trans_id']);
                if (!$transData || !isset($transData['product_id'])) {
                    continue;
                }

                $productData = $Product->Get($transData['product_id']);
                if(is_null($productData)) {
                    continue;
                }

                $productData = $productData['product'];
                $userData = users()->Get($productData['author_id']);

                // Проверяем, существует ли пользователь и его balance_frozen
                if(empty($userData) || is_null($userData->balance_frozen)) {
                    continue;
                }

                // Декодируем balance_frozen пользователя один раз
                $userBalanceData = json_decode($userData->balance_frozen, true);

                // Поиск нужной транзакции и выполнение действий
                foreach($userBalanceData as $value) {
                    if($value['trans_id'] == $data['trans_id']) {
                        $SellerIncome->Add($userData->id, $data['trans_id'], $value['price']);
                        $UsersBalance->removeFrozen($userData->id, $data['trans_id']);
                        $UsersBalance->addBalance($userData->id, $value['price']);
    
                        // Вызов callback
                        CallBack()->Call('onProductConfirm', [
                            'user_id' => $transData['user_id'],
                            'seller_id' => $userData->id,
                            'price' => $value['price'],
                            'trans_id' => $data['trans_id'],
                            'automatic' => true
                        ]);

                        break;
                    }
                }
            }
        }
    }
?>
