CREATE TABLE `help` (
  `id` int NOT NULL,
  `userid` int NOT NULL,
  `themeid` int NOT NULL,
  `data` varchar(256) DEFAULT NULL,
  `statusid` int NOT NULL DEFAULT '2',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `help__messages` (
  `id` int NOT NULL,
  `helpid` int NOT NULL,
  `userid` int NOT NULL,
  `message` varchar(1024) NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `money__orders` (
  `id` int NOT NULL,
  `merchant` varchar(128) NOT NULL,
  `data` text,
  `amount` int NOT NULL,
  `status` int NOT NULL DEFAULT '2',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `money__output` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `merchant` varchar(256) NOT NULL,
  `requisites` varchar(256) NOT NULL,
  `price` float NOT NULL,
  `status` int NOT NULL DEFAULT '2',
  `message` text,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `money__transactions` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `amount` float NOT NULL,
  `data` text,
  `type` int NOT NULL,
  `status` int NOT NULL DEFAULT '0',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `money__types` (
  `id` int NOT NULL,
  `name` varchar(256) NOT NULL,
  `target` varchar(256) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

INSERT INTO `money__types` (`id`, `name`, `target`) VALUES
(1, 'library.userstransactions.types.replenishment', 'replenishment'),
(2, 'library.userstransactions.types.extradition', 'issuing'),
(3, 'library.userstransactions.types.purchase', 'purchase'),
(4, 'library.userstransactions.types.conclusion', 'output'),
(5, 'library.userstransactions.types.boost_product', 'boost_product');

CREATE TABLE `pages` (
  `id` int NOT NULL,
  `link` varchar(256) NOT NULL,
  `title` varchar(128) NOT NULL,
  `description` varchar(256) NOT NULL,
  `keywords` varchar(512) NOT NULL,
  `content` text NOT NULL,
  `enable` int NOT NULL DEFAULT '1',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

INSERT INTO `pages` (`id`, `link`, `title`, `description`, `keywords`, `content`, `enable`, `date`) VALUES
(1, 'rules', 'Правила', 'Правила сайта Торговой площадки', 'правила торговой площадки, наши правила, читать правила', '&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;1. Общие положения&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;1.1.&lt;/strong&gt; Настоящие Правила регулируют порядок использования сайта Торговой площадки (далее &amp;ndash; Сайт) для продавцов и покупателей.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;1.2.&lt;/strong&gt; Зарегистрировавшись на Сайте, пользователь подтверждает свое согласие с настоящими Правилами и обязуется их соблюдать.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;1.3.&lt;/strong&gt; Администрация Сайта оставляет за собой право изменять настоящие Правила в любое время без предварительного уведомления. Изменения вступают в силу с момента их публикации на Сайте.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;2. Регистрация и аккаунт&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;2.1.&lt;/strong&gt; Регистрация на Сайте является обязательной для всех пользователей, желающих воспользоваться его услугами.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;2.2.&lt;/strong&gt; Пользователь обязан предоставить достоверную и актуальную информацию при регистрации.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;2.3.&lt;/strong&gt; Пользователь несет ответственность за сохранность конфиденциальности данных своего аккаунта и пароля. Администрация Сайта не несет ответственности за последствия, возникшие вследствие несанкционированного доступа к аккаунту пользователя.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;2.4.&lt;/strong&gt; Пользователь имеет право в любое время удалить свой аккаунт, направив соответствующий запрос в службу поддержки.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;3. Права и обязанности пользователей&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.&lt;/strong&gt; Продавцы&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.1.&lt;/strong&gt; Продавец обязан предоставлять точную и полную информацию о продаваемых товарах, включая описание, цену, условия доставки и гарантии.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.2.&lt;/strong&gt; Продавец обязан своевременно обновлять информацию о наличии товаров.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.3.&lt;/strong&gt; Продавец обязан обрабатывать заказы и осуществлять доставку товаров в установленные сроки.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.4.&lt;/strong&gt; Продавец обязан поддерживать связь с покупателями, предоставлять необходимую информацию и отвечать на вопросы.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.1.5.&lt;/strong&gt; Продавец несет ответственность за качество и соответствие товара описанию.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;3.2. Покупатели&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.2.1.&lt;/strong&gt; Покупатель обязан предоставлять достоверную информацию при оформлении заказа.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.2.2.&lt;/strong&gt; Покупатель обязан своевременно оплачивать заказы согласно установленным условиям.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.2.3.&lt;/strong&gt; Покупатель имеет право на возврат товара в соответствии с действующим законодательством и условиями продавца.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;3.2.4.&lt;/strong&gt; Покупатель обязан соблюдать правила вежливого общения и не допускать оскорблений в адрес продавцов и других пользователей.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;4. Запрещенные действия&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;4.1.&lt;/strong&gt; Запрещается размещение на Сайте информации, нарушающей законодательство, авторские права и права третьих лиц.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;4.2.&lt;/strong&gt; Запрещается использование Сайта для распространения спама, вирусов и другой вредоносной информации.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;4.3.&lt;/strong&gt; Запрещается создавать несколько аккаунтов для одного пользователя без разрешения администрации Сайта.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;4.4.&lt;/strong&gt; Запрещается осуществление мошеннических действий, манипуляций с отзывами и другими данными на Сайте.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;5. Ответственность и разрешение споров&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;5.1.&lt;/strong&gt; Администрация Сайта не несет ответственности за действия пользователей и информацию, размещенную ими на Сайте.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;5.2.&lt;/strong&gt; Споры между пользователями решаются путем переговоров. В случае невозможности разрешения споров путем переговоров, они подлежат рассмотрению в установленном законодательством порядке.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;5.3.&lt;/strong&gt; Пользователь, нарушивший настоящие Правила, может быть заблокирован или удален с Сайта без предварительного уведомления.&lt;/span&gt;&lt;/p&gt;\r\n&lt;h5&gt;&lt;span style=&quot;font-size: 14pt;&quot;&gt;&lt;strong&gt;6. Заключительные положения&lt;/strong&gt;&lt;/span&gt;&lt;/h5&gt;\r\n&lt;p&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;6.1.&lt;/strong&gt; Настоящие Правила являются обязательными для всех пользователей Сайта.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;6.2.&lt;/strong&gt; Вопросы, не урегулированные настоящими Правилами, регулируются действующим законодательством.&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 10pt;&quot;&gt;&lt;strong&gt;6.3.&lt;/strong&gt; Администрация Сайта оставляет за собой право изменять функционал и услуги Сайта без предварительного уведомления пользователей.&lt;/span&gt;&lt;/p&gt;', 1, 1720198807);

CREATE TABLE `product` (
  `id` int NOT NULL,
  `author_id` int NOT NULL,
  `subcategories` text NOT NULL,
  `name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(128) NOT NULL DEFAULT 'no_image.jpg',
  `data` text,
  `data_auto` text,
  `price` float NOT NULL,
  `discount` int NOT NULL DEFAULT '0',
  `quantity` int DEFAULT NULL,
  `views` int NOT NULL DEFAULT '0',
  `enable` int NOT NULL DEFAULT '0',
  `reason` varchar(512) DEFAULT NULL,
  `date` int NOT NULL DEFAULT '0',
  `date_update` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `product__category` (
  `id` int NOT NULL,
  `name` varchar(128) NOT NULL,
  `search_link` varchar(128) NOT NULL,
  `data` text,
  `cover` varchar(128) NOT NULL DEFAULT 'no_image.jpg',
  `icon` varchar(256) NOT NULL DEFAULT 'no_image.jpg',
  `position` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `product__images` (
  `id` int NOT NULL,
  `productid` int NOT NULL,
  `userid` int NOT NULL,
  `filename` varchar(128) NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `product__premium` (
  `id` int NOT NULL,
  `productid` int NOT NULL,
  `userid` int NOT NULL,
  `date_start` int DEFAULT '0',
  `date_end` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `product__subcategory` (
  `id` int NOT NULL,
  `name` varchar(128) NOT NULL,
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  `data_auto` text,
  `category_id` int NOT NULL,
  `position` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `refunds` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `defendant_id` int NOT NULL,
  `transaction_id` int DEFAULT NULL,
  `price` float NOT NULL,
  `status` int NOT NULL DEFAULT '2',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `refunds__messages` (
  `id` int NOT NULL,
  `refund_id` int NOT NULL,
  `user_id` int NOT NULL,
  `message` text,
  `filename` varchar(256) DEFAULT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `safety__login` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `user-agent` text NOT NULL,
  `remote-address` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `date` int NOT NULL DEFAULT '0',
  `date_last` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `stats` (
  `id` int NOT NULL,
  `seller_id` int NOT NULL,
  `price` float NOT NULL,
  `price_end` float NOT NULL,
  `percent` int NOT NULL,
  `trans_id` int NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users` (
  `id` int NOT NULL,
  `login` varchar(64) NOT NULL,
  `email` varchar(128) NOT NULL,
  `password` varchar(512) NOT NULL,
  `image` varchar(64) NOT NULL DEFAULT 'no_image.jpg',
  `rights` varchar(64) NOT NULL DEFAULT 'z',
  `language` varchar(32) NOT NULL DEFAULT 'ru',
  `is_conditions` int NOT NULL DEFAULT '0',
  `roleid` int NOT NULL,
  `balance` float NOT NULL DEFAULT '0',
  `balance_frozen` text,
  `balance_output` float NOT NULL DEFAULT '0',
  `balance_boost` int DEFAULT '0',
  `rating` int NOT NULL DEFAULT '0',
  `remarks` int NOT NULL DEFAULT '0',
  `telegram_id` varchar(32) DEFAULT NULL,
  `status` varchar(256) DEFAULT NULL,
  `settings` text NOT NULL,
  `date_online` int NOT NULL DEFAULT '0',
  `date_register` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__change-email` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `code` varchar(5) NOT NULL,
  `email` varchar(256) NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__income` (
  `id` int NOT NULL,
  `trans_id` int NOT NULL,
  `user_id` int NOT NULL,
  `price` int NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__messages` (
  `id` int NOT NULL,
  `sender_id` int NOT NULL,
  `recipient_id` int NOT NULL,
  `content` varchar(1024) NOT NULL,
  `filename` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `last_update` int NOT NULL DEFAULT '0',
  `ready` int NOT NULL DEFAULT '0',
  `system` int NOT NULL DEFAULT '0',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__noty` (
  `id` int NOT NULL,
  `userid` int NOT NULL,
  `title` varchar(256) NOT NULL,
  `message` text NOT NULL,
  `ready` int NOT NULL DEFAULT '0',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__recovery` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `code` varchar(32) NOT NULL,
  `init` int NOT NULL DEFAULT '0',
  `date` int DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__reviews` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `whom_id` int NOT NULL,
  `product_id` int DEFAULT NULL,
  `message` varchar(256) DEFAULT NULL,
  `stars` int NOT NULL DEFAULT '5',
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__role` (
  `id` int NOT NULL,
  `name` varchar(64) NOT NULL,
  `css_start` varchar(256) DEFAULT NULL,
  `css_end` varchar(256) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

INSERT INTO `users__role` (`id`, `name`, `css_start`, `css_end`) VALUES
(1, 'roles.admin', NULL, NULL),
(2, 'roles.moderator', NULL, NULL),
(3, 'roles.support', NULL, NULL),
(4, 'roles.user', NULL, NULL),
(5, 'roles.blocked', NULL, NULL);

CREATE TABLE `users__telegram` (
  `id` int NOT NULL,
  `chat_id` varchar(32) NOT NULL,
  `user_id` int DEFAULT NULL,
  `last_command` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `users__token` (
  `id` int NOT NULL,
  `user_id` int NOT NULL,
  `hash` varchar(256) NOT NULL,
  `date` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


ALTER TABLE `help`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `help__messages`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `money__orders`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `money__output`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `money__transactions`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `money__types`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `product`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `product__category`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `product__images`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `product__premium`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `product__subcategory`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `refunds`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `refunds__messages`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `safety__login`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `stats`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__change-email`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__income`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__messages`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__noty`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__recovery`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__reviews`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__role`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__telegram`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users__token`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `help`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `help__messages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `money__orders`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `money__output`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `money__transactions`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `money__types`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

ALTER TABLE `pages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `product`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `product__category`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `product__images`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `product__premium`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `product__subcategory`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `refunds`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `refunds__messages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `safety__login`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `stats`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__change-email`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__income`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__messages`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__noty`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__recovery`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__reviews`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__role`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

ALTER TABLE `users__telegram`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;

ALTER TABLE `users__token`
  MODIFY `id` int NOT NULL AUTO_INCREMENT;