<?PHP
	class Catalog {
		/* Получаем меню из категорий */
		public function getCatalogGUI() {
			try {
				$sth = pdo()->query('SELECT * FROM product__category ORDER BY position ASC');
				
				if(!$sth->rowCount()) {
					return getNotData(getLang('catalog.no_category'));
				}
				
				while($dataCategory = $sth->fetch(PDO::FETCH_OBJ)) {
					tpl()->AddCell('listCatalog', tpl()->Set([
						'{id}' => $dataCategory->id,
						'{name}' => get_custom_lang($dataCategory->name),
						'{icon}' => $dataCategory->icon
					], tpl()->Get('elements/product/catalog')));
				}
				
				return tpl()->Execute(tpl()->GetCell('listCatalog'));
			}
			catch(Exception $e) {
				return getNotData($e->getMessage());
			}
		}
		
		/* Получаем списки подкатегорий из каталога */
		public function getSubcategoriesGUI($category_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM product__subcategory WHERE category_id=:category_id ORDER BY position ASC');
				$sth->execute([':category_id' => $category_id]);

				if(!$sth->rowCount()) {
					return getNotData(getLang('catalog.no_catalog'));
				}

				$Category = new Category;
				$tpl = new Template;

				$tpl->ClearCell('getSubcategoriesGUI');
				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					$data = $Category->Get($row->category_id);

					$tpl->AddCell('getSubcategoriesGUI', $tpl->Set([
						'{id}' => $row->id,
						'{name}' => get_custom_lang($row->name),
						'{category_id}' => $row->category_id,
						'{search_link}' => isset($data->search_link) ? $data->search_link : $data->id,
						'{offers}' => Product()->rowFromSubcategory($row->id)
					], $tpl->Get('elements/product/subcategories')));
				}

				return $tpl->Set(['{list}' => $tpl->Execute($tpl->GetCell('getSubcategoriesGUI'))], $tpl->Get('elements/product/subcategories_home'));
			}
			catch(Exception $e) {
				return getNotData($e->getMessage());
			}
		}
	}