<?PHP
	class Filters {
		// Получаем фильтры для подраздела
		public function FormateData($product_id) {
			$productData = Product()->Get($product_id);
			
			if(empty($productData)) {
				return null;
			}

			$productData = $productData['product'];
			if(is_null($productData['data'])) {
				return null;
			}

			$json_product = json_decode($productData['data'], true);

			if(empty($json_product)) {
				return null;
			}

			$temp = '';
			foreach($json_product as $key => $val) {
				$temp .= 'data-' . $key . '="' . $val . '"';
			}

			return $temp;
		}

		// Получаем фильтры из подраздела
		public function FormateSubcategory($id) {
			$sth = pdo()->prepare('SELECT * FROM `product__subcategory` WHERE `id`=:id LIMIT 1');
			$sth->execute([':id' => $id]);

			if($sth->rowCount() == 0) {
				return null;
			}

			tpl()->ClearCell('formate_subcategory');
			while($row = $sth->fetch(PDO::FETCH_OBJ)) {
				if($row->data == null) {
					continue;
				}

				$data = json_decode($row->data, true);
				
				if(empty($data)) {
					continue;
				}

				foreach($data as $fullData) {
					switch($fullData['type']) {
						case 'select': {
							tpl()->ClearCell('options');

							for($i = 0; $i < count($fullData['options']); $i++) {
								tpl()->AddCell('options', tpl()->Set([
									"{name}" => $fullData['options'][$i],
									"{value}" => $fullData['options'][$i]
								], '<option value="{value}">{name}</option>'));
							}

							tpl()->AddCell('formate_subcategory', tpl()->Set([
								'{label}' => get_custom_lang($fullData['label']),
								'{name}' => $fullData['name'],
								'{class}' => $fullData['class'],
								'{options}' => tpl()->GetCell('options')
							], tpl()->Get('elements/filters/select')));

							break;
						}

						case 'input':
						case 'number':
						case 'text': {
							tpl()->AddCell('formate_subcategory', tpl()->Set([
								'{name}' => get_custom_lang($fullData['name']),
								'{class}' => $fullData['class'],
								'{type}' => $fullData['type'],
								'{label}' => get_custom_lang($fullData['label'])
							], tpl()->Get('elements/filters/input')));

							break;
						}
					}
				}
			}

			return tpl()->Execute(tpl()->GetCell('formate_subcategory'));
		}
	}