<?PHP
	class Market {
		/*
			Добавляем товар на маркет
		*/
		public function Add($_ARRAY = []) {
			/* Проверяем название */
			if(empty($_ARRAY['name'])) {
				throw new Exception(getLang('library.market.errors.add.name.label'));
			}
			
			$_ARRAY['name'] = strip_tags($_ARRAY['name']);
			$_ARRAY['name'] = htmlspecialchars($_ARRAY['name']);
			
			if(mb_strlen($_ARRAY['name']) < 5) {
				throw new Exception(getLang('library.market.errors.add.name.len'));
			}
			
			if(mb_strlen($_ARRAY['name']) > 127) {
				throw new Exception(getLang('library.market.errors.add.name.len_max'));
			}
			
			/* Проверяем описание */
			if(empty($_ARRAY['description'])) {
				throw new Exception(getLang('library.market.errors.add.desc.label'));
			}
			
			$_ARRAY['description'] = htmlspecialchars($_ARRAY['description']);
			
			if(mb_strlen($_ARRAY['description']) < 10) {
				throw new Exception(getLang('library.market.errors.add.desc.len'));
			}
			
			if(mb_strlen($_ARRAY['description']) > 1024) {
				throw new Exception(getLang('library.market.errors.add.desc.len_max'));
			}
			
			/* Проверяем цену */
			$_ARRAY['price'] = reFormatPrice($_ARRAY['price']);
			
			if($_ARRAY['price'] < 10.00) {
				throw new Exception(getLang('library.market.errors.add.price'));
			}

			/* Проверяем скидку */
			$_ARRAY['discount'] = (int)$_ARRAY['discount'];
			
			if($_ARRAY['discount'] < 0 || $_ARRAY['discount'] > 90) {
				throw new Exception(getLang('library.market.errors.add.discount'));
			}

			/* Проверяем количество */
			$_ARRAY['quantity'] = (int)$_ARRAY['quantity'];
			
			if($_ARRAY['quantity'] <= 0) {
				throw new Exception('Количество не должно быть менее 1-го');
			}

			try {
				$sth = pdo()->prepare('INSERT INTO `product`(`author_id`, `subcategories`, `data`, `data_auto`, `name`, `description`, `image`, `price`, `quantity`, `discount`, `views`, `enable`, `date`) VALUES (:author_id, :subcategories, :data, :data_auto, :name, :description, :image, :price, :quantity, :discount, :views, :enable, :date)');
				$sth->execute([
					':author_id' => $_SESSION['id'],
					':subcategories' => json_encode($_ARRAY['subcategories']),
					':data' => isset($_ARRAY['8d777f385d3']) ? json_encode($_ARRAY['8d777f385d3']) : null,
					':data_auto' => isset($_ARRAY['484a3c75']) ? json_encode($_ARRAY['484a3c75']) : null,
					':name' => $_ARRAY['name'],
					':description' => $_ARRAY['description'],
					':image' => $_ARRAY['image'],
					':price' => $_ARRAY['price'],
					':quantity' => $_ARRAY['quantity'],
					':discount' => $_ARRAY['discount'],
					':views' => 0,
					':enable' => 0,
					':date' => time()
				]);
				
				$productId = pdo()->lastInsertId();

				CallBack()->Call('onProductAdd', ['userId' => $_SESSION['id'], 'productId' => $productId]);
				return $productId;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}

		/* 
			Изменяем товар
		*/
		public function onEdit($_ARRAY = []) {
			/* Проверяем название */
			if(empty($_ARRAY['name'])) {
				throw new Exception(getLang('library.market.errors.add.name.label'));
			}
			
			$_ARRAY['name'] = strip_tags($_ARRAY['name']);
			$_ARRAY['name'] = htmlspecialchars($_ARRAY['name']);
			
			if(mb_strlen($_ARRAY['name']) < 5) {
				throw new Exception(getLang('library.market.errors.add.name.len'));
			}
			
			if(mb_strlen($_ARRAY['name']) > 127) {
				throw new Exception(getLang('library.market.errors.add.name.len_max'));
			}
			
			/* Проверяем описание */
			if(empty($_ARRAY['description'])) {
				throw new Exception(getLang('library.market.errors.add.desc.label'));
			}
			
			$_ARRAY['description'] = htmlspecialchars($_ARRAY['description']);
			
			if(mb_strlen($_ARRAY['description']) < 10) {
				throw new Exception(getLang('library.market.errors.add.desc.len'));
			}
			
			if(mb_strlen($_ARRAY['description']) > 1024) {
				throw new Exception(getLang('library.market.errors.add.desc.len_max'));
			}
			
			/* Проверяем цену */
			$_ARRAY['price'] = reFormatPrice($_ARRAY['price']);
			
			if($_ARRAY['price'] < 10.00) {
				throw new Exception(getLang('library.market.errors.add.price'));
			}

			/* Проверяем скидку */
			$_ARRAY['discount'] = (int)$_ARRAY['discount'];
			
			if($_ARRAY['discount'] < 0 || $_ARRAY['discount'] > 90) {
				throw new Exception(getLang('library.market.errors.add.discount'));
			}
			
			$product = Product()->Get($_ARRAY['product_id']);

			if(isset($_ARRAY['484a3c75'])) {
				$temp_data_auto = json_encode($_ARRAY['484a3c75']);
			}
			elseif(!empty($product['product']['data_auto']) && !is_null($product['product']['data_auto'])) {
				$temp_data_auto = $product['product']['data_auto'];
			}
			else {
				$temp_data_auto = null;
			}
			
			if(!is_null($temp_data_auto)) {
				$_ARRAY['quantity'] = 0;
			}
			else {
				$_ARRAY['quantity'] = (int)$_ARRAY['quantity'];

				if($_ARRAY['quantity'] <= 0) {
					throw new Exception('Количество не должно быть менее 1-го');
				}
			}			

			/* Проверяем изображение */
			if(empty($_ARRAY['image'])) {
				$_ARRAY['image'] = $product['product']['image'];
			}
			else {
				$path = $_SERVER['DOCUMENT_ROOT'] . '/uploads/images/product/' . $product['product']['image'];
				unlink($path);
			}

			try {
				$sth = pdo()->prepare('
					UPDATE `product` 
					SET 
						name=:name, 
						description=:description, 
						image=:image, 
						data=:data, 
						data_auto=:data_auto, 
						price=:price, 
						discount=:discount, 
						enable=:enable, 
						date_update=:date_update, 
						quantity=:quantity 
					WHERE id=:id 
					LIMIT 1
				');

				$sth->execute([
					':name' => $_ARRAY['name'],
					':description' => $_ARRAY['description'],
					':image' => $_ARRAY['image'],
					':data' => isset($_ARRAY['8d777f385d3']) ? json_encode($_ARRAY['8d777f385d3']) : null,
					':data_auto' => is_null($temp_data_auto) ? null : $temp_data_auto,
					':price' => $_ARRAY['price'],
					':discount' => $_ARRAY['discount'],
					':enable' => 0,
					':date_update' => time(),
					':quantity' => $_ARRAY['quantity'],
					':id' => $_ARRAY['product_id']
				]);
				
				return true;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/*
			Загружаем опции
		*/
		public function getOptions() {
			try {
				$sth = pdo()->query('SELECT * FROM product__category ORDER BY position ASC');
				
				if(!$sth->rowCount()) {
					return '<option disabled selected>' . getLang('library.market.errors.getOptions.0') . '</option>';
				}
				
				$temp = '';
				while($dataCategory = $sth->fetch(PDO::FETCH_OBJ)) {
					$temp .= '<optgroup label="' . get_custom_lang($dataCategory->name) . '">';
					
					$ath = pdo()->prepare('SELECT * FROM product__subcategory WHERE category_id=:category_id ORDER BY position ASC');
					$ath->execute([
						':category_id' => $dataCategory->id
					]);
							
					if(!$ath->rowCount()) {
						$temp .= '<option disabled>' . getLang('library.market.errors.getOptions.1') . '</option>';
					}
					
					while($dataSubcategory = $ath->fetch(PDO::FETCH_OBJ)) {
						$temp .= '<option value="' . $dataSubcategory->id . '">' . get_custom_lang($dataSubcategory->name) . '</option>';
					}
					
					$temp .= '</optgroup>';
				}
				
				return $temp;
			}
			catch(Exception $e) {
				return '<option disabled selected>' . $e->getMessage() . '</option>';
			}
		}
		
		/*
			Последние продажи
		*/
		public function getLastSales() {
			try {
				$sth = pdo()->query('SELECT * FROM money__transactions WHERE type=3 ORDER BY id DESC');
				
				if(!$sth->rowCount()) {
					return getNotData(getLang('library.market.errors.getLastSales.0'));
				}
				
				tpl()->ClearCell('listLastSales');
				
				while($item = $sth->fetch(PDO::FETCH_OBJ)) {
					$data = json_decode($item->data);
					
					if(empty($data->product_id)) {
						continue;
					}
					
					$dataProduct = Product()->Get($data->product_id);
					
					tpl()->AddCell('listLastSales', tpl()->Set([
						'{item_id}' => $dataProduct['product']['id'],
						'{item_name}' => $dataProduct['product']['name'],
						'{item_image}' => $this->getFirstIcon($dataProduct['category'])
					], tpl()->Get('elements/market/last_sales')));
				}
				
				return tpl()->Execute(tpl()->GetCell('listLastSales'));
			}
			catch(Exception $e) {
				return getNotData($e->getMessage());
			}
		}
		
		/*
			Получаем первую иконку
		*/
		public function getFirstIcon($data) {
			foreach($data as $category) {
				return $category['icon'];
			}
		}
		
		/*
			Получаем количество последних продаж
		*/
		public function rowLastSales() {
			try {
				$sth = pdo()->query('SELECT * FROM money__transactions WHERE type=3 ORDER BY id DESC');
				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}

		/* Карточки категорий для добавления товаров */
		public function getCardCategories() {
			try {
				$sth = pdo()->query('SELECT * FROM product__category ORDER BY position ASC');
				
				if(!$sth->rowCount()) {
					return getNotData(getLang('category.no'));
				}

				tpl()->ClearCell('getCardCategories');
				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					tpl()->AddCell('getCardCategories', tpl()->Set([
						'{id}' => $row->id,
						'{name}' => get_custom_lang($row->name),
						'{icon}' => $row->icon,
						'{cover}' => $row->cover
					], tpl()->Get('elements/cards/categories')));
				}

				return tpl()->GetCell('getCardCategories');
			}
			catch(Exception $e) {
				return $e->getMessage();
			}
		}

		/* Получаем подразделы категории */
		public function getCardSubcategory($id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM `product__subcategory` WHERE category_id=:category_id ORDER BY position ASC');
				$sth->execute([':category_id' => $id]);

				if(!$sth->rowCount()) {
					return getNotData(getLang('category.no_subs'));
				}

				tpl()->ClearCell('getCardSubcategory');
				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					tpl()->AddCell('getCardSubcategory', tpl()->Set([
						'{id}' => $row->id,
						'{name}' => get_custom_lang($row->name)
					], tpl()->Get('elements/cards/subcategories')));
				}

				return tpl()->GetCell('getCardSubcategory');
			}
			catch(Exception $e) {
				return $e->getMessage();
			}
		}

		/* Формируем дополнительные поля */
		public function getCardOptions($subcategory_id, $forms = null, $data_auto = null) {
			try {
				$sth = pdo()->prepare('SELECT `data`, `data_auto` FROM `product__subcategory` WHERE id=:id ORDER BY position ASC');
				$sth->execute([':id' => $subcategory_id]);
				$row = $sth->fetch(PDO::FETCH_OBJ);

				$data = is_null($data_auto) ? $row->data : $row->data_auto;

				if(is_null($data)) {
					throw new Exception(getLang('library.market.errors.getCardOptions.0'));
				}

				$AdminSubcategoryData = new AdminSubcategoryData;
				$row = json_decode($data, true);

				if(isset($forms)) {
					$forms = json_decode($forms, true);
				}

				tpl()->ClearCell('getCardOptions');
				foreach($row as $id => $data) {
					$typeData = $AdminSubcategoryData->types[$data['type']];

					switch($data['type']) {
						case 'number':
						case 'text': {
							$arrReplace = ['{id}' => $id];
							foreach($data as $key => $value) {
								switch($key) {
									case 'required': {
										$arrReplace['{' . $key . '}'] = 'required';
										break;
									}

									case 'value': {
										if(isset($forms) && is_array($forms)) {
											$value_name = rtrim($data['name'], '[]');
											if(isset($forms[0]) && is_array($forms[0])) {
												foreach($forms as $form) {
													if(isset($form[$value_name])) {
														$arrReplace['{' . $key . '}'] = $form[$value_name];
													}
												}
											}
											elseif (isset($forms[$value_name])) {
												$arrReplace['{' . $key . '}'] = $forms[$value_name];
											}
										}
										else {
											$arrReplace['{' . $key . '}'] = $value;
										}
									
										break;
									}

									default: $arrReplace['{' . $key . '}'] = $value;
								}
							}

							tpl()->AddCell('getCardOptions', tpl()->Set([
								'{id}' => $id,
								'{label}' => $data['label'],
								'{required}' => $data['required'],
								'{input}' => tpl()->Set($arrReplace, $typeData['sample'])
							], tpl()->Get('elements/forms/input')));

							break;
						}

						case 'select': {
							tpl()->ClearCell('options');
							foreach($data['options'] as $key => $value) {
								if(isset($forms) && is_array($forms)) {
									if(isset($forms[$data['name']]) && $forms[$data['name']] == $value) {
										tpl()->AddCell('options', tpl()->Set(['{value}' => $value], '<option value="{value}" selected>{value}</option>'));
									}
									else {
										tpl()->AddCell('options', tpl()->Set(['{value}' => $value], '<option value="{value}">{value}</option>'));
									}
								}
								else {
									tpl()->AddCell('options', tpl()->Set(['{value}' => $value], '<option value="{value}">{value}</option>'));
								}
							}

							tpl()->AddCell('getCardOptions', tpl()->Set([
								'{id}' => $id,
								'{label}' => $data['label'],
								'{required}' => $data['required'],
								'{select}' => tpl()->Set([
									'{id}' => $id,
									'{name}' => $data['name'],
									'{label}' => $data['label'],
									'{required}' => $data['required'] ? 'required': '',
									'{class}' => $data['class'],
									'{options}' => tpl()->GetCell('options')
								], $typeData['sample'])
							], tpl()->Get('elements/forms/select')));

							break;
						}
					}
				}

				return tpl()->Execute(tpl()->GetCell('getCardOptions'));
			}
			catch(Exception $e) {
				throw $e;
			}
		}

		/* getSpecifications */
		public function getSpecifications($id) {
			try {
				$data = Product()->Get($id);
				$product = $data['product'];

				tpl()->ClearCell('getSpecifications');
				if(!is_null($product['data_auto'])) {
					tpl()->AddCell('getSpecifications', tpl()->Set([
						'{label}' => getLang('custom.additionally.delivery.auto.title'),
						'{opt}' => getLang('custom.additionally.delivery.auto.message')
					], tpl()->Get('elements/product/specifications')));
				}
				else {
					tpl()->AddCell('getSpecifications', tpl()->Set([
						'{label}' => getLang('custom.additionally.delivery.manual.title'),
						'{opt}' => getLang('custom.additionally.delivery.manual.message')
					], tpl()->Get('elements/product/specifications')));
				}
				
				if($product['data'] == null || empty($product['data'])) {
					return tpl()->GetCell('getSpecifications');
				}

				$json = json_decode($product['data'], true);

				foreach($json as $id => $val) {
					$dataJson = $data['subcategory'][0]['data'];

					if(empty($dataJson)) {
						return tpl()->GetCell('getSpecifications');
					}

					$dataJson = json_decode($dataJson, true);

					if($dataJson == null && json_last_error() != JSON_ERROR_NONE) {
						return tpl()->GetCell('getSpecifications');
					}

					foreach($dataJson as $id2 => $val2) {
						if($val2['name'] == $id) {
							tpl()->AddCell('getSpecifications', tpl()->Set([
								'{label}' => get_custom_lang($val2['label']),
								'{opt}' => get_custom_lang($val)
							], tpl()->Get('elements/product/specifications')));
						}
					}
				}
				
				return tpl()->GetCell('getSpecifications');
			}
			catch(Exception $e) {
				return $e->getMessage();
			}
		}

		/* Получение подкатегорий */
		public function getRandSubcategories($limit = 20) {
			try {
				$limit = intval($limit);
				$sth = pdo()->prepare("SELECT * FROM (SELECT DISTINCT * FROM `product__subcategory`) AS unique_subcategories ORDER BY RAND() LIMIT $limit");
				$sth->execute();
		
				if(!$sth->rowCount()) {
					return getNotData(getLang('category.no_subs'));
				}

				$Category = new Category;
		
				tpl()->ClearCell('getRandSubcategories');
				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					$dataCategory = $Category->Get($row->category_id);

					tpl()->AddCell('getRandSubcategories', tpl()->Set([
						'{id}' => $row->id,
						'{sub_name}' => get_custom_lang($row->name),
						'{sub_link}' => $row->id,
						'{search_link}' => isset($dataCategory->search_link) ? $dataCategory->search_link : $dataCategory->id,
						'{cat_name}' => get_custom_lang($dataCategory->name)
					], tpl()->Get('elements/market/subcategory/list')));
				}
		
				return tpl()->Execute(tpl()->GetCell('getRandSubcategories'));
			}
			catch (Exception $e) {
				return getNotData($e->getMessage());
			}
		}
	}