<?PHP
	class MarketVerify {
		/* Получаем количество товаров на проверку */
		public function rowCount() {
			try {
				$sth = pdo()->query('SELECT * FROM product WHERE enable=0');
				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}
		
		/* Получаем список товаров на модерацию */
		public function getAll() {
			try {
				$sth = pdo()->query('SELECT * FROM product WHERE enable=0 ORDER BY id DESC');
				
				if(!$sth->rowCount()) {
					return getNotData('Список пуст');
				}

				$SellerProduct = new SellerProduct;

				tpl()->ClearCell('getAll');
				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					$data = Product()->Get($row->id);
					$price = formatPrice($row->id);
					
					tpl()->AddCell('getAll', tpl()->Set([
						'{id}' => $row->id,
						'{image}' => $row->image,
						'{price}' => $price->total,
						'{discount}' => $price->discount,
						'{oldprice}' => $price->oldprice,
						'{name}' => htmlspecialchars_decode($row->name),
						'{author_id}' => $row->author_id,
						'{currency}' => conf()->currency->html,
						'{row_sells}' => $SellerProduct->rowSells($data['product']['author_id']),
						'{date}' => date('d.m.Y', $row->date),
						'{seller_id}' => $data['product']['author_id'],
						'{seller_image}' => getAvatar($data['product']['author_id']),
						'{seller_name}' => getName($data['product']['author_id']),
						'{stars_count}' => Reviews()->getStarsProduct($data['product']['id']),
						'{stars_reviews}' => Reviews()->rowProduct($data['product']['id']),
						'{filters}' => ''
					], tpl()->Get('elements/product/item')));
				}
				
				return tpl()->Execute(tpl()->GetCell('getAll'));
			}
			catch(Exception $e) {
				return getNotData($e->getMessage());
			}
		}
		
		/* Одобряем модерацию */
		public function sendVerify($itemId) {
			try {
				$sth = pdo()->prepare('UPDATE product SET enable=1, reason=null WHERE id=:id LIMIT 1');
				$sth->execute([':id' => $itemId]);
				
				CallBack()->Call('onProductVerify', ['status' => 1, 'productId' => $itemId]);
				return true;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/* Отказываем модерацию */
		public function sendRejection($itemId, $reason) {
			try {
				$sth = pdo()->prepare('UPDATE product SET enable=3, reason=:reason WHERE id=:id LIMIT 1');
				$sth->execute([':id' => $itemId, ':reason' => $reason]);
				
				CallBack()->Call('onProductVerify', ['status' => 3, 'productId' => $itemId, 'reason' => $reason]);
				return true;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
	}