<?PHP
    class SafetyLogin {
        /* Добавляем сведения об входе на сайт */
        public function Add() {
            try {
                $data = $this->GetValid($_SESSION['id']);

                if(is_null($data)) {
                    $sth = pdo()->prepare('INSERT INTO `safety__login`(`user_id`, `user-agent`, `remote-address`, `date`, `date_last`) VALUES (:user_id, :useragent, :remoteaddress, :date, :datelast)');
                    $sth->execute([
                        ':user_id' => $_SESSION['id'],
                        ':useragent' => $_SERVER['HTTP_USER_AGENT'],
                        ':remoteaddress' => users()->getRemote(),
                        ':date' => time(),
                        ':datelast' => time()
                    ]);
                }
                else {
                    $sth = pdo()->prepare('UPDATE safety__login SET date_last=:date_last WHERE id=:id LIMIT 1');
                    $sth->execute([':id' => $data['id'], ':date_last' => time()]);
                }

                return true;
            }
            catch(Exception $e) {
                throw $e;
            }
        }

        /* Проверяем наличие адресов в базе */
        public function GetValid($user_id) {
            try {
                $sth = pdo()->prepare('SELECT * FROM safety__login WHERE user_id=:user_id AND `remote-address`=:remoteaddress LIMIT 1');
                $sth->execute([
                    ':user_id' => $user_id,
                    ':remoteaddress' => users()->getRemote()
                ]);

                if(!$sth->rowCount()) {
                    return null;
                }

                return $sth->fetch(PDO::FETCH_ASSOC);
            }
            catch(Exception $e) {
                return null;
            }
        }
    }