<?PHP
	class AdminStats {
		/* Добавляем прибыль */
		public function addProfit($seller_id, $price, $price_end, $percent, $trans_id) {
			try {
				$sth = pdo()->prepare('INSERT INTO stats(seller_id, price, price_end, percent, trans_id, date) VALUES (:seller_id, :price, :price_end, :percent, :trans_id, :date)');
				$sth->execute([
					':seller_id' => $seller_id,
					':price' => reFormatPrice($price),
					':price_end' => reFormatPrice($price_end),
					':percent' => $percent,
					':trans_id' => $trans_id,
					':date' => time()
				]);

				return pdo()->lastInsertId();
			}
			catch(Exception $e) {
				throw $e;
			}
		}

		/* Получаем количество товаров */
		public function getUserProductRows($user_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM product WHERE author_id=:author_id');
				$sth->execute([':author_id' => $user_id]);

				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}

		/* Количество покупок */
		public function getUserOrderRows($user_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM money__transactions WHERE user_id=:user_id AND type=3');
				$sth->execute([':user_id' => $user_id]);

				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}

		/* Количество споров */
		public function getUserRefundRows($user_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM refunds WHERE user_id=:user_id OR defendant_id=:user_id');
				$sth->execute([':user_id' => $user_id]);

				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}
	}