<?PHP
	class AdminUsers {
		/* Получаем всех юзеров */
		public function getAll() {
			try {
				$sql = 'SELECT * FROM users';
				$sth = pdo()->prepare($sql);
				$sth->execute();
				
				if(!$sth->rowCount()) {
					return tpl()->Execute(tpl()->Set(['{text}' => getLang('library.admin.users.errors.0')], tpl()->Get('elements/no_data')));
				}
				
				tpl()->ClearCell('listUsers');
				
				$UsersRole = new UsersRole;
				while($user = $sth->fetch(PDO::FETCH_OBJ)) {
					$dataRole = $UsersRole->Get($user->roleid);

					tpl()->AddCell('listUsers', tpl()->Set([
						'{item_id}' => $user->id,
						'{item_name}' => getName($user->id),
						'{item_avatar}' => getAvatar($user->id),
						'{item_role}' => $user->roleid,
						'{item_role_name}' => isset($dataRole) ? $dataRole->name : getLang('system.errors.undefined'),
						'{item_email}' => $user->email
					], tpl()->Get('elements/table/item_user')));
				}
				
				return tpl()->Execute(tpl()->GetCell('listUsers'));
			}
			catch(Exception $e) {
				return tpl()->Execute(tpl()->Set(['{text}' => $e->getMessage()], tpl()->Get('elements/no_data')));
			}
		}
		
		/* Изменяем данные пользователя */
		public function onEdit($data) {
			try {
				$sth = pdo()->prepare('UPDATE users SET login=:login, email=:email, balance=:balance, rights=:rights, roleid=:roleid, language=:language, remarks=:remarks WHERE id=:id LIMIT 1');
				$sth->execute([
					':id' => $data['id'],
					':login' => $data['login'],
					':email' => $data['email'],
					':balance' => $data['balance'],
					':rights' => $data['rights'],
					':roleid' => $data['roleid'],
					':language' => $data['language'],
					':remarks' => $data['remarks']
				]);
				
				return true;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
	}