<?PHP
	class AsyncPHP {
		private static function getPhpExecutable() {
			if(stripos(PHP_BINARY, 'httpd.exe') !== false) {
				$phpPath = realpath(dirname(PHP_BINARY) . '/../../php.exe');

				if(file_exists($phpPath)) {
					return $phpPath;
				}
			}

			if(strncasecmp(PHP_OS, 'WIN', 3) === 0) {
				$phpPath = trim(shell_exec('where php'));
			}
			else {
				$phpPath = trim(shell_exec('which php'));
			}

			return file_exists($phpPath) ? $phpPath : false;
		}

		public static function run($script, $params = []) {
			$phpPath = self::getPhpExecutable();

			if(!$phpPath) {
				return false;
			}

			if(!file_exists($script)) {
				return false;
			}

			$escapedParams = array_map('escapeshellarg', $params);
			$command = "$phpPath " . escapeshellarg($script) . ' ' . implode(' ', $escapedParams);

			if(strncasecmp(PHP_OS, 'WIN', 3) === 0) {
				$command = "start /B " . $command;
			}
			else {
				$command .= " > /dev/null 2>&1 &";
			}

			putenv('SERVER_NAME=' . ($_SERVER['SERVER_NAME'] ?? 'localhost'));
			putenv('HTTP_HOST=' . ($_SERVER['SERVER_NAME'] ?? 'localhost'));
			putenv('DOCUMENT_ROOT=' . ($_SERVER['DOCUMENT_ROOT'] ?? ''));

			if(strncasecmp(PHP_OS, 'WIN', 3) === 0) {
				pclose(popen($command, 'r'));
			}
			else {
				exec($command);
			}

			return true;
		}
	}