<?PHP
	class CallBack {
		var $Calls = [], $folders = [];
		
		public function Register($folder) {
			$this->folders = $folder;
		}
		
		public function Execute() {
			foreach($this->folders as $directory) {
				if(is_dir($directory)) {
					$files = scandir($directory);
					
					foreach($files as $file) {
						$filePath = $directory . DIRECTORY_SEPARATOR . $file;
						
						if(is_file($filePath) && pathinfo($filePath, PATHINFO_EXTENSION) == 'php') {
							require_once($filePath);
						}
					}
				}
			}
		}
		
		public function Add($action, Closure $data) {
			$this->Calls[$action] = $data;
		}
		
		public function Call($name, $data = []) {
			if(isset($this->Calls[$name])) {
				if(!is_callable($this->Calls[$name])) {
					throw new Exception('Функция обратного вызова - не вызываемая!');
				}
				
				call_user_func($this->Calls[$name], $data);
			}
		}
		
		public function GetList() {
			return $this->Calls;
		}
	}