<?php
	class CustomPages {
		/*
			Создаем кастомную страницу
		*/
		public function Add($_ARRAY = []) {
			try {
				/* Проверяем наличие линка */
				if(empty($_ARRAY['link'])) {
					throw new Exception(getLang('library.custompage.0'));
				}
				
				if(!empty($this->Get($_ARRAY['link']))) {
					throw new Exception(getLang('library.custompage.1'));
				}
				
				if(mb_strlen($_ARRAY['link']) < 1) {
					throw new Exception(getLang('library.custompage.2'));
				}
				
				/* Заголовок */
				if(empty($_ARRAY['title'])) {
					throw new Exception(getLang('library.custompage.3'));
				}
				
				if(mb_strlen($_ARRAY['title']) < 1) {
					throw new Exception(getLang('library.custompage.4'));
				}
				
				/* Описание */
				if(empty($_ARRAY['description'])) {
					throw new Exception(getLang('library.custompage.5'));
				}
				
				if(mb_strlen($_ARRAY['description']) < 1) {
					throw new Exception(getLang('library.custompage.6'));
				}
				
				/* Теги */
				if(empty($_ARRAY['keywords'])) {
					throw new Exception(getLang('library.custompage.7'));
				}
				
				if(mb_strlen($_ARRAY['keywords']) < 1) {
					throw new Exception(getLang('library.custompage.8'));
				}
				
				/* Контент */
				if(empty($_ARRAY['content'])) {
					throw new Exception(getLang('library.custompage.9'));
				}
				
				if(mb_strlen($_ARRAY['content']) < 1) {
					throw new Exception(getLang('library.custompage.10'));
				}
				
				$sth = pdo()->prepare('INSERT INTO `pages`(`link`, `title`, `description`, `keywords`, `content`, `date`) VALUES (:link, :title, :description, :keywords, :content, :date)');
				$sth->execute([
					':link' => $_ARRAY['link'],
					':title' => $_ARRAY['title'],
					':description' => $_ARRAY['description'],
					':keywords' => $_ARRAY['keywords'],
					':content' => htmlspecialchars($_ARRAY['content']),
					':date' => time()
				]);
				
				return pdo()->lastInserId();
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/*
			Получаем кастомные страницы пользователя
		*/
		public function Get($link = null) {
			if(empty($link)) {
				return null;
			}
			
			try {
				$sth = pdo()->prepare('SELECT * FROM `pages` WHERE `link`=:link LIMIT 1');
				$sth->execute([
					':link' => $link
				]);
				
				if(!$sth->rowCount()) {
					return null;
				}
				
				return $sth->fetch(PDO::FETCH_OBJ);
			}
			catch(Exception $e) {
				return null;
			}
		}
	}