<?PHP
	class LinePay {
		private $dataMerchant;
		private $link = 'https://linepay.fun/pay';
		private $ips = [
			'45.142.122.86',
			'92.255.111.15',
			'2a03:6f00:5:1::438b'
		];

		public function __construct() {
			$this->dataMerchant = Merchants()['linepay'];
		}

		public function onCreate($orderId, $amount) {
			$sign = md5(sprintf('%s|%s|%s|%s', $this->dataMerchant['merchant_id'], $this->dataMerchant['secret_1'], $amount, $orderId));
			$payLink = sprintf('%s?order_id=%s&m_id=%s&amount=%s&sign=%s', $this->link, $orderId, $this->dataMerchant['merchant_id'], $amount, $sign);

			return $payLink;
		}

		public function onExecute($params) {
			try {
				if(!in_array(users()->getRemote(), $this->ips)) {
					throw new Exception('wrong ip');
				}

				$sign = md5(sprintf('%s|%s|%s|%s', $this->dataMerchant['merchant_id'], $this->dataMerchant['secret_2'], $params['amount'], $params['order_id']));

				if($params['sign'] != $sign) {
					throw new Exception('Invalid hash');
				}

				$classPays = new Pays;
				$isPayed = $classPays->IsPayed($params['order_id']);

				if(is_null($isPayed)) {
					throw new Exception('The order was not found');
				}

				if($isPayed) {
					throw new Exception('The operation has already been performed');
				}

				$dataOrder = $classPays->Get($params['order_id']);

				if(is_null($dataOrder)) {
					throw new Exception('The payment was not found');
				}

				$dataOrder = json_decode($dataOrder->data);

				$classUsersBalance = new UsersBalance;
				$classUsersTransactions = new UsersTransactions;

				if($classUsersBalance->addBalance($dataOrder->userid, $dataOrder->amount)) {
					$classUsersTransactions->Add($dataOrder->userid, ['amount' => $dataOrder->amount, 'type' => 1, 'status' => 1]);
					$classPays->UpdateStatus($params['order_id'], 1);
				}
				else {
					$classUsersTransactions->Add($dataOrder->userid, ['amount' => $dataOrder->amount, 'type' => 1, 'status' => 3]);
					$classPays->UpdateStatus($params['order_id'], 3);
				}

				return true;
 			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
	}