<?PHP
	class UsersBoost extends Users {
		public function getBoosts($userId) {
			if(empty($userId)) {
				return 0;
			}

			try {
				$sth = pdo()->prepare('SELECT `balance_boost` FROM `users` WHERE `id`=:id LIMIT 1');
				$sth->execute([':id' => $userId]);

				return $sth->rowCount() ? (int)$sth->fetch(PDO::FETCH_OBJ)->balance_boost : 0;
			}
			catch(Exception $e) {
				return 0;
			}
		}

		public function setBoosts($userId, $count) {
			if(empty($userId) || $count < 0) {
				return false;
			}

			try {
				return $this->Update($userId, ['balance_boost' => $count]);
			}
			catch(Exception $e) {
				return false;
			}
		}

		public function addBoosts($userId, $count) {
			if(empty($userId) || $count <= 0) {
				return false;
			}

			try {
				$currentBoosts = $this->getBoosts($userId);
				return $this->setBoosts($userId, $currentBoosts + $count);
			}
			catch(Exception $e) {
				return false;
			}
		}

		public function minBoosts($userId, $count) {
			if(empty($userId) || $count <= 0) {
				return false;
			}

			try {
				$currentBoosts = $this->getBoosts($userId);
				return $this->setBoosts($userId, $currentBoosts - $count);
			}
			catch(Exception $e) {
				return false;
			}
		}
	}