<?PHP
	class UsersNoty {
		/* Добавляем уведомление */
		public function Send($userid, $title, $message) {
			try {
				$sth = pdo()->prepare('INSERT INTO users__noty (userid, title, message, ready, date) VALUES (:userid, :title, :message, :ready, :date)');
				$sth->execute([
					':userid' => $userid,
					':title' => htmlspecialchars($title),
					':message' => htmlspecialchars($message),
					':ready' => 0,
					':date' => time()
				]);

				return pdo()->lastInsertId();
			}
			catch(Exception $e) {
				throw $e;
			}
		}

		/* Получаем уведомление */
		public function Get($id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM users__noty WHERE id=:id LIMIT 1');
				$sth->execute([':id' => $id]);

				if(!$sth->rowCount()) {
					return null;
				}

				return $sth->fetch(PDO::FETCH_OBJ);
			}
			catch(Exception $e) {
				return null;
			}
		}

		/* Получаем список */
		public function getList() {
			try {
				$sth = pdo()->prepare('SELECT * FROM users__noty WHERE userid=:userid ORDER BY ready ASC, id DESC');
				$sth->execute([':userid' => $_SESSION['id']]);

				if(!$sth->rowCount()) {
					return getNotData(getLang('library.users.noty.errors.0'));
				}

				tpl()->ClearCell('getList');

				while($row = $sth->fetch(PDO::FETCH_OBJ)) {
					tpl()->AddCell('getList', tpl()->Set([
						'{id}' => $row->id,
						'{title}' => htmlspecialchars_decode($row->title),
						'{message}' => htmlspecialchars_decode($row->message),
						'{ready}' => $row->ready,
						'{date}' => getLang('getTimeAgo.date', [date('d.m.Y', $row->date), date('H:i', $row->date)])
					], tpl()->Get('elements/notifications/item')));
				}

				return tpl()->Execute(tpl()->GetCell('getList'));
			}
			catch(Exception $e) {
				return getNotData($e->getMessage());
			}
		}

		/* Статус прочтения */
		public function setReady($id, $ready) {
			try {
				$sth = pdo()->prepare('UPDATE users__noty SET ready=:ready WHERE id=:id LIMIT 1');
				$sth->execute([':id' => $id, ':ready' => $ready]);

				return true;
			}
			catch(Exception $e) { 
				throw $e;
			}
		}

		/* Количество непрочтенных уведомлений */
		public function rowCount() {
			if(empty($_SESSION['id'])) {
				return 0;
			}

			try {
				$sth = pdo()->prepare('SELECT * FROM users__noty WHERE userid=:userid AND ready=0');
				$sth->execute([':userid' => $_SESSION['id']]);

				return $sth->rowCount();
			}
			catch(Exception $e) {
				return 0;
			}
		}
	}