<?PHP
	class UsersRole {
		/* Получаем данные о Роли */
		public function Get($id) {
			if(!is_numeric($id)) {
				return null;
			}
			
			try {
				$sth = pdo()->prepare('SELECT * FROM `users__role` WHERE `id`=:id LIMIT 1');
				$sth->execute([':id' => $id]);
				
				if(!$sth->rowCount()) {
					return null;
				}

				$data = $sth->fetch(PDO::FETCH_OBJ);
				$data->name = getLang($data->name);

				return $data;
			}
			catch(Exception $e) {
				return null;
			}
		}
		
		public function getName($role_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM `users__role` WHERE `id`=:id LIMIT 1');
				$sth->execute([':id' => $role_id]);

				if(!$sth->rowCount()) {
					return getLang('system.errors.undefined');
				}

				$data = $sth->fetch(PDO::FETCH_OBJ);
				return getLang($data->name);
			}
			catch(Exception $e) {
				return $e->getMessage();
			}
		}

		/* Выводим список ролей */
		public function getList($role_id) {
			try {
				$sth = pdo()->query('SELECT * FROM users__role');
				
				if(!$sth->rowCount()) {
					return '<option selected disabled>' . getLang('library.users.role.errors.0') . '</option>';
				}
				
				tpl()->ClearCell('listRoles');
				while($dataRole = $sth->fetch(PDO::FETCH_OBJ)) {
					tpl()->AddCell('listRoles', tpl()->Set([
						'{item_value}' => $dataRole->id,
						'{item_selected}' => ($dataRole->id == $role_id) ? 'selected' : '',
						'{item_name}' => getLang($dataRole->name)
					], '<option value="{item_value}" {item_selected}>{item_name}</option>'));
				}
				
				return tpl()->Execute(tpl()->GetCell('listRoles'));
			}
			catch(Exception $e) {
				return '<option selected disabled>' . $e->getMessage() . '</option>';
			}
		}
	}