<?PHP
	class UsersToken {
		var $timeLimit = 15;
		
		/*
			Поиск токен ключа
		*/
		public function IsValid($token) {
			try {
				$sth = pdo()->prepare('SELECT * FROM users__token WHERE hash=:hash LIMIT 1');
				$sth->execute([':hash' => $token]);
				
				if(!$sth->rowCount()) {
					return false;
				}
				
				return true;
			}
			catch(Exception $e) {
				return false;
			}
		}
		
		/*
			Получаем токен
		*/
		public function Get($token) {
			try {
				$sth = pdo()->prepare('SELECT * FROM users__token WHERE hash=:hash LIMIT 1');
				$sth->execute([':hash' => $token]);
				
				return $sth->fetch(PDO::FETCH_OBJ);
			}
			catch(Exception $e) {
				return false;
			}
		}
		
		/*
			Удаляем ключи пользователя
		*/
		public function Remove($user_id) {
			try {
				$sth = pdo()->prepare('DELETE FROM users__token WHERE user_id=:user_id');
				$sth->execute([':user_id' => $user_id]);
				
				return $this;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/*
			Создаем ключ
		*/
		public function Create($user_id) {
			$hash = generateApiKey(20);
			
			try {
				$sth = pdo()->prepare('INSERT INTO users__token(`user_id`, `hash`, `date`) VALUES (:user_id, :hash, :date)');
				$sth->execute([':user_id' => $user_id, ':hash' => $hash, ':date' => time()]);
				
				return $hash;
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/*
			Обновить или создать
		*/
		public function Update($user_id) {
			try {
				$dataToken = $this->GetFromUserId($user_id);
				
				if(isset($dataToken)) {
					$startTime = $dataToken->date + $this->timeLimit;
					$time = time();
					
					if($startTime > $time) {
						throw new Exception(getLang('library.users.token.errors.0', [($startTime - $time)]));
					}
				}
				
				return $this->Remove($user_id)->Create($user_id);
			}
			catch(Exception $e) {
				throw new Exception($e->getMessage());
			}
		}
		
		/*
			Получаем токен по ID юзера
		*/
		public function GetFromUserId($user_id) {
			try {
				$sth = pdo()->prepare('SELECT * FROM users__token WHERE user_id=:user_id LIMIT 1');
				$sth->execute([':user_id' => $user_id]);
				
				if(!$sth->rowCount()) {
					return null;
				}
				
				return $sth->fetch(PDO::FETCH_OBJ);
			}
			catch(Exception $e) {
				return null;
			}
		}
	}