function sortCategory() {
	var $container = $('.Page-eCategory [data-target="listCategory"]');
	var $divs = $container.children('.Item');
	
	$divs.sort(function(a, b) {
		var aPosition = parseInt($(a).data('position'), 10);
		var bPosition = parseInt($(b).data('position'), 10);
		
		return aPosition - bPosition;
	});
	
	$divs.detach().appendTo($container);
}

function sortSubcategory(triggerId) {
	var $container = $('.Page-eCategory [data-target="listCategory"] .Item[data-toggle="' + triggerId + '"] .Subcategory');
	var $divs = $container.children('.Item');
	
	$divs.sort(function(a, b) {
		var aPosition = parseInt($(a).data('sub-position'), 10);
		var bPosition = parseInt($(b).data('sub-position'), 10);
		
		return aPosition - bPosition;
	});
	
	$divs.detach().appendTo($container);
}

$(function() {
	/* Выводи кнопку подъема страницы */
	$(window).scroll(function() {
        var docHeight = $(document).height();
        var winHeight = $(window).height();
        var scrollPosition = $(window).scrollTop();
        var scrollPercent = (scrollPosition / (docHeight - winHeight)) * 100;

        if(scrollPercent >= 40) {
            $('button[data-page-up]').css("display", "flex");
        }
		else {
            $('button[data-page-up]').css("display", "none");
        }
	});

	$('button[data-page-up]').on('click', function() {
		$('html, body').animate({scrollTop: 0}, 100);
		return false;
	});

	/* Регаем кнопки */
	$('button[data-admin]').on('click', function() {
		switch($(this).data('admin')) {
			/* Отменяем вывод */
			case 'onRejectionOutput': {
				var id = $(this).data('id');
				var message = prompt('Введите причину');

				if(message) {
					SendPost('/api/v1/admin/onOutput', {onRejectionOutput: 1, id: id, message: message}, (Result) => {
						if(Result.Alert == 'Success') {
							$('[data-id="' + id + '"]').remove();
						}
	
						ShowToasty(Result.Message, Result.Alert);
					});
				}

				break;
			}

			/* Подтверждаем вывод средств */
			case 'onSuccessOutput': {
				var id = $(this).data('id');
				SendPost('/api/v1/admin/onOutput', {onSuccessOutput: 1, id: id}, (Result) => {
					if(Result.Alert == 'Success') {
						$('[data-id="' + id + '"]').remove();
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}
		}
	});

	/* Регаем кнопки */
	$('button[data-action]').on('click', function() {
		switch($(this).data('action')) {
			/* Удаляем страницу */
			case 'onDeletePage': {
				var pageId = $(this).data('toggle');

				$.confirm({
					title: Languages('confirm.admin.onDeletePage.title'),
					content: Languages('confirm.admin.onDeletePage.desc'),
					buttons: {
						confirm: {
							text: Languages('confirm.admin.onDeletePage.buttons.confirm'),
							btnClass: 'btn-danger',
							action:	() => {
								SendPost('/api/v1/admin/pages', {deletePage: 1, pageId: pageId}, (Result) => {
									if(Result.Alert == 'Success') {
										$('.Item[data-target="' + pageId + '"]').remove();
									}
									
									ShowToasty(Result.Message, Result.Alert);
								});
							}
						},
						cancel: {
							text: Languages('confirm.admin.onDeletePage.buttons.cancel'),
							btnClass: 'btn-primary'
						}
					}
				});

				break;
			}
			
			/* Поднимаем раздел */
			case 'upCategory': {
				var div = $(this).closest('[data-toggle]');
				var selfId = div.data('toggle');
				var prediv = div.prev('.Item[data-toggle][data-position]');
				
				if(prediv.length) {
					var triggerId = prediv.data('toggle');
					
					SendPost('/api/v1/admin/category', {
						changeCategoryPosition: 1,
						selfId: selfId,						/* ID который редактируем */
						triggerId: triggerId,				/* ID который изменяем */
					}, (Result) => {
						if(Result.Alert == 'Success') {
							var selfPos = div.data('position');
							var triggerPos = prediv.data('position');
							
							div.data('position', triggerPos);
							prediv.data('position', selfPos);
							
							sortCategory();
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
				}
				
				break;
			}
			
			/* Опускаем раздел */
			case 'downCategory': {
				var div = $(this).closest('[data-toggle]');
				var selfId = div.data('toggle');
				var prediv = div.next('.Item[data-toggle][data-position]');
				
				if(prediv.length) {
					var triggerId = prediv.data('toggle');
					
					SendPost('/api/v1/admin/category', {
						changeCategoryPosition: 1,
						selfId: selfId,						/* ID который редактируем */
						triggerId: triggerId,				/* ID который изменяем */
					}, (Result) => {
						if(Result.Alert == 'Success') {
							var selfPos = div.data('position');
							var triggerPos = prediv.data('position');
							
							div.data('position', triggerPos);
							prediv.data('position', selfPos);
							
							sortCategory();
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
				}
				
				break;
			}
			
			/* Поднимаем подраздел */
			case 'upSubcategory': {
				var div = $(this).closest('[data-sub-toggle]');
				var selfId = div.data('sub-toggle');
				var prediv = div.prev('.Item[data-sub-toggle][data-sub-position]');
				
				if(prediv.length) {
					var triggerId = prediv.data('sub-toggle');
					
					SendPost('/api/v1/admin/category', {
						changeSubcategoryPosition: 1,
						selfId: selfId,						/* ID который редактируем */
						triggerId: triggerId,				/* ID который изменяем */
					}, (Result) => {
						if(Result.Alert == 'Success') {
							var triggerId = $(this).closest('[data-toggle]').data('toggle');
							var selfPos = div.data('sub-position');
							var triggerPos = prediv.data('sub-position');
							
							div.data('sub-position', triggerPos);
							prediv.data('sub-position', selfPos);
							
							sortSubcategory(triggerId);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
				}
				
				break;
			}
			
			/* Опускаем подраздел */
			case 'downSubcategory': {
				var div = $(this).closest('[data-sub-toggle]');
				var selfId = div.data('sub-toggle');
				var prediv = div.next('.Item[data-sub-toggle][data-sub-position]');
				
				if(prediv.length) {
					var triggerId = prediv.data('sub-toggle');
					
					SendPost('/api/v1/admin/category', {
						changeSubcategoryPosition: 1,
						selfId: selfId,						/* ID который редактируем */
						triggerId: triggerId,				/* ID который изменяем */
					}, (Result) => {
						if(Result.Alert == 'Success') {
							var triggerId = $(this).closest('[data-toggle]').data('toggle');
							var selfPos = div.data('sub-position');
							var triggerPos = prediv.data('sub-position');
							
							div.data('sub-position', triggerPos);
							prediv.data('sub-position', selfPos);
							
							sortSubcategory(triggerId);
						}
						else {
							ShowToasty(Result.Message, Result.Alert);
						}
					});
				}
				
				break;
			}
			
			/* Удаление раздела */
			case 'removeCategory': {
				var triggerId = $(this).data('toggle');

				$.alert({
					title: Languages('confirm.admin.removeCategory.alert.title'),
					content: Languages('confirm.admin.removeCategory.alert.desc'),
					buttons: {
						confirm: {
							text: Languages('confirm.admin.removeCategory.alert.button'),
							btnClass: 'btn-dark',
							action: () => {
								$.confirm({
									title: Languages('confirm.admin.removeCategory.title'),
									content: Languages('confirm.admin.removeCategory.desc'),
									buttons: {
										confirm: {
											text: Languages('confirm.admin.removeCategory.buttons.confirm'),
											btnClass: 'btn-danger',
											action:	() => {
												SendPost('/api/v1/admin/category', {removeCategory: 1, triggerId: triggerId}, (Result) => {
													if(Result.Alert == 'Success') {
														$('[data-target="listCategory"] .Item[data-toggle="' + triggerId + '"]').remove();
													}
													
													ShowToasty(Result.Message, Result.Alert);
												});
											}
										},
										cancel: {
											text: Languages('confirm.admin.removeCategory.buttons.cancel'),
											btnClass: 'btn-primary'
										}
									}
								});
							}
						}
					}
				});

				break;
			}
			
			/* Удаление подраздела */
			case 'removeSubcategory': {
				var triggerId = $(this).data('toggle');

				$.alert({
					title: Languages('confirm.admin.removeSubcategory.alert.title'),
					content: Languages('confirm.admin.removeSubcategory.alert.desc'),
					buttons: {
						confirm: {
							text: Languages('confirm.admin.removeSubcategory.alert.button'),
							btnClass: 'btn-dark',
							action: () => {
								$.confirm({
									title: Languages('confirm.admin.removeSubcategory.title'),
									content: Languages('confirm.admin.removeSubcategory.desc'),
									buttons: {
										confirm: {
											text: Languages('confirm.admin.removeSubcategory.buttons.confirm'),
											btnClass: 'btn-danger',
											action:	() => {
												SendPost('/api/v1/admin/category', {removeSubcategory: 1, triggerId: triggerId}, (Result) => {
													if(Result.Alert == 'Success') {
														$('.Item[data-sub-toggle="' + triggerId + '"]').remove();
													}
													
													ShowToasty(Result.Message, Result.Alert);
												});
											}
										},
										cancel: {
											text: Languages('confirm.admin.removeSubcategory.buttons.cancel'),
											btnClass: 'btn-primary'
										}
									}
								});
							}
						}
					}
				});

				break;
			}
			
			/* Обновляем систему */
			case 'onUpdateSystem': {
				SendPost('/api/v1/admin/onUpdateSystem', {
					version: $(this).data('version-update')
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.reload();
					}

					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Устанавливаем вебхук для телеграм бота */
			case 'onTelegramBotWebhook': {
				SendPost('/api/v1/admin/bots', {
					methodAction: 'updateWebhookTelegram'
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}

			case 'onDeleteSubData': {
				SendPost('/api/v1/admin/subcategory', {
					onDeleteSubData: 1,
					id: $(this).data('id'),
					uniqid: $(this).data('uniqid'),
					method: $(this).data('method')
				}, (Result) => {
					if(Result.Alert == 'Success') {
						setTimeout('location.reload();', 500);
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}
		}
	});
	
	/* Регаем события отправки формы */
	$('form[data-admin]').submit(function(Event) {
		Event.preventDefault();
		
		switch($(this).data('admin')) {
			/* Сохранение конфигураций */
			case 'onConfigs': {
				SendPost('/api/v1/admin/settings', {
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Изменение страницы */
			case 'onEditPage': {
				SendPost('/api/v1/admin/pages', {
					editPage: 1,
					this: this,
					content: tinymce.get("content").getContent()
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Добавление страницы */
			case 'onAddPage': {
				SendPost('/api/v1/admin/pages', {
					addPage: 1,
					this: this,
					content: tinymce.get("content").getContent()
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Добавляем раздел */
			case 'onAddCatalog': {
				SendPost('/api/v1/admin/category', {
					addCatalog: 1,
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '/admin/category';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Изменяем раздел */
			case 'onEditCatalog': {
				SendPost('/api/v1/admin/category', {
					editCatalog: 1,
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '/admin/category';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}

			/* Добавляем подраздел */
			case 'onAddSubcategory': {
				SendPost('/api/v1/admin/category', {
					addSubcategory: 1,
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						if($('[data-toggle="' + Result.categoryId + '"] .Subcategory').find('.no_data').length) {
							$('[data-toggle="' + Result.categoryId + '"] .Subcategory .no_data').remove();
						}
						
						$('[data-toggle="' + Result.categoryId + '"] form[data-admin="onAddSubcategory"]').trigger('reset');
						$('[data-toggle="' + Result.categoryId + '"] .Subcategory').append(Result.Content);
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});
				
				break;
			}
			
			/* Изменение данных пользователя */
			case 'onEditUser': {
				SendPost('/api/v1/admin/onUserEdit', {
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Изменяем конфигурации ботов */
			case 'editTelegramBot': {
				SendPost('/api/v1/admin/bots', {
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}

			/* Отправляем правки по кассе */
			case 'editMerchant': {
				SendPost('/api/v1/admin/onUpdateMerchants', {this: this}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}

			/* Отправялем добавление формы */
			case 'onSendFormAdd': {
				SendPost('/api/v1/admin/subcategory', {onSendFormAdd: 1, this: this}, (Result) => {
					if(Result.Alert == 'Success') {
						var form = $('form[data-admin="onSendFormAdd"]');
						form.find('input[type="text"], input[type="email"], input[type="password"], input[type="number"], textarea').val('');
						form.find('input[type="checkbox"], input[type="radio"]').prop('checked', false);

						if($('#list_options').length) {
							$('#list_options').html('');
						}
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Отправялем изменение формы */
			case 'onSendFormEdit': {
				SendPost('/api/v1/admin/subcategory', {onSendFormEdit: 1, this: this}, (Result) => {
					if(Result.Alert == 'Success') {
						window.history.back();
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Изменение лицензии */
			case 'onChangeLicense': {
				SendPost('/api/v1/admin/onChangeLicense', {
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						setTimeout('location.reload();', 500);
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Изменение почтового сервера */
			case 'onChangeMailer': {
				SendPost('/api/v1/admin/onChangeMailer', {
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						setTimeout('location.reload();', 500);
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}
		}
	});

	/* Изменения в Select */
	$('select[data-admin]').on('change', function(e) {
		var action = $(this).data('admin');
		var selectedValue = $(this).val();

		switch(action) {
			case 'onChangeForms': {
				SendPost('/api/v1/admin/subcategory', {getForms: 1, type: selectedValue}, (Result) => {
					if(Result.Content) {
						$('[data-admin="onSendFormAdd"] input[type="submit"]').prop('disabled', false);
						$('#forms').html(Result.Content);
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});
				
				break;
			}
		}
	});
});