if(typeof isMobile === 'undefined') {
	var isMobile = {};

	isMobile = {
		Android: function() {
			return navigator.userAgent.match(/Android/i);
		},
		BlackBerry: function() {
			return navigator.userAgent.match(/BlackBerry/i);
		},
		iOS: function() {
			return navigator.userAgent.match(/iPhone|iPad|iPod/i);
		},
		Opera: function() {
			return navigator.userAgent.match(/Opera Mini/i);
		},
		Windows: function() {
			return navigator.userAgent.match(/IEMobile/i) || navigator.userAgent.match(/WPDesktop/i);
		},
		any: function() {
			return isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows();
		}
	};
}

if(typeof SendPost === 'undefined') {
	function SendPost(website, data, callback, method = "POST") {
		var form;
		
		if(data['this']) {
			form = new FormData(data['this']);
			delete data['this'];
		}
		else {
			form = new FormData;
		}
		
		for(var i in data) {
			form.append(i, data[i]);
		}
		
		form.append("phpaction", "1");
		form.append("csrf_token", $("#csrf_token").val());
		
		$.ajax({
			type: method,
			url: website,
			processData: false,
			contentType: false,
			data: form,
			dataType: "json",
			success: function(Result) {
				callback(Result);
			},
			error: function(xhr, status, error) {
				callback({
					'Alert': 'Error',
					'Message': 'Ошибка ' + error
				});
			}
		});
	}
}

if(typeof ShowToasty === 'undefined') {
	function ShowToasty(message, type = 'Info') {
		switch(type) {
			case 'Error':
				var options = {
					text: message,
					icon: 'error',
					loader: true,
					loaderBg: '#b52323',
					position: 'bottom-right'
				};
			break;
			
			case 'Success':
				var options = {
					text: message,
					icon: 'success',
					loader: true,
					loaderBg: '#23b565',
					position: 'bottom-right'
				};
			break;
			
			case 'Warning':
				var options = {
					text: message,
					icon: 'warning',
					loader: true,
					loaderBg: '#b56023',
					position: 'bottom-right'
				};
			break;
			
			default: var options = {
				text: message,
				icon: 'info',
				loader: true,
				loaderBg: '#23a2b5',
				position: 'bottom-right'
			};
		}
		
		$.toast(options);
	}
}

if(typeof SetPlaceholder === 'undefined') {
	function SetPlaceholder(o, enable = true) {
		if(enable) {
			$(o).addClass("div-block");
			$(o + " :input").addClass("disabled");
			progress(1);
		}
		else {
			$(o).removeClass("div-block");
			$(o + " :input").removeClass("disabled");
			progress(100);
		}
	}
}

if(typeof progress === 'undefined') {
	function progress(pos = 1) {
		switch(pos) {
			case 0, 100:
				$(".progress").remove();
				return;
			break;
			case 1:
				$("body").prepend('<div class="progress"><span class="progress-bar" style="width: 0%;"></span></div>');
			break;
			default:
				$(".progress-bar").width(pos + "%");
			break;
		}
		
		if(pos < 99) {
			pos = pos + 1;
			setTimeout("progress(" + pos + ");", 70);
		}
		else {
			$(".progress-bar").width("99.9%");
		}
	}
}

if(typeof Clean === 'undefined') {
	function Clean(text = '') {
		text = $.trim(text);
		
		return text;
	}
}

if(typeof IsValid === 'undefined') {
	function IsValid(text = '') {
		text = $.trim(text);
		
		if(text == '' || !text || text.length < 1) {
			return false;
		}
		
		return true;
	}
}

if(typeof IsValidRemove === 'undefined') {
	function IsValidRemove(url) {
		$.get(url).done(function() {
			return true;
		}).fail(function() { 
			return false;
		});
		
		return false;
	}
}

if(typeof WindowUri === 'undefined') {
	function WindowUri() {
		var uri = location.href.split('/')[3];

		if(uri.indexOf('#') != -1) {
			return uri.substring(0, uri.indexOf('#'));
		}

		return uri;
	}
}

if(typeof WindowPathname === 'undefined') {
	function WindowPathname() {
		var uri = location.pathname;
		
		if(uri.indexOf('#') != -1) {
			return uri.substring(0, uri.indexOf('#'));
		}

		return uri;
	}
}

if(typeof Redirect === 'undefined') {
	function Redirect(Link = '/', Time = 1) {
		setTimeout('location.href = \'' + Link + '\';', Time);
	}
}

if(typeof PreloadImages === 'undefined') {
	function PreloadImages() {
		const Images = document.getElementsByClassName('image');
		
		Array.from(Images).map((item) => {
			const image = new Image();
			image.src = item.dataset.src;
			
			image.onload = () => {
				return item.nodeName === 'IMG' ? item.src = item.dataset.src : item.style.backgroundImage = `url('${item.dataset.src}')`;
			}
		});
	}
}

if(typeof $WaitingTaskId === 'undefined') {
	$WaitingTaskId = 0;

	function SetWaiting(Time = 30000) {
		if(IsWaiting()) {
			return;
		}
		
		$('body').prepend('<div class="event-loading"></div>').css('pointer-events', 'none');
		$WaitingTaskId = setTimeout(ClearWaiting, Time);
	}

	function IsWaiting() {
		return $('.event-loading').length;
	}

	function ClearWaiting() {
		$('.event-loading').animate({
			opacity: "-=1"
		}, 1000, function() {
			clearTimeout($WaitingTaskId);
			
			$('.event-loading').remove();
			$('body').css('pointer-events', '');
		});
	}
}

if(typeof CreatePreviewImage === 'undefined') {
	function CreatePreviewImage(input, output, index) {
		for(var i = 0; i < input.files.length; i++) {
			if(input.files[i]) {
				var reader = new FileReader;
				
				reader.onload = function(e) {
					var Div = $('<div>', {class: 'col-lg-4'}).bind('click', function() {
						$('#image_' + index).remove();
						$('#RowFiles').html('Выбрано ' + RowFiles($('#attachments')) + ' файл(-ов).');
						
						$(this).remove();
					});
					
					var Image = $('<div>', {src: e.target.result, class: 'preview-image'});
					Image.appendTo(Div);
					output.append(Div);
					Image.css('background-image', 'url(' + Image.attr('src') + ')');
				}
				
				reader.readAsDataURL(input.files[i]);
			}
		}
	}
}

if(typeof findSimilarScript === 'undefined') {
	function findSimilarScript(srcPattern) {
		var scripts = $('script');
		var regex = new RegExp(srcPattern);
		var matchingScript = null;

		scripts.each(function() {
			var scriptSrc = $(this).attr('src');
			if (scriptSrc && regex.test(scriptSrc)) {
				matchingScript = $(this);
				return false;
			}
		});

		return matchingScript;
	}
}

if(typeof replaceOrAddScript === 'undefined') {
	function replaceOrAddScript(src) {
		var existingScript = findSimilarScript('^/assets/.*/js/ajax\\.js');
		
		if(existingScript) {
			existingScript.remove();
		}
		
		var scriptTag = document.createElement('script');
		scriptTag.src = src;
		document.body.appendChild(scriptTag);
	}
}

if(typeof debounce === 'undefined') {
	function debounce(func, wait) {
		var timeout;
		return function(...args) {
			clearTimeout(timeout);
			timeout = setTimeout(() => {
				func.apply(this, args);
			}, wait);
		};
	}
}

/* Работаем с языковой моделью */
function Languages(key, placeholders = []) {
	const keys = key.split('.');
	let text = $languages;

	for(const k of keys) {
		if(text && typeof text === 'object' && text.hasOwnProperty(k)) {
			text = text[k];
		}
		else {
			text = key;
		}
	}

	if(placeholders.length > 0) {
		if(!Array.isArray(placeholders)) {
			placeholders = [placeholders];
		}
		
		text = text.replace(/%s/g, () => placeholders.shift() || '');
	}

	return text;
}

if(typeof inEditor === 'undefined') {
	function inEditor(selector, language = 'ru', plugins = "link image media", darkMode = false) {
		if($('html').hasClass('dark') && darkMode === false) {
			darkMode = true;
		}

		tinymce.remove(selector);
	
		var options = {
			selector: selector,
			language: language,
			plugins: plugins,
			skin: darkMode ? 'oxide-dark' : 'oxide',
			content_css: darkMode ? 'dark' : 'default'
		};
	
		return tinymce.init(options);
	}	
}

if(typeof inPaginate === 'undefined') {
    function inPaginate(selector, perPage) {
        let items = $(selector);
        let totalPages = Math.ceil(items.length / perPage);
        let pagination = $(".pagination");

        function showPage(page) {
            items.hide();
            items.slice((page - 1) * perPage, page * perPage).show();

            pagination.empty();
            let pages = [];

            if (totalPages <= 7) {
                for (let i = 1; i <= totalPages; i++) pages.push(i);
            } else {
                pages.push(1, 2);
                if (page > 4) pages.push("...");
                for (let i = Math.max(3, page - 2); i <= Math.min(totalPages - 2, page + 2); i++) pages.push(i);
                if (page < totalPages - 3) pages.push("...");
                pages.push(totalPages - 1, totalPages);
            }

            pages.forEach(p => {
                let li = $("<li class='page-item'><a class='page-link' href='#'>" + p + "</a></li>");
                if (p === "...") li = $("<li class='page-item disabled'><span class='page-link'>...</span></li>");
                if (p === page) li.addClass("active");
                li.click(function(e) {
                    e.preventDefault();
                    if (p !== "...") showPage(p);
                });
                pagination.append(li);
            });
        }

        if (totalPages > 1) showPage(1);
    }
}