var $last_hash;

/* Проверка и загрузка диалогов */
function loadDialogs() {
	var dialog_id;
	
	if($('input[name="recipient_id"]').length) {
		dialog_id = $('input[name="recipient_id"]').val();
	}
	else {
		dialog_id = null;
	}
	
	if(!$last_hash) {
		$last_hash = null;
	}
	
	var last_message_id;
	if($('input[name="last_id"]').length) {
		last_message_id = $('input[name="last_id"]').val();
	}
	else {
		last_message_id = null;
	}
	
	SendPost('/api/v1/users/dialogs', {
		dialog_id: dialog_id,
		last_message_id: last_message_id,
		hash: $last_hash
	}, (Result) => {
		switch(Result.Alert) {
			case 'Success': {
				if(Result.Hash) {
					$last_hash = Result.Hash;
				}
				
				if($('.Dialogs').length && Result.Content) {
					$('.Dialogs').html(Result.Content);
				}
				
				if(Result.LastMessageId !== null) {
					$('input[name="last_id"]').val(Result.LastMessageId);
				}
				
				var messagesContainer = $('#Messages');
						
				if(messagesContainer.find('.No').length) {
					messagesContainer.find('.No').remove();
				}
						
				var isScrolledToBottom = Math.abs(messagesContainer.prop('scrollHeight') - messagesContainer.scrollTop() - messagesContainer.outerHeight()) < 1;
				messagesContainer.append(Result.LastMessages);
						
				if(isScrolledToBottom) {
					messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
				}
				else {
					if(Result.LastMessages) {
						ShowToasty(Languages('messenger.LastMessages'), 'Info');
					}
				}
				
				break;
			}
			
			case 'Info': {
				console.log(Result.Message);
				
				break;
			}
		}
	});
}

/* Предзапуск и проверка */
$(function() {
	if(window.location.href.indexOf('/account/messages') !== -1) {
		setInterval(loadDialogs, 5000);
	}

	if($('#onMessengerSendImage').length) {
		$('#onMessengerSendImage').submit(function(Event) {
			Event.preventDefault();

			SendPost('/api/v1/users/messages', {
				onMessengerSendImage: 1,
				last_id: $('[data-action="onMessengerSend"] > input[name="last_id"]').val(),
				recipient_id: $('[data-action="onMessengerSend"] > input[name="recipient_id"]').val(),
				this: this
			}, (Result) => {
				if(Result.Alert == 'Success') {
					$('#onMessengerSendImage')[0].reset();

					if(Result.Content) {
						$('input[name="last_id"]').val(Result.LastId);
						var messagesContainer = $('#Messages');
						
						if(messagesContainer.find('.No').length) {
							messagesContainer.find('.No').remove();
						}
						
						var isScrolledToBottom = Math.abs(messagesContainer.prop('scrollHeight') - messagesContainer.scrollTop() - messagesContainer.outerHeight()) < 1;
						messagesContainer.append(Result.Content);
						
						if(isScrolledToBottom) {
							messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
						}
					}
				}
				else {
					ShowToasty(Result.Message, Result.Alert);
				}
			});
		});
	}
});