$languages = null;

$(function() {
	/* Регаем события отправки формы */
	$('form[data-action]').submit(function(Event) {
		Event.preventDefault();
		
		switch($(this).data('action')) {
			/* Смена пароля */
			case 'changePassword': {
				SendPost('/api/v1/users/settings', {
					onType: 'changePassword',
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Авторизация */
			case 'onAuth': {
				SendPost('/api/v1/users/auth', {
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
					
					switch(Result.Alert) {
						case 'Info':
						case 'Success':
							Redirect('/', 300);
						break;
					}
				});
				
				break;
			}
			
			/* Регистрация */
			case 'onRegister': {
				SendPost('/api/v1/users/register', {
					this: this
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
					
					switch(Result.Alert) {
						case 'Info':
						case 'Success':
							Redirect('/', 300);
						break;
					}
				});
				
				break;
			}

			/* Восстановление пароля */
			case 'onRecovery': {
				SendPost('/api/v1/users/recovery', {
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						$('#modalRecovery .modal_body').html(Result.Message);
						return;
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Отправка отзыва об товаре */
			case 'product_review': {
				SendPost('/api/v1/market/product', {
					add_review: 1, this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						if($('#modalReviews').length) {
							$('#modalReviews').modal('hide');
						}
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}
			
			/* Смена E-mail адреса */
			case 'onSettings': {
				switch($(this).data('target')) {
					case 'onEmail': {
						SendPost('/api/v1/users/settings', {
							onType: 'emailChange', this: this
						}, (Result) => {
							if(Result.Alert == 'Success') {
								$('#modalSettingsEmail').modal('hide');
								$('#modalSettingsEmailConfirm').modal('show');
							}
							
							ShowToasty(Result.Message, Result.Alert);
						});
						
						break;
					}
					
					case 'onEmailConfirm': {
						SendPost('/api/v1/users/settings', {
							onType: 'emailChangeConfirm', this: this
						}, (Result) => {
							if(Result.Alert == 'Success') {
								$('[data-target="email"]').text(Result.Email);
								$('#modalSettingsEmailConfirm').modal('hide');
							}
							
							ShowToasty(Result.Message, Result.Alert);
						});
						
						break;
					}
				}
				
				break;
			}
			
			/* Добавление товара */
			case 'onEditMarketProduct': {
				SendPost('/api/v1/market/edit_product', {
					this: this,
					description: tinymce.get("textareaDesc").getContent()
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '/market/my_product';
					}
					
					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Покупка товара */
			case 'onBuy': {
				SendPost('/api/v1/market/buy', {
					this: this
				}, (Result) => {
					if(Result.SellerId) {
						setTimeout('location.href = "/account/messages?id=' + Result.SellerId + '";', 500);
					}
					
					if(Result.Alert == 'Alert') {
						$.alert({
							title: Languages('buy.alert.title'),
							content: Result.Message
						});

						return;
					}

					ShowToasty(Result.Message, Result.Alert);
				});
				
				break;
			}
			
			/* Мессенджер */
			case 'onMessengerSend': {
				SendPost('/api/v1/users/messages', {
					this: this
				}, (Result) => {
					if(Result.Alert !== 'Success') {
						console.log(Result.Message);
						return;
					}

					if(Result.Dialogs && $('#output_dialogs').length) {
						$('#output_dialogs').html(Result.Dialogs);
					}
					
					$('form[data-action="onMessengerSend"]').trigger('reset');

					if(Result.Content) {
						$('input[name="last_id"]').val(Result.LastId);
						
						var messagesContainer = $('#Messages');
						
						if(messagesContainer.find('.No').length) {
							messagesContainer.find('.No').remove();
						}
						
						var isScrolledToBottom = Math.abs(messagesContainer.prop('scrollHeight') - messagesContainer.scrollTop() - messagesContainer.outerHeight()) < 1;
						messagesContainer.append(Result.Content);
						
						if(isScrolledToBottom) {
							messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
						}
					}
				});

				break;
			}
			
			/* Создаем тикет */
			case 'onHelp': {
				SendPost('/api/v1/help/create', {
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						location.href = '/help?id=' + Result.TicketId;
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});
				
				break;
			}
			
			/* Отправляем тикет */
			case 'onTicket': {
				SendPost('/api/v1/help/message', {
					this: this
				}, (Result) => {
					if(Result.Alert == 'Success') {
						$('.Messages').append(Result.Content);
						$('form[data-action="onTicket"]').trigger('reset');
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});
				
				break;
			}
			
			/* Создаем платежную ссылку */
			case 'onPay': {
				$('#ajax_payments').prop('disabled', true);
				SendPost('/api/v1/users/pay', { this: this }, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
					$('#ajax_payments').prop('disabled', false);

					if(Result.Alert == 'Success') {
						if(Result.payForm) {
							$('body').append(Result.payForm);
						}
						else {
							location.href = Result.payLink;
						}
					}
				});
				
				break;
			}

			/* Отправляем вывод средств */
			case 'onSendOutput': {
				SendPost('/api/v1/users/output', {this: this}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Отправляем сообщение в Дело */
			case 'onRefundsSendMessage': {
				SendPost('/api/v1/refunds/addMessage', {this: this, message: tinymce.get("textareaContent").getContent()}, (Result) => {
					if(!Result.Alert) {
						location.href = '/refunds/id' + Result.Id;
					}
				});

				break;
			}
		}
	});
	
	/* Регаем события кнопок */
	$('button[data-action]').on('click', function(e) {
		var action = $(this).data('action');
		
		switch(action) {
			case 'merchant': {
				$('[data-action="merchant"].Active').each(function() {
					$(this).removeClass('Active');
				});
				
				$(this).addClass('Active');
				$('input[name="merchant"]').val($(this).data('toggle'));
				
				$('#modalMarketBuy .Final').fadeIn(1, function() {
					$(this).css('display', 'flex');
				});
				
				break;
			}
			
			case 'UpdateToken': {
				SendPost('/api/v1/users/token', {}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
					
					if(Result.Alert == 'Success') {
						$('#ApiToken').text(Result.Token);
					}
				});
				
				break;
			}
			
			case 'onCloseTicket': {
				var ticket_id = $(this).data('toggle');
				
				SendPost('/api/v1/admin/tickets', {
					trigger: 'close',
					ticket_id: ticket_id
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
					
					if(Result.Alert == 'Success') {
						if($('form[data-action="onTicket"]').length) {
							$('form[data-action="onTicket"]').remove();
						}
						
						if($('button[data-action="onCloseTicket"]').length) {
							$('button[data-action="onCloseTicket"]').remove();
						}
					}
				});
				
				break;
			}
			
			case 'onLoadProduct': {
				SendPost('/api/v1/market/product', {
					onLoadProduct: 1,
					offset: $(this).data('toggle')
				}, (Result) => {
					if(Result.Content) {
						if(!Result.IsNext) {
							$('[data-action="onLoadProduct"]').remove();
						}
						
						$('[data-action="onLoadProduct"]').data('toggle', Result.Offset);
						$('#Products > .row').append(Result.Content);
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});
				
				break;
			}

			case 'onReady': {
				var id = $(this).data('id');

				SendPost('/api/v1/users/notifications', {onReady: 1, id: id}, (Result) => {
					if(Result.Alert == 'Success') {
						$('.Item[data-trigger="' + id + '"]').addClass('Ready');
					}
					else {
						ShowToasty(Result.Message, Result.Alert);
					}
				});

				break;
			}

			/* Подтверждение сделки */
			case 'confirmDeals': {
				var trans_id = $(this).data('id');
				var seller_id = $(this).data('sellerid');

				SendPost('/api/v1/market/confirm', {
					trans_id: trans_id,
					seller_id: seller_id
				}, (Result) => {
					if(Result.Alert == 'Success') {
						if(Result.IsReviews == '1') {
							$.confirm({
								title: Languages('reviews.request.title'),
								content: Languages('reviews.request.message'),
								type: 'dark',
								typeAnimated: true,
								buttons: {
									acceptAgain: {
										text: Languages('reviews.request.buttons.0'),
										btnClass: 'btn-primary',
										action: function() {
											if($('#modalReviews').length && Result.ProductId) {
												$('#modalReviews input[name="product_id"]').val(Result.ProductId);
												$('#modalReviews').modal('show');
											}
										}
									},
									close: {
										text: Languages('reviews.request.buttons.1'),
										action: function() {
											// Никаких действий не требуется
										}
									}
								}
							});
						}

						$('[data-transid="' + trans_id + '"]').remove();

						if(!$('[data-transid="' + trans_id + '"]').length) {
							if($('[data-bs-target="#getDeals"]').length) {
								$('[data-bs-target="#getDeals"]').remove();
							}

							$('#getDeals').modal('hide');
						}
					}

					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			/* Открытие спора */
			case 'disputeDeals': {
				$('#getDeals').modal('hide');
				var trans_id = $(this).data('id');
			
				$.confirm({
					title: Languages('confirm.refunds.onDialogDisputeRefunds.title'),
					content: `<form action="" class="form-reason"><div class="form-group"><label>${Languages('confirm.refunds.onDialogDisputeRefunds.label')}</label><input type="text" placeholder="${Languages('system.placeholder.text')}" class="input-reason form-control" required></div></form>`,
					type: 'dark',
					typeAnimated: true,
					buttons: {
						acceptAgain: {
							text: Languages('confirm.refunds.onDialogDisputeRefunds.buttons.accept'),
							btnClass: 'btn-primary',
							action: function() {
								var reason = this.$content.find('.input-reason').val().trim();
			
								if(!reason) {
									$.alert(Languages('confirm.refunds.errors.1'));
									return false;
								}
			
								SendPost('/api/v1/market/disputeDeals', { trans_id, reason }, (Result) => {
									if(!Result.Alert) {
										ShowToasty(Result.Message, Result.Alert);
									}

									location.href = '/refunds/id' + Result.Id;
								});
			
								return false;
							}
						},
						close: {
							text: Languages('system.close'),
							action: function () {
								// Никаких действий не требуется
							}
						}
					}
				});
			
				break;
			}			

			/* Принятие решения по спору */
			case 'onDialogConfirmRefunds': {
				var id = $(this).data('id');

				$.confirm({
					title: Languages('confirm.refunds.onDialogConfirmRefunds.title'),
					content: Languages('confirm.refunds.onDialogConfirmRefunds.desc'),
					type: 'dark',
					typeAnimated: true,
					buttons: {
						acceptAgain: {
							text: Languages('confirm.refunds.onDialogConfirmRefunds.buttons.accept'),
							btnClass: 'btn-primary',
							action: function() {
								$.confirm({
									title: Languages('confirm.refunds.onDialogReasonRefunds.title'),
									content: '<form action="" class="form-message"><div class="form-group"><label>' + Languages('confirm.refunds.onDialogReasonRefunds.label.1') + '</label><input type="text" placeholder="' + Languages('system.placeholder.text') + '" class="input-message form-control" required></div></form>',
									buttons: {
										formSubmit: {
											text: Languages('confirm.refunds.onDialogReasonRefunds.buttons.accept'),
											btnClass: "btn-primary",
											action: function () {
												var message = this.$content.find('.input-message').val();

												if(!message){
													$.alert(Languages('confirm.refunds.errors.0'));
													return false;
												}

												SendPost('/api/v1/admin/refunds', {acceptAgain: 1, message: message, refund_id: id}, (Result) => {
													location.reload();
												});
											}
										},
										close: {
											text: Languages('system.close'),
											action: () => {}
										}
									},
									onContentReady: function () {
										var jc = this;
										this.$content.find('form').on('submit', function (e) {
											e.preventDefault();
											jc.$$formSubmit.trigger('click');
										});
									}
								});
							}
						},
						cancelAgain: {
							text: Languages('confirm.refunds.onDialogConfirmRefunds.buttons.cancel'),
							btnClass: 'btn-danger',
							action: function () {
								$.confirm({
									title: Languages('confirm.refunds.onDialogReasonRefunds.title'),
									content: '<form action="" class="form-reason"><div class="form-group"><label>' + Languages('confirm.refunds.onDialogReasonRefunds.label.0') + '</label><input type="text" placeholder="' + Languages('system.placeholder.text') + '" class="input-reason form-control" required></div></form>',
									buttons: {
										formSubmit: {
											text: Languages('confirm.refunds.onDialogReasonRefunds.buttons.accept'),
											btnClass: "btn-primary",
											action: function () {
												var reason = this.$content.find('.input-reason').val();

												if(!reason){
													$.alert(Languages('confirm.refunds.errors.0'));
													return false;
												}

												SendPost('/api/v1/admin/refunds', {onRejection: 1, reason: reason, refund_id: id}, (Result) => {
													location.reload();
												});
											}
										},
										close: {
											text: Languages('system.close'),
											action: () => {}
										}
									},
									onContentReady: function () {
										var jc = this;
										this.$content.find('form').on('submit', function (e) {
											e.preventDefault();
											jc.$$formSubmit.trigger('click');
										});
									}
								});
							}
						},
						close: {
							text: Languages('system.close'),
							action: () => {}
						}
					}
				});
				break;
			}
			
			/* Буст товара */
			case 'buy_boost': {
				var productId = $(this).data('id');

				SendPost('/api/v1/market/boost', { productId: productId }, (Result) => {
					if(Result.Return) {
						$.confirm({
							title: Languages('boost_product.failed_money.title'),
							content: Languages('boost_product.failed_money.message'),
							type: 'dark',
							typeAnimated: true,
							buttons: {   
								return: {
									text: Languages('boost_product.failed_money.buttons.return'),
									btnClass: 'btn-primary',
									action: function() {
										$('#modalBuyPremium').modal('hide');
										$('#modalPay').modal('show');
									}
								},
								cancellation: {
									text: Languages('boost_product.failed_money.buttons.cancellation'),
									btnClass: 'btn-danger'
								}
							}
						});
					}
					else {
						if(Result.Alert == 'Success') {
							location.reload();
						}

						ShowToasty(Result.Message, Result.Alert);
					}
				});

				break;
			}
		}
	});

	$('select[data-action]').on('change', function(e) {
		var action = $(this).data('action');

		switch(action) {
			case 'settings_view_orders': {
				SendPost('/api/v1/users/settings', {
					onType: 'view_orders',
					value: $(this).val()
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}

			case 'settings_messages': {
				SendPost('/api/v1/users/settings', {
					onType: 'messages',
					value: $(this).val()
				}, (Result) => {
					ShowToasty(Result.Message, Result.Alert);
				});

				break;
			}
		}
	});
	
	/* Регаем события смены каталога */
	$('[data-target="onCatalog"]').on('click', function(e) {
		if(!$(this).hasClass('Active')) {
			if($('[data-target="onCatalog"].Active').length) {
				$('[data-target="onCatalog"].Active').removeClass('Active');
			}
			
			$(this).addClass('Active');
			
			SendPost('/api/v1/catalog/gets', {
				category_id: $(this).data('toggle')
			}, (Result) => {
				$('#Subcategories').html(Result.Content);
			});
		}
	});
	
	/* Регаем всплывающие окна */
	if($('[data-bs-toggle=\'popover\']').length) {
		$('[data-bs-toggle=\'popover\']').popover();
	}

	if($('[data-bs-toggle=\'tooltip\']').length) {
		$('[data-bs-toggle=\'tooltip\']').tooltip();
	}
	
	/* Регаем картинки */
	if($('.js-smartphoto').length) {
		$('.js-smartphoto').SmartPhoto();
	}

	/* Получаем языковую модель */
	SendPost('/api/v1/languages/get', {type: 'json'}, (Result) => {
		$languages = Result;
	});
});